Welcome to Online Help

In this Online Help system you will find all the general information and procedures necessary for the optimal use of your labeling software.

This program allows you to create labels quickly and easily, from the most simple to the most complicated.

Note: Based on the version of the labeling software you use, some of the functions described may not be available.


About the Help window

When you click Index in the Help menu, the help screen is displayed. It contains two panes: the headings pane and the navigation pane.

Displaying Help in the headings pane

When you click the Help button in a dialog box, the headings pane is displayed with the help heading. You can print this page.

Searching Help in the navigation pane

The navigation pane offers you another method for searching for a Help page. The navigation pane allows you to search for Help pages in the following ways:

Displaying the contents: you can display the Help contents by clicking the Contents tab in Help.

Searching for keywords: click the Index tab to search for specific words or select a list of keywords.

Typing a question in the Help window: click the Search tab.


To print a Help page

To print the current page

  1. Click Print.

  2. Select the required print options.

To print a group of pages

  1. Click the Contents tab in Help.

  2. If the Contents tab in Help is not visible, click Display to display the navigation pane.

  3. Select the title of the page you want to print and click Print.

Use one of the following procedures:

  • To print the current page, click Print the selected page.

  • To print all sub-headings on the selected page, click Print the selected page and all its sub-headings.


To search Help

Using keywords to refine your search

  1. In the Help window, click the Index tab.

If the Index tab is not visible, click Display to display the navigation pane.

  2. Type a keyword for your search in the Enter the keyword to search for field.

- or -

Select a keyword from the list.

  3. Click Display.

Searching Help by entering a question

  1. In the Help window, click the Search tab.

If the Search tab is not visible, click Display to display the navigation pane.

  2. Type one or more words in the Enter the word(s) to search for field and click on Search.

  3. Select the heading and click Display.

You can refine your search by activating the different options: Search previous results, Respect similar words, Search titles only.

Note: You can use Boolean operators (AND, OR, NOT, NEAR) and generic characters (*, ?) in your search.


Text encoding standard developed by the Unicode consortium. Since it uses more than one byte to represent each character, the Unicode code is used to represent almost all written languages in the world by using a single character set.

Introduction of Unicode

This program supports Unicode, meaning that it can create documents with text in different languages, regardless of the platforms used. It covers languages from the Americas, Europe, Middle East, Africa, India, Asia and the Pacific. Unicode handles the conversion, processing and display of multilingual text, as well as the use of common technical and mathematical symbols.

You can insert data from multilingual databases into your document, or copy and paste text in different languages from other applications.

Hint: You can use many fonts for various writing systems or install a Unicode font. If you have multilingual data from different writing systems in databases, it is recommended that you use a Unicode font to display and retrieve the data.


allows you to add or delete components.

allows you to reinstall certain program files.

allows you to delete the program.

Installing the program

To install the program

If you want to install or reinstall a component, you must restart installation. The installation program offers the following options: Modify, Repair or Remove.

Modify

Repair

Remove


Removing the program

To remove the program

  1. In the Control Panel of Microsoft Windows, choose Add or Remove Programs.

  2. In the Add or Remove Programs properties dialog box, select the group of programs to be removed, then follow the on-screen instructions.

    - or -

    Restart the installation program and choose the Remove option.


Silent installation

The label design software installation can be run in Silent mode using the following commands:

The basic command line is:
''<Path>\Setup.exe'' /s /v''/qn''
The label design software will be installed in the default folder, along with all features.

You can add this optional parameter:

/L : Setup language
''<Path>\Setup.exe'' /s /L<LangID> /v/qn
<LangID> is the language ID in decimal (1036=French, 1031=German, 1034=Spanish, 1040=Italian)

Example: ''<Path>\Setup.exe'' /s /L1036 /v''/qn INSTALLLEVEL=150''

INSTALLDIR : Specify a specific installation folder.
''<Path>\Setup.exe'' /s /v''/qn INSTALLDIR=<InstallationFolder>''

Installation should use an existing folder

Example
''Setup.exe"/s /v"/qn INSTALLDIR="C:\My folder" => Install the label designer software in the directory C:\My folder.

For long path name:
''Setup.exe''/S /v"/qn INSTALLDIR=\"C:\This is a long path name\""

Custom Installation:

For custom installation, you define the features to be installed. There are two ways to specify the features that need to be installed.
Either you define the optional features that should be added:
''<Path>\Setup.exe'' /s /v''/qn ADDLOCAL=<List of features>''

Or you define the features that need to be removed (based on full installation)
''<Path>\Setup.exe'' /s /v''/qn ADDLOCAL=ALL, REMOVE=<List of features>''

The optional features are hierarchically organized as follows:

 |  | FeatureID
Printers |  | Printers
 | Drivers | Drivers
 | Font Downloader | FontDownloader
Tools |  | Tools
 | Database Manager | DatabaseManager
 | User Manager | UserManager
 | Label Comparator | LabelComparator
 | COMet | COMet
Add-Ons |  | AddOns
 | Form Designer | FormDesigner
 | Form Viewer | FormViewer
 | POF Manager | POFManager
Samples |  | Samples
 | Labels | SampleLabels
 | Compliance | SampleCompliance
 | Integration | SampleIntegration
Documentation |  | Documentation
 | Help files | Help
 | Guides | Guides

Example:
setup.exe /S /v"/qn ADDLOCAL=ALL, REMOVE=Samples,Documentation"
=> The label design software will be installed with all features except Samples and Documentation features.

setup.exe /S /v"/qn ADDLOCAL=Drivers,DatabaseManager,Help"
=> The label design software will be installed with minimal features and Drivers, Database Manager and Help.

See windows installer command line for details:
http://msdn.microsoft.com/en-us/library/aa367988.aspx


Description of the main window

This section presents a general overview of the main interface elements as they appear in the main window at the beginning of a work session.

The Menu Bar

The Menu bar contains the following options: File, Edit, View, Objects, Data Sources, Tools, Window, and Help.

To open a menu

Note: To access a command using the keyboard, use the hot keys. Press ALT plus the letter underlined in the menu name or the command name.

The Workspace

The workspace is the central part of the window, situated between the graduated rulers and the scroll bars. It contains a frame that sets the physical limits of the document and contains the objects to be printed, as well as a non-printable area for inserting comments and objects you do not want to print.

The Document

When you open a new session, the program displays a frame in the top left corner of the window. This frame represents the physical limits of the document to be printed.
Place objects inside this frame to create your document.

The Status Bar

Located at the bottom of the window, the Status bar displays the name of the selected printer, the port it is connected to, the x and y coordinates of the mouse pointer, and the cx and cy dimensions of the selected object.

The Toolbars

These tools allow you to execute routine tasks more quickly than using the menus.

T o select a tool

The Title Bar

The Title bar displays the name of the software and the name of the current document, or "documentno" if a new document is created. It allows the workspace window to be moved using the mouse.

Graduated rulers

Graduated rulers are used to view the position of the mouse and accurately place the various objects in the document. They can be set in either inches or millimeters using the Tools > Options command.


Creation Toolbar

The Creation Toolbar contains several buttons. Each of these buttons represents a tool. These tools allow you to create and manipulate objects.

The Select Object tool is used to select and manipulate any type of object.

The Writing tool is used to create fixed and variable text elements. The submenu displays the actions available for creating this object (Fixed, Creation wizard, Use an existing data source or Create a new data source).

The Barcode generation tool is used to create fixed and variable barcodes. The submenu displays the actions available for creating this object (Fixed, Creation wizard, Use an existing data source or Create a new data source).

The Image import tool is used to insert images. The submenu displays the actions available for creating this object (Fixed, Creation wizard, Use an existing data source or Create a new data source).

The External object insertion tool is used to import external objects into the application.

The Line drawing tool is used to draw horizontal and vertical lines.

The Rectangle drawing tool is used to draw rectangles or squares.

The Circle or ellipse drawing tool is used to draw circular shapes.

The Polygon Drawing tool is used to draw free-form shapes composed of lines.

The Oblique line drawing tool is used to draw diagonals.

The Rounded rectangle drawing tool is used to draw rectangles with rounded corners.

The Shapes Gallery tool is used to import ready-to-use shapes into the document.

This tool provides access to the UCC/EAN 128, Maxicode, and HIBC wizards.

This tool provides access to the TextArt, List Field, OCX Field, and Rich Text Field menu.


The Data Sources view displays the data sources and the number of associated data sources . It allows you to create variables in the document simply by dragging and dropping them into the document. You can also add, remove, or modify variable properties using the context menu.

The Objects view displays the number of objects created by type, and their properties, such as position, height, and width. From this tab, you can select an object and change its position.

Objects and data sources views

Data Sources

Objects

Note: The + and - symbols allow you to expand or collapse one tree level and display the list of variables associated with each data source or the objects available for each category.


The Rotation button

This button lets you pivot the document on the screen 90°, 180°, 270°, or 360°. Screen rotation does not affect printing; it is just a screen display function.

  • Clicking the left mouse button once rotates the element 90° to the left.

  • Clicking the right mouse button once rotates the element 90° to the right.

Note: You can obtain the same document rotation effect by using the View > Orientation command, or by right-clicking on the vertical ruler button to display the context menu.


Graduated rulers

Graduated rulers indicate the mouse position in the document, and the various objects that make up a document to be placed with precision. They can be set either in inches or millimeters using the Tools > Options command.

  • Double-clicking on the left half of the horizontal ruler reduces the display scale.

  • Double-clicking on the right half of the horizontal ruler increases the display scale.

  • Double-clicking on the vertical ruler displays the grid dialog box.

Hint With the right mouse button, you can display the context menu with a Zoom factor by right-clicking on the horizontal ruler or an Orientation factor by clicking on the vertical ruler.

You can also customize the color of the text and background of the ruler in the Others tab in the Options dialog box.


View modes

To modify the appearance of information in your document, select the desired view mode in the View menu (Mode command) or on the View toolbar. For example, you can display or hide variable values, zoom in on part of the document, display a grid, and so on.

The View toolbar allows different document element display modes to be selected quickly.

Name: Variable names are displayed in the document. This option can also be accessed by the View Mode menu.

Size: Variable sizes are displayed. The space occupied by the content of the variable is represented by a series of Xs. This option can also be accessed by the View Mode menu.

Content: Variable values are displayed in the document. This option can also be accessed by the View Mode menu.

Form: The variables are displayed in the Form. This option can also be accessed by the View Mode menu.

Display Objects and Data sources views. This option is also available from the Display Toolbar menu.

Zoom is used to enlarge or reduce object detail. This option can also be accessed by the View > Zoom menu.


The Zoom function

Command: | View > Zoom
 | - or -
 | View toolbar

Allows the document to be displayed on a reduced or increased scale.

The whole document option automatically selects the scale so that the whole document is displayed.

What do you want to do?

Modify the zoom factor


Color palette

Thanks to the Color Palette displayed at the bottom of the workspace, modifying the color of all your objects (text, barcodes, shapes and monochrome images) is easy!

What do you want to do?

To choose the color palette

Customize the System Palette

Use the Color Palette


Dialog boxes

Certain commands display dialog boxes. These boxes offer various sets of options, which are often grouped together under specific tabs.

To access a set of options, click the corresponding tab.


Context menus

Context menus display a list of commands related to the object you are currently working on.

They appear and disappear instantly on demand.

To display a Context Menu


Cancelling and repeating commands

  • Choose Edit > Undo.

  • Choose Edit > Redo.

Canceling and repeating commands

The program keeps a record of the last operations carried out. You can cancel an operation at any time if you have made an error or if, quite simply, you have changed your mind and want to go back to a previous stage of the task at hand.

To cancel an operation

To undo the cancellation


The Shortcut keys

Shift + F5 | Display printer settings
Shift + ALT + F1 | Tool 1
Shift + ALT + F2 | Tool 2
Shift + ALT + F3 | Tool 3
Shift + ALT + F4 | Tool 4
Shift + ALT + F5 | Tool 5
Shift + ALT + F6 | Tool 6
Shift + ALT + F7 | Tool 7
Shift + ALT + F8 | Tool 8
Shift + ALT + F9 | Tool 9
Shift + ALT + F10 | Tool 10
Shift + ALT + F11 | Tool 11
Shift + ALT + F12 | Tool 12
Shift + F8 | Open an ASCII table
Shift + F9 | Create an ODBC query
ALT + F4 | Exit the application
CTRL + 0 | Zoom x 0.5
CTRL + 1 | Zoom x 1
CTRL + 2 | Zoom x 2
CTRL + 4 | Zoom x 4
CTRL + A | Select all
CTRL + C CTRL + Ins | Copy
CTRL + End | Go to end of paragraph
CTRL + right arrow | Go to start of next word
CTRL + Home | Go to start of paragraph
CTRL + V | Paste
CTRL + N | New document
CTRL + O | Open a document
CTRL + P | Print a document
CTRL + left arrow | Go to start of previous word
CTRL + F4 | Close active window
CTRL + Tab | Move from one document to another
CTRL + ALT + F(1 to 10) | User tools
F1 | Help
F2 | Open a document
F5 | Select printer
F6 | Print
End | Go to the end of line
Home | Go to the beginning of line
Shift + Ins | Paste
CTRL + V | Paste
CTRL + X Shift + Del | Cut
CTRL + Y | Redo
CTRL + Z ALT + Back | Cancel
CTRL + S | Save a document
CTRL + D | Duplicate
F3 | Save a document
F7 | Open the Text dialog box
F8 | Open the Barcode dialog box
F9 | Display field name
F10 CTRL + W | Display field size
F11 Shift + F4 | Display field contents
F12 | Open form
Shift + F3 | Save document as

Shift + F8 | Open an ASCII table
Shift + F9 | Create an ODBC query
ALT + F4 | Exit the application
CTRL + 0 | Zoom x 0.5
CTRL + 1 | Zoom x 1
CTRL + 2 | Zoom x 2
CTRL + 4 | Zoom x 4
CTRL + A | Select all
CTRL + C CTRL + Ins | Copy
CTRL + End | Go to end of paragraph
CTRL + right arrow | Go to start of next word
CTRL + Home | Go to start of paragraph
CTRL + Ins | Copy
CTRL + N | New document
CTRL + O | Open a document
CTRL + P | Print a document
CTRL + 5 CTRL + T | Zoom right out
CTRL + left arrow | Go to start of previous word
CTRL + F4 | Close active window
CTRL + Tab | Move from one document to another
CTRL + ALT + F (1 to 10) | User tools
F1 | Help
F2 | Open a document
F5 | Select printer
F6 | Print
F9 | Display field name
F10 CTRL + W | Display field size
F11 Shift + F4 | Display field contents
F12 | Open form
End | Go to the end of line
Home | Go to the beginning of line
CTRL + V Shift + Ins | Paste
CTRL + W | Display variable sizes
CTRL + X Shift + Del | Cut
CTRL + Y | Redo
CTRL + Z ALT + Back | Cancel
CTRL + S | Save a document
CTRL + D | Duplicate
F3 | Save a document
F7 | Open the Text dialog box
F8 | Open the Barcode dialog box
Shift + F3 | Save document as
Shift + F5 | Display printer settings
Shift + ALT + F1 | Tool 1
Shift + ALT + F2 | Tool 2
Shift + ALT + F3 | Tool 3
Shift + ALT + F4 | Tool 4
Shift + ALT + F5 | Tool 5
Shift + ALT + F6 | Tool 6
Shift + ALT + F7 | Tool 7
Shift + ALT + F8 | Tool 8
Shift + ALT + F9 | Tool 9
Shift + ALT + F10 | Tool 10
Shift + ALT + F11 | Tool 11
Shift + ALT + F12 | Tool 12

What do you want to do?

Assigning or modifying a shortcut key command


Modifying display options and the work environment

You can modify the interface language, units of measurement, and the display font for dialog boxes. These choices are made, using the Display tab.

To access the Display tab, choose Tools > Options.


Managing a docking window

You can customize your workspace, select items from the toolbar, menus (etc.) and docking windows. You can attach it to one of the sides of its parent window or detach it or let it float in its own window.

To move a docking window:

1. Select the window's title bar.

2. Press and hold the left mouse button and drag the window to the desired location.

3. To dock this window, use the directional arrows displayed at the center and edges of your workspace (Top, Bottom, Left and Right).

Click one of the arrows.

Note: Without releasing the mouse button, you can preview the location where you want your docking window to be.

4. Release the left mouse when you have finished.


Changing the interface language

The user interface is available in various languages and can be changed easily.

  1. Choose Tools > Options.

  2. Click the Display tab.

  3. Select the language.

  4. Click OK.

Note: Once you click OK, all the menus, commands and screen messages will be displayed in the selected language (except the online Help and the Windows dialog boxes, such as Open and Save as).


Choosing a unit of measurement

The unit of measurement may be in millimeters or inches. The choice of the unit of measurement changes the graduated rulers.

  1. Choose Tools > Options.

  2. Select the Display tab.

  3. Select the unit.

  4. Click OK.


To change the dialog box display font

  1. Choose Tools > Options.

  2. Click the Display tab.

  3. In the Display font field, click [image].

  4. Select the font.

  5. Click OK.


To modify the grid scale

The grid scale, which is used to align objects, can be modified or disabled.

  1. Choose Tools > Options.

  2. Click the Grid tab.

- or -

Double-click on the vertical ruler to access the Grid tab directly.

  3. Select the required grid scale.

  4. Select the Display option.

  5. Click OK.

Note: The unit of measurement used for the grid scale is defined in the Display tab.


Changing the color of the ruler

You can customize the color for the ruler in your labeling software.

  1. Choose Tools > Options.

  2. Click the Others tab.

  3. Select the background color for the ruler.

  4. Select the text color for the ruler.

  5. Click OK.


Changing the color of the label

You can define a label color. The selected color will apply to all new labels created.

  1. Choose Tools > Options.

  2. Click the Others tab.

  3. Select a label color.

  4. Click OK.


Displaying an object while moving

To visualize the object in full while moving it on screen:

  1. Choose Tools > Options.

  2. Click the Display tab.

  3. Check the Display objects while moving box.

  4. Click OK.


Defining the working folder

The first time you open the Open and Save as dialog boxes after starting the software, the My Documents folder is selected as the default working folder.

  1. Choose Tools > Options, then the Default folders tab.

  2. Click the Path column to change the default working folder.
    - or -

Click the [image] button and select the new default working folder. The path changes in the Directory column.

  3. Click OK.


To define a conversion rate

The conversion rate defined in the box is used in the eurotocurrency and currencytoeuro formulas.

  1. Choose Tools > Options.

  2. Click the Others tab.

  3. Enter the conversion rate in the box.

Note: The default conversion rate is between the French Franc and the Euro.


Customizing toolbars

Command: Display > Toolbar > Customize

The Customization dialog box lets you create toolbars easily and customize them by adding or deleting buttons. You can also show, hide, or move toolbars.

You can customize the following toolbars:

  • Commands

  • Toolbar

  • Tools

  • Keyboard

  • Menu

  • Options


Specify the menu bar

Commands tab

The Commands tab allows you to place individual commands in the menu bar and the toolbar.

You can, if you want, display one or more of these commands in the toolbars to make them easier to access.

  1. Select Display > Toolbar > Customize > Commands.

  2. Select the menu which contains the command you want to insert in the toolbar.

  3. Select the command to move to the toolbar from the Commands list.

  4. Drag the command to the desired location.

To reinitialize the toolbar:

  • Drag the command to the Commands tab of the Customization dialog box.

    - or -

  • Select the desired menu bar from Display > Toolbar > Customize > Toolbars and click Reinitialize.


To show or hide a toolbar

1. Click New. An empty toolbar is displayed.

2. Type in the name of the new toolbar in the New toolbar dialog box and click OK.

3. Select the toolbar and drag it to the desired location

Note: You cannot rename predefined toolbars.

1. Select one of the toolbars you have created.

2. Click Rename.

3. Enter the new name.

4. Confirm by clicking OK.

Note: You cannot delete predefined toolbars.

1. Select the toolbar you want to delete.

2. Click Delete.

3. Confirm the deletion of the toolbar.

Toolbar tab

The Toolbar tab allows you to activate or deactivate specific toolbars, to show text labels for toolbar items, and to reset the menu bar and toolbars to their installation state.

You can add to them, change, or delete them if you want.

  1. Select the toolbar from Display > Toolbar > Customize.

  2. In the Toolbars list, check or uncheck the box corresponding to the toolbar you want to show or hide on the screen.

If you want to reinitialize the default contents of a toolbar, click Reinitialize.
If you want to reinitialize all the default components of the toolbar, click Reinitialize all.

In the toolbar, you can also:

Create a new toolbar

Rename a toolbar

Delete a toolbar

Show text labels
Displays the name of the components of the selected toolbar.

See also Moving a toolbar


Specify user tools

Tools tab

The Tools tab displays all the components available in your toolbar. You can add to, change or delete them if you want.

  1. Select the tools tab from Display > Toolbars > Customize.

To add a tool

  1. Click [image].

  2. In Menu contents, enter the name to be displayed in the Tools menu.

  3. Specify the access path to the application in Command.

    -or-
    Click the [image] button then select the application folder.

  4. If applicable, enter any arguments in the Arguments field.

  5. If applicable, enter the directory in the Directory field.
    The installed tools will appear in Tools > Options > User tools.

Note: The number of user tools which can be installed is limited to 10.

To delete a tool

  1. Select the tool you want to delete from the Contents of the menu list.

  2. Click [image].

To define a different order

  1. Select the tool you want to move from the Contents of the menu.

  2. Click [image] or [image] to define its new location.


Keybooard tab

Keyboard tab

The Keyboard tab allows you to customize keyboard shortcuts in your labeling software and allows you to define your own shortcut keys.

Command: Display > Toolbars > Customize > Keyboard

Category
Displays all the menus available in the tool bar.

Commands
Displays all the commands available for the selected menu.

Description
Displays a description of the selected command.

Set Accelerator for
Allows to define a default keyboard shortcut.

Current Keys
Displays the command keyboard shortcut(s).

Press New Shortcut Key
Allows you to create a new shortcut.

Assign
Allows you to assign a new shortcut to a command.

Remove
Allows you to remove shortcut.

Reset all
Allows you to reset all default shortcuts.

Assigning or modifying a shortcut key command


Menu tab

1. Select the menu bar you want to customize (Default Menu).

2. Click the Commands tab, and drag the commands to the menu bar of your choice.

1. Right-click on the command or icon representing the command, and

2. Select the Delete option from the pop-up menu.

1. Select the Default Menu entry in the combo box.

2. Click the Reset button just below the menu name. A prompt appears asking if you are sure you want to reset the menu bar.

1. Select the context menu from the combo box.

2. Click the Commands tab and drag the commands to the context menu that is now open.

1. Right-click on the command or icon representing the command, and

2. Select the Delete option from the pop-up menu.

1. Select the context menu from the combo box.

2. Click the Reset button just below the context menu name. A prompt appears asking if you are sure you want to reset the context menu.

• Click the Close icon at the top right of the title bar, or

• Click the Close button of the Customize dialog box.

Menu tab

The Menu tab allows you to customize the main menu bar and the context menus (right-click menus).

Application Frame Menu group

  • Show Menus for:
    Allows you to select a menu.

  • Reset
    Allows you to reset the default application frame menu.

Context menus group

  • Select context menu
    Allows you select the context menu to use.

  • Reset
    Allows you to reset the default context menu.

Menu animation
Specifies the way a menu is displayed when a menu is clicked. Select an option from the drop-down list of menu animations.

Menu shadow
If you wish to have menus displayed with a shadow around it, select this option. All menus will then have a shadow.

To customize a menu

To delete commands from a menu

To reset either of the menu bars

To customize a context menu (a right-click menu)

To delete commands from a context menu

To reset a context menu

To close a context menu window


Options de menus et des barres doutils

Options tab

The Options tab displays all the display options in the menus and toolbars.

Command: Display > Toolbars > Customize > Options

Toolbar

Show Screen Tips on toolbars
Displays the small pop-up windows which give a short description of the function of a button. When the user moves the mouse over a button in the toolbar, the tooltip window is displayed with its description.

Show shortcut keys in Screen Tips
Displays the shortcut keys in the tooltips.

Large icons
Displays toolbar commands as large icons.

Personalized Menus and toolbars

Menus show recently used commands first
Allows the last commands used to be displayed in the menus.

Show full menus after a short delay
Allows some elements to be displayed initially, then the full menu is displayed after a delay.

Reset my usage data
Delete all new or modified command records and restore the default parameters.


Printing logfile settings

The printing logfile is fed by the data and information sent to the printer. When active, each print job launched by the user is saved in a text file as a row of data. Each row is composed of a certain number of fields, separated by commas, spaces, or tabs. Information such as the document name, printer name, number of copies, etc. can be saved in the printing logfile. This is a text file that can be viewed with a standard text editor, such as Windows® Notepad.

You can define the content of rows in the logfile in the Printing logfile dialog box.

To access the Printing logfile dialog box:

  • Choose Tools > Logfile.


To generate a printing logfile

  1. Choose Tools > Logfile.

  2. Enter the logfile name and its path in the Name box of the File tab.

- or -

Click the [image] button to access the file selection box.

  3. Select the editor of your choice.

  4. Check the On box in the Printing logfile zone.

  5. In the Logfile content list of the Options tab, select the information you want to appear in the printing logfile.

  6. In the Variables and File format zones, select the required options.

  7. Click OK.

Note: The printing logfile is not generated until printing is launched.


Displaying the printing logfile

To display the current printing log file

  1. Choose Tools > Printing log file.

  2. Click Edit to display the content of the printing logfile.

To display another printing log file

  1. Choose Tools > Printing log file.

  2. Enter the logfile name and its path in the Name box of the File tab.

- or -

Click the [image] button to access the file selection box.

  3. In the Editor box, enter the name of the program you want to use to display the printing logfile.

- or -

Click the [image] button to select the program.

  4. Click Edit to display the content of the printing logfile.


Customizing the system palette

The system color palette may be customized. You can modify the existing colors or create new ones.

Note: certain printers allow their internal palettes to be modified. In this case, the customization procedure is the same as for the system palette.

To modify a color

  1. In the palette, double-click the color.

The Windows Color dialog boxis displayed on the screen.

  2. Select the new color.

  3. Click OK.

The new color is displayed in the palette, in place of the old one.

Note: The software uses the Windows color palette. As a result, the Color dialog box will be displayed in the language your system uses.

To create a color

  1. In the palette, double-click one of the white boxes available at the end of the palette (arrows situated at each end of the palette allow you to scroll through it).

The Windows Color dialog box is displayed on the screen.

  2. Select the color.

  3. Click OK.

The new color is now available in the system palette.

Note: The palette contains 64 colors.


Choosing the color palette

To choose the color palette

Two color palettes are available: the system palette and the printer palette. The printer palette only offers the colors available on the printer.

The system palette offers a wider range of colors. These colors will be modified if the printer is not capable of reproducing them.

  • To change from one palette to the other, click the palette selection button

  • You can also change palette by right-click the grey area at the right of the palette.


To use the color palette

  1. Create the object of your choice: Text, Barcode, Line, Rectangle, Circle, Polygon, etc.

- or -

Import a black-and-white image.

  2. Select the palette of your choice (system or printer).

  3. Select the object and choose a color from within the color palette:

    - left-click to apply text, bar or outline color
    and/or
    - right-click to apply the background color.

Note: The [image] button, to the left of the palette, is used to remove the background color from an object.


Dysplay form

To display the form

The Form lets you enter data during design or, most commonly, before printing.

To display the form:

  1. Open a label containing a Form variable.

  2. Click the [image] button in the toolbar.

By default, the workspace lets you view the label and its form separately.

To display the label and form together:

  1. Select the tab for your form.

  2. Drag everything to the right of your workspace.

Both views are now visible.

Any changes to the label or form will automatically update the data in the other.

Customizing the Form


Customizing the Form

You can customize the appearance of your form by changing the color, font, etc. in the Form customization dialog box.

To access the Form customization dialog box:

  • Choose View > Form customization.
    - or -

  • Select the form with the mouse, right-click, and select Customize form.
    - or -

  • Double-click the background of the window represented in the form view.


Modify the order in which data is entered into the form

You can change the order in which data is entered into the form.

Proceed as follows:

1. Select the form using the mouse.

2. Right-click.

3. Select Start tab ordering. The default numbering appears.

4. Click the number of the field you want to appear first in the form. The number changes to green when validated.

5. Repeat step 4 to continue ordering.

6. To confirm your selection, right-click and select Validate tab ordering. The order of the fields will be automatically validated when the first field is validated. The numbering then disappears from the form.

Note: You can also cancel any changes. Right-click the form and select Abort tab ordering.


Document management

Document management involves opening and saving documents, renaming files, importing and exporting documents, and so on.

When you open a new session, the program displays a frame in the top left corner of the window. This frame represents the physical limits of the document to be printed.
Place objects inside this frame to make up your document.

In Multiple Document Interface or MDI mode, you also have the option of displaying several documents at the same time, each in a different window. In this way you can move from one document to another by clicking on the appropriate window or by selecting Window > Manage open windows in the menu bar.


To create a new document

  • Choose File > New.

You can also click the [image] button or press CTRL+N.


Opening a document

You can open one or more documents in the same session. Each document has its own window and contains its own variables and printer. The printing logfile and interface configuration options are identical for all open documents.

  1. Choose File > Open.

You can also click on the [image] button or press F2 or CTRL+O.

  2. Select the file type.

  3. Select the file.

  4. To display a preview of the contents of a file before opening it, click the Preview button.

Note: If you click the Preview button and a message is displayed telling you that no preview is available, you must check the Save as preview image box in the Properties dialog box for this document.

  5. Click Open.

Filter labels

When this checkbox is checked, only labels matching the printer driver settings will be displayed in the list of labels that can be opened. This label filter is based on printer model and/or settings according to the printer (for example, stock type/name).

Note: This option is only available with certain printer models.

UFO: Universal File Object

ULD: Universal Label Document

TPL: Template


Opening a document as read only

This option allows you to open a document without modifying the original.

  1. Choose File > Open

You can also click the [image] button or press F2 or CTRL+O.

  2. Check the Open as read only box.

  3. Double-click the document you want to open.


To organize open documents

The Window menu, together with the list of tabs situated above the workspace lists all open documents. You can display them separately or view them simultaneously with each in a separate window. The display can be horizontal or vertical.

To activate a document:

  • Click the document to be activated from the list, or press CTRL+TAB.

    - or -

  • Select Manage open windows in the Window menu. Determine the window to activate and click Activate.

To display documents in different windows:

  1. Select the tab for the document you want to display in another window.

  2. Drag the document where you want it.

- OR -

  1. Click Window in the menu bar.

  2. Select New horizontal or Vertical tab group as desired.

Both documents are now visible, each in a separate window.

Note: You can copy objects between documents by holding the CTRL key down while dragging the object into another document.

The application displays error messages when documents are opened or closed. The program asks you whether you want to update the document.


To save a new document

  1. Choose File > Save.

You can also click on the [image] button or press F3 or CTRL+S.

  2. To save the document in another folder, click a different drive in the Save as... zone, or double-click a different folder in the folders list.

  3. Enter the document name.

You can use long and descriptive filenames.

  4. Click Save.

Hint: So that your document can be identified and located quickly and easily, click File > Properties.... In the Summary tab, enter information such as document title, subject, author, keywords, and comments. You can now search for your document by certain file properties, particularly author, subject, or title.


To save an existing document

The Save command is used when the document you are working on already has a name.

  • Choose File > Save.

You can also click the [image] button or press F3 or CTRL+S.


Saving a copy of a document

  1. Open the document you want to make a copy of.

  2. Choose File > Save as.

  3. In the Filename box, enter a new name for the document.

  4. Click Save.

Note: To save the copy in another folder, click another drive in the Save as list box, or click another folder in the folders list.


Saving documents

You can save the active document, whether or not it is new. You can save a copy of the active document under another name or in another location.

What do you want to do?

Close or exit a document


To close a document

To | Choose
Close a document without exiting the program | File > Close
Close a document and exit the program | File > Exit
Closing all documents without exiting the program | File > Close All

Note: Before the document closes, a message is displayed asking if you want to save your work.


To insert a document into the current document

You can open and integrate a label into the current document.

  1. Choose File > Insert.

  2. Select the folder containing the document you want to insert.

  3. Enter the name of the document in the Filename box or select it from the list.

  4. Click Open.

Note: The template and the selected printer oh the current document are used for the inserted document.


Importing a document from FTP

  1. Choose File Import from FTP.

  2. In the Download document from Internet addresses dialog box, select the address or click the Add/modify button to create a new address.

  3. Once the connection is established, the list of documents is displayed.

  4. Select the desired document and click OK.

Adding an FTP connection

  1. Choose File > Import > From FTP.

  2. Click the Add/modify button to access the Add/Delete FTP sites dialog box.

  3. In the Name of the FTP site field, type the name of the server or the IP address.

  4. If the site does not allow Anonymous sessions, select User and type the name of the user.
    If the site requires a password, type it in the Password field.

  5. Click Add to add the new site to the list of available addresses.

  6. Click OK.


Exporting a document to an image file

You can export your document to an image file. You can then use it in a graphics application.

  1. Choose File > Export > To an image file.

  2. In the Export document dialog box:
    - define the export options
    - define the name and format of the export file

  3. Click OK.


Importing a file in printer language

The Import... command in the File menu allows you to translate documents (labels) written in printer language into documents in labeling software format.

For more information on importing files, please refer to the File Converter section in the online Help.

What do you want to do?

Importing a label format


Formatting a document

Document templates are created and modified in the Page setup dialog box.

Formatting a document consists of setting the page size, its orientation, the number of labels per row and per column, document size, margins, and distance between labels. You can create your own document templates and save them for future use.

Note: Before creating a document stock, you must first choose the model of printer that will be used to produce the document. Choose File > Select printer.
Page format is defined using the Page setup dialog box. It updates the printer settings. The software does not use the page settings defined in the Printer settings dialog box.

To access the Page setup dialog box:

  1. Choose File > Page setup.

- or -

Click the [image] button.

  2. Click the Label tab and enter the size and number of labels.

  3. Click the Page tab and select the page size and its orientation.

  4. Type the desired values in the Margins tab.
    T    he Stock tab allows you to save customized stocks.

  5. Click OK.

Note: When the parameters entered are incompatible with the size of the stock, an error message is displayed.


To save a customized stock

Saving a customized stock

To save a stock, you must give it a name and state the type you want to attach it to.

  1. Choose File > Page setup.

- or -

Click the [image] button.

  2. Configure the format.

  3. In the Stock tab, select a type from the Type list (or enter a new type).

  4. Select a stock name (or enter a new one).

  5. Click Save.

Note: If you are not satisfied with the parameters, click Cancel. The program closes the Page setup dialog box without applying the modifications.
There are a number of predefined stocks that cannot be modified.


Deleting a customized stock

  1. Choose File > Page setup.

- or -

Click the [image] button.

  2. In the Stock tab, select a stock from the Type and Name lists.

  3. Click the Remove button.


Error messages

When the parameters entered are not compatible with the stock dimensions, the software generates an error message.

The following list contains all error messages and their meanings, enabling you to make the necessary corrections:

Error messages | Meaning
Top margin too small | The top margin must be increased.
Left margin too small | The left margin must be increased.
Page width too big | The page is too wide for the printer.
Page width too small | The page is too narrow for the printer.
Page height too big | The page is too long for the printer.
Page height too small | The page is too short for the printer.
The height creates a problem | The top margin of the page is too large. There are too many labels per column. The distance between lines is too great.
The width creates a problem | The left margin of the page is too great. There are too many labels per row. The distance between columns is too great.
The comment is too long | The comment is limited to 150 characters.

Note: These error messages are for information only and do not affect the page setup.


Defining a document background

Command: File > Page setup > Stock

You can define a specific label background to obtain standardized labels.
To do so, you must use files with file names consisting of the concatenation of the label stock type and stock name.
The location and size of the space reserved for label elements are defined in hundredths of millimeters (0.01 mm) rather than in pixels/resolution.

Note: The spaces that are not available are dimmeded out in the background preview. The label size cannot be customized.


Printing

Your software is both a design tool and a print engine that combines the widest possible range of proprietary printers (native, thermal transfer, and inkjet) ever supplied on the automatic identification market.


Adding a printer

You can access the Add a printer dialog box through the File > Select printer command, and by clicking Add.

This dialog box allows you to add the printer drivers supplied with the software.

Note: To add a Windows printer, you must use the operating system's control panel.

To add a printer:

  1. Click File > Select printer.

You can also click the [image] button or press F5.

  2. Click Add.

  3. In the Model list, select a manufacturer family, and a model of printer.

  4. Select the port (serial, parallel or file), then click OK.

Note: Click the plus sign (+) next to the printer manufacturer family to display the different models.

What do you want to do?

Add a printer

Add a network printer

Remove a printer


Selecting a printer

Command: File > Select printer

-or-

Click the [image] button

- or -

Press the F5 key.

It can also be accessed by clicking the Printer button in the Print dialog box (F6).

A printer must be selected before your document is created. The choice of printer affects page setup options, use of various fonts, etc.

Windows printers and native printers

As we have already seen, your label design software is capable of printing on a wide range of Windows and native printers, both direct native and native transfer.

The term Windows printer refers to any printer installed on your operating system: generally office printers, laser printers, and so on. Print jobs are sent to the Windows spooler (job queue).

The drivers for native and native transfer printers are supplied with the label design software. Printing on these printers is managed directly by the software.

To select a printer

  1. Choose File > Select printer...

You can also click the [image] button or press F5.

  2. Select the printer from the list.

  3. Click OK.

Note: The drivers provided by the application are identified by an icon.


To set up a printer

  • Click Settings in the Printer dialog box.

- or -

Choose File > Configure printer from the menu

- or -

Click the [image] button.

- or -

Press F5.

Note: The information on how to use this box is contained in the online Help for the drivers supplied with the software and in the manual supplied with the machine.

What do you want to do?

Changing the printer port


Changing the printer port

  1. Choose File > Select printer.

You can also click the [image] button or press F5.

  2. Select the printer from the list.

  3. Click the Port... button

  4. In the Change printer port dialog box, select the new communications port (serial, parallel, or file)

    Click the TCP/IP button if you want a TCP/IP connection.

    - or -

    Click the Network printers button to select a network printer.

  5. Click OK.


Printing a document

  1. Choose File > Print to access the Print dialog box.

You can also click the [image] button or press F6.

  2. In the Labels text box, enter the number of labels to be printed.

  3. Click OK.


Print dialog box

Command: File > Print

Allows you to control the way a document is printed. Before using this command, you need to install and select a printer, and configure the page setup. To select a printer, see the Printer dialog box.

Label preview
Displays the preview of the current label.

Print preview
Used to view the document as it will appear when printed.

Summary
Displays the default settings defined by the user (printer, quantity, current records). Allows to verify that the summary matches the intended transaction (without browsing the other tabs) and to print the labels.

General tab

Form tab

Database tab

Performances

What do you want to do?

Printing a document

Print a selection of labels

Print a selection of labels from a database

Print labels using the form

Start printing at a specific label number

Set print options

To launch a test print

To launch a print merge


Print dialog box - General tab

General tab allows you to select a printer and enter the number of labels to print.

Printer group

Printer
Allows you to choose the printer on which to print the document.

Settings
Provides direct access to the Printer settings dialog box.

Status
Displays the selected printer status.

Print in a file
Used to print to a file instead of printing to the predefined port. The Save as dialog box is displayed when you start printing.

Print a test
This option is available if the Enable test printing option is enabled in the Printing tab of the Options dialog box. If this option is enabled, counter values are reset after printing is complete.

Options
Allows certain printing parameters to be defined.

Quantity group

Labels
Displays the number of labels to be printed. If the document includes a counter, this number allows the number of different labels to be printed to be determined, that is the number of counter increments.

Copies of each label
Displays the number of identical copies of each label to be printed.

Copies of each page
Displays the number of copies of each page to be printed.

Note: If the label contains a counter, its value will remain the same for each copy.

Total
This box is fed automatically according to the values entered in the above boxes. It indicates the total number of labels to be printed.

More
Allows certain printing parameters to be defined (Start at label / Empty pages / Adjust origin).

What do you want to do?

Print a document

Print a selection of labels

Start printing at a specific label number

Set print options

Launch a test print

Launch a print merge


Print dialog box - Form tab

Form tab lets you enter data before printing if you are printing a label containing a Form data source. A modification in the form updates the label preview.

Note: If one of the options in the form customization dialog box is selected (Data input one by one, For each series, For each label) the form is disabled.

To print labels using the form:

  1. Choose File > Print to access the Print dialog box.
    - or -
    Click the [image] button.

  2. Select the Form tab.

  3. Type the desired values in each field.

  4. Click OK.


Print dialog box - Database tab

Database tab lets you select record(s) to be printed. This TAB can only be accessed when the document is connected to a database.

Database
Displays the database name.

Records

Current record
Allows you to print the current record.

All records
Allows you to print all records.

Select a range of records (for example: 1-3;6;8)
Used to launch a single print command, to print a selection of records with numbers that are not necessarily chronological.

  • To print records that are numbered chronologically, insert a dash (-) between the first and last number of this series.
    For example    : To print records 4 to 12, enter 4-12.

  • To print records that are not numbered chronologically, insert a semicolon (;) between each number.
    For example    : To print record 1, 15 and 19, enter 1;15;19.

  • To print a mixed series of records, use both formulas mentioned above.
    For example    : To print records 4 to 12, and record 1, 15 and 19, enter 1;4-12;15;19

Note: When a merge database is printed, with several labels per page and a field associated with the @PAGECPY system variable, the software will generate a page break each time the current record's @PAGECPY is different from the previous record's @PAGECPY. It is not possible to have, on the same page, two records with a different @PAGECPY.


Performances

Command: File > Print > Performances

Lists all the label's variable objects that are eligible for optimization. It displays the name of the object, the name of the associated variable and a comment.
It allows label designers to identify objects that can be optimized.


Printing a selection of documents

  1. Choose File > Print to access the Print dialog box.

- or -

Click the [image] button.

  2. In the Labels text box, enter the number of labels to be printed.

- or -

Click More button, select the number of labels you want to print by clicking a label in the preview pane and dragging the mouse over the labels to be printed, while holding the left mouse button.

Selected labels will show as blue in the preview pane and the Labels text box value will change according to your selection.

  3. Click OK.


To launch a test print

This option allows labels to be printed without modifying variable values.

  1. Choose File > Print to access the Print dialog box.

- or -

Click the [image] button.

  2. In the Labels text box, enter the number of labels to be printed.

  3. Enable Print a test.

  4. Click OK.

Note: You can access the various print options in the Printing tab of the Options dialog box.


To launch a print merge

The Merge option is available when a merge database has been opened. It launches label printing including all records in the database.

  1. Choose File > Print to access the Print dialog box.

- or -

Click the [image] button.

  2. In the Labels text box, enter the number of labels to be printed.

  3. Select the database tab. In the Records field, select All records

  4. Click OK.


Start printing from a specific label number

  1. Choose File > Print to access the Print dialog box.

- or -

Click the [image] button.

  2. In the Labels text box, enter the number of labels to be printed.

  3. Click More button, and in the Start at label box, enter the number of the label you want to start printing from.

  4. Click OK.


Preview dialog box

Command: File > Print > Print preview

Used to view documents as they will appear when printed.

Page selection buttons
Used to select a page type: first page/previous page/next page/last page.

Scale buttons
Used to select the scale for the preview display: real label size/full view of the print medium/full width of the screen.

Print button
Allows you to print without closing the Preview dialog box.


Enable Wizards

Wizards are tools that facilitate the rapid creation of objects and documents.

Command: Tools > Options

  1. Click on the Wizards tab.

  2. Check the relevant box to enable the Wizard required.

  3. Repeat step 2 for other wizards if need be.

  4. Click OK once you have selected the required wizard(s).

Note: Holding down SHIFT while creating an object enables you to temporarily enable or disable the wizard.

Document tab

Display tab

Default folders tab

Grid tab

Printing tab

Others tab

Product mode


(To drag and drop, click on the item and, holding the left mouse button down, drag the item to the desired location.)

(Current task include creating text or image objects by dragging and dropping text and graphic files supported by the application in Windows Explorer or creating variable objects by dragging and dropping data sources in the Data Sources view.)

Creating and manipulating objects

Creating fixed objects involves inserting objects such as text, barcodes, images, lines, rectangles, and circles into your document.

Creating objects

You can quickly and simply create an object in your document (bar code, image, text, drawing, etc.) using:

  • The Creation toolbar,
    - or -

  • The Object menu.

Note: Each object created is automatically given a name by the application. When the object is selected, its name appears in the Objects view and in the Object toolbar.

You can create an object using one of the following options:

  • Direct mode creation:

  1. Click directly on the object or icon you want to insert into your document.

  2. Click the location where you want to place the label.

- or -

  • Guided mode creation (according to your requirements):

  1. Click the menu button for your object. A submenu appears with the list of actions you can assign to it (Fixed object, Wizard, New data source, Use an existing data source).

  2. Select the action you need.

  3. Click the location where you want to place the label.

Modifying an object

You can change an object using:

  • Buttons on the toolbar, formatting toolbar, alignment toolbar, etc.

  • Double-clicking the object

  • Document Explorer Objects view > Properties...

The Drag and Drop function is used to perform current tasks.


Creating fixed objects

Creating fixed objects consists of inserting objects such as text, barcodes, images, lines, rectangles, circles, etc. into your document.

Creating fixed objects

To add fixed objects to your document, you can use:

  • The creation tools

  • Commands in the Object menu

For both modes you can:

  • Click the object directly,
    - or -

  • Display the dropdown menu and select Fixed object,
    - or -

  • Display the dropdown menu and select Wizard.

Note: Each object created is automatically given a name by the application. When the object is selected, its name is displayed in the Objects view.

What do you want to do?

Creating a linked or embedded object from an existing file

Creating an embedded object

Renaming an object

Define an object's default properties


To create a barcode object

  1. In the Creation toolbar, click on the Barcode generation tool [image] .
    - or -
    Choose Object > Barcodes

  2. Click inside the workspace.
    The Barcode dialog box is displayed.

  3. From the Code tab, select the barcode of your choice. You have the choice between Printer and Graphic.

  4. Click Printer to display the list of barcodes resident on the printer.
    - or -
    Click Graphic to display the list of barcodes generated by the software.

  5. If necessary, specify the characteristics of the barcode (height, narrow bar width, ratio, check character).

  6. Enter the data to be coded in the Data box.

  7. Click OK.

Note: Certain printers do not have resident barcodes. The Graphic option allows barcodes to be printed despite this. This has the disadvantage of slowing printing down as barcodes are sent to the printer in the form of graphics.

What do you want to do?

Display the barcode's human readable

To create a 2D code

Change a fixed barcode into a variable barcode

Consult the special input syntax


To create a text object

  1. On the Creation toolbar, click the Writing [image] tool.
    - or -
    Choose Objects > Text.

  2. Click inside the workspace or on the text to be modified.
    - or -
    Click and drag out a frame in the workspace.

  3. Enter your text.
    The style of the text can be defined using the Text dialog box.

To open the Text dialog box:

Choose Object > Text.
- or -
Press the F7 key.

What do you want to do?

Create a variable text

Change a fixed text into a variable text


To import an image

Your software allows you to insert images and company logos to help you perfect your label.

A number of formats can be imported: bmp, dib, dxf, emf, fmf, eps, fpx, img, gif, jpg, pcd, pcx, dcx, png, rle, tga, tif, wmf, wpg...

  1. In the Creation toolbar, click the Import Image [image] tool.
    - or -
    Choose Object > Image.

  2. Click inside the workspace.
    The Image selection dialog box is displayed.

  3. In the Browse for a file tab, select the image to be imported.

  4. Select the image filename.

  5. Click OK.

Note: To display a preview of the image, click the Preview button.

What do you want to do?

Modify the size of an image

Modifying image properties

Importing a file from the gallery.


Drawing a rectangle

  1. Click the Rectangle drawing tool [image] .

    - or -

    Choose Object > Shape > Rectangle.

  2. Click inside the workspace.

  3. Holding the left mouse button down, move the mouse diagonally.

Hint:
To draw a square, hold the SHIFT key down while you drag the cursor.
To draw a rectangle centered on the starting point, hold the CTRL key down while you drag the cursor.
To draw a square centered on the starting point, hold the CTRL and SHIFT keys down while you drag the cursor.

What do you want to do?

Change the size of the rectangle

Modify line width

Moving an object


Drawing a polygon

  1. Click the Polygon drawing [image] tool.

    - or -

    Choose Object > Shape > Polygon.

  2. Click inside the workspace.

  3. Draw a line.

  4. Continue to draw the desired shape by clicking and moving the mouse.

  5. Double-click to finish the polygon.

Hint: To close the polygon, double-click on the starting point. A closed polygon can be colored in using the color palette.

What do you want to do?

Changing the size of a line

Moving an object


Export a polygon to the shapes gallery

After you have drawn a polygon:

  1. Click the required polygon using the right mouse button.

  2. Click Export to the shapes gallery.

  3. Save this new shape in the most appropriate folder located at the first level of the Shapes folder.
    Saving a new shape in one of these folders allows you to reuse the shape when TextArt is created, so that the latter's text takes the form of the shape.

Drawing a polygon

To adapt TextArt to a shape, use the Shape settings tab.


Drawing a line

  1. Click the Line drawing [image] tool.
    - or -
    Choose Object > Shape > Line.

  2. Click inside the workspace.

  3. Move the mouse while holding the left button down.

What do you want to do?

To modify line width

Moving an object


Drawing an oblique line

  1. Click the Oblique line drawing [image] tool.

    - or -

    Choose Object > Shape > Oblique line.

  2. Click inside the workspace.

  3. Move the mouse diagonally while holding the left button down.

To align the oblique line with the 15-degree angle increments, hold the SHIFT key down while moving the mouse.

Hint:
To obtain an oblique line starting at the center, hold the CTRL key down while you drag the mouse cursor.
To draw an oblique line starting from the center and aligned with a 15 degree angle increment, hold the CTRL and SHIFT keys down while you drag the mouse cursor.

What do you want to do?

Changing the size of a line

Moving an object


Drawing a circle or an ellipse

  1. Click the Circle or ellipse drawing [image] tool.

    - or -

    Choose Object > Shape > Circle.

  2. Click inside the workspace.

  3. Holding down the left mouse button, move the mouse horizontally until the required shape is achieved.

Hint:
To obtain a circle, hold the SHIFT key down while you drag the mouse cursor.
To draw an ellipse starting from the center, hold the CTRL key down while you drag the mouse cursor.
To draw a circle starting at the center, hold the CTRL and SHIFT keys down while you drag the mouse cursor.

What do you want to do?

Changing the size of a line

Moving an object


Drawing a rounded rectangle

  1. Click the Rounded rectangle drawing [image] tool.

    - or -

    Choose Object > Shape > Rounded rectangle.

  2. Click inside the workspace.

  3. Holding the left mouse button down, move the mouse diagonally.

Hint:
To obtain a square with rounded corners, hold the SHIFT key down while you drag the mouse cursor.
To draw a rounded rectangle starting from the center, hold the CTRL and SHIFT keys down while you drag the mouse cursor.

What do you want to do?

Change the size of the rectangle

Modify the corner roundness of the rectangle

Moving an object


Adding a predefined drawing

In the Creation toolbar, click the Shapes Gallery [image] , point to a category, and click the desired shape.

To export a shape to the Shapes Gallery

If you have created a shape using the polygon drawing tool and want to add it to the Shapes Gallery:

  1. Select the shape and click with the right mouse button.

  2. Choose Export to the shapes gallery from the context menu.

The Save as dialog box is displayed.

  3. In the Shapes folder, select or create the folder in which you want to save the shape.

  4. Type the name of the file and click Save.

Your shape has been added to the Shapes Gallery.


Creating TextArt

Command: Click the Objects Creation toolbar button > TextArt

See the Text settings tab.


Creating a Rich Text field

Command: Click on the Objects creation toolbar button > Rich Text Field

See the Rich Text Field tab

See TextEditor dialog box


OCX control creation

Creating an OCX control

  1. On the creation tool bar, click on the Extended objects [image] tool.

  2. Select OCX field.

    The control is added to your label.

See OCX control tab


Creating embedded objects

You can link or embed all or part of another file into a file. You can create new embedded objects or link and embed objects from existing files.

Linking and embedding are distinguished by the storage location of the data, and the way it is updated once it is inserted into the destination file.

With a linked object, the information remains stored in the source file. The destination file displays a representation of the linked information, but only stores the location of the original data. Linked information is automatically updated if you modify the original data in the source file.

In the case of embedded files, the information in the destination file does not change when the source file is modified. The embedded objects are an integral part of the destination file.


Creating an embedded object

  1. On the creation toolbar, click the External object insertion [image] tool.

- or -

Choose Object > Insert external object.

  2. Click the place where you want to insert the external object.

The Object insertion dialog box is displayed.

  3. Click the type of object you want to insert into the document.

Only those programs installed on your computer and that manage linking and embedding appear in the Object type zone.

  4. Select Create new.

  5. To display the embedded object as an icon, check the Display as icon box. The embedded document is not visible, but it is displayed as an icon. Double-clicking the icon allows you to open the file in the source program.

Note: Embedded objects cannot be converted into variable objects.


Creating a linked or embedded object from an existing file

  1. Click the place where you want to insert the external linked object.

  2. On the Creation toolbar, click on the External object insertion [image] tool.

- or -

Choose Object > Insert external object.

The Object insertion dialog box is displayed.

  3. Select Create from file.

The dialog box changes.

  4. In the File box, enter the name of the file you want to create an object from.

- or -

Click Browse to select a file.

  5. Check the Link box to link the file.

If you do not check the Link box, the object is automatically embedded.

  6. To display the linked object as an icon, check the Display as icon box.


Embedding or linking an object

The Paste Special command allows you to deal with formatting problems encountered when copying objects onto the clipboard, and also allows you to link or embed only part of an object created in another application.

  1. Choose Edit > Paste Special.

The Paste Special dialog box is displayed.

  2. Check the Paste with link box to link the data with its source document.

  3. Under As, select the option allowing you to insert data in the form of a linked object.

  4. To display the linked or embedded data as an icon, check the Display as icon box.


Controlling link updates

By default, linked objects are updated automatically. The application automatically updates linked information each time you open the destination file, or each time the source file changes while the destination file is open. You can also opt for manual updates of linked objects so that they will be updated only when you specify.

  1. Choose Edit > Links.

The Links command is not available if your file does not contain any links.

The Links dialog box is displayed.

  2. Click Update link.

  3. To select several links, hold down the CTRL key and click on each linked object.

To update the link each time you open the file that contains it, or each time the source object is modified while the file is open, select Automatic.

To update the link only when you click Update now, select Manual.


Opening and modifying an embedded object

  1. Select the embedded object to be opened or modified.

  2. Choose Edit object name Object (for example: Bitmap image Object).

  3. Choose Open or Modify.

The selected file opens in its source application.


Manipulating objects

Your software offers you different tools for manipulating objects, enabling you to format your documents.

What do you want to do?

To cut, copy, paste or duplicate an object

Copy all as an image

To align objects

To bring an object to the front or send it to the back

Renaming an object


Defining an object's default properties

You can define the properties of an object (shape, image, text and barcode) as default properties using the Set as default command in the context menu. The default properties will apply to all new objects of the same type that you create in the document.

  1. Click the Select Objects [image] tool.

  2. In the workspace, right-click on the object with the properties to be used as the default value.
    - or -
    In the Object view, right-click on the object's name.

    3. A context menu is displayed.

  3. Choose Set as default.


Formatting Image objects

To modify the properties of an image:

  1. Select the image you want to modify.

  2. Right-click the object, then choose Properties from the context menu.

  3. Click the General tab.

  4. Select the settings you want to apply to the image.

  5. Click OK.

You can modify the properties of an image in the Image dialog box.

What do you want to do?

Modifying image properties

Adjusting variable image settings


Write original file

If the source file of an image is no longer included in your document, you can save the image in its original file format using the Write original file command in the context menu.

  1. Click the Select Objects [image] tool.

  2. In the workspace, right-click the image.

    3. A context menu is displayed.

  3. Select Write original file.

  4. In the Save As dialog box, type a name for the file and confirm.


Formatting Text objects

You can modify the Text object using the Text formatting toolbar or in the Text dialog box.

Formatting text objects from the Text dialog box

To | Do
Modify text attributes | Select the style options.
Change the font | Select a font in the Font zone.
Wordwrap | Click the Paragraph tab and check the Wordwrap box.
Disable hyphenation | Click the Paragraph tab and check the Disable word hyphenation box.

Hint: To format text more quickly, select the text then click one of the Text formatting toolbar buttons.

What do you want to do?

To modify text color

To modify text size

Fitting text to the frame

Modifying text alignment


To modify object size and proportions

You can modify the size of an object (shape, image, text, and barcode) using the Object toolbar or the Properties command on the context menu.

What do you want to do?

To modify the size of a shape or image

To modify line width

To modify rectangle corner roundness

Fitting text to the frame


To select objects

There are three ways to select objects:

  • Individual selection, or selecting one object at a time,

  • Multiple selection, or selecting several objects simultaneously,

  • Character string selection, or selecting text.

To select objects

To select | Do
One object | Click the Select Objects tool, then on the object. Or, select the object in the Objects tab and choose the Select command.
Several objects | Draw a virtual frame around the objects, or hold the SHIFT button down while clicking on the objects one-by-one.
Select all | Choose Edit > Select all.
A character string | Click the Writing tool and the beginning of the string. While holding the mouse button down, drag the cursor to the end of the string. Or, double-click in the middle of the string.

Note: The Select all command selects all objects, including those positioned in the non-printable zone.


To move objects

There are two ways to move objects: using the mouse, or using the keyboard.

What do you want to do?

Moving one or more objects

Copy and move objects between different documents


Locking or unlocking objects

When an object is locked, you cannot access its properties.

  1. Select one or more objects.

  2. Click the [image] button in the Object formatting toolbar.

- or -

  1. Select the object in the Objects tab of the Document Browser.

  2. Choose the Lock/Unlock command in the context menu.


To define an object as printable or not printable

By default, all objects in the document are printable. However, if you wish, you have the option of not printing them.

  1. Select an object.

  2. Click [image].

- or -

Choose Object Printable / Not printable.

Note: An object defined as not printable appears dimmed.


Substitution font dialog box

Command: File > Select printer > Fonts...

Allows dynamic substitution of one document font for another font during printing.
The TrueType substitution font will be used during printing to dynamically replace certain TrueType fonts with a printer font.
The advantage is that you can design a simple label, which can then be printed on different types of printers using TrueType substitution font. This means the same TrueType font can be used when designing the label, while the printer font and printer model can be defined when the label is printed.

TrueType substitution font group

No substitution
Allows you to make no substitution.

Substitution made from the table during printing
Allows the current font to be replaced by the chosen font during printing.

Automatic substitution during printing
Allows all TrueType label fonts to be replaced by the printer default font.

Note: The substituted fonts are marked with a red asterisk in the font list of the Character tab in the Properties dialog box, or in the font list of the menu toolbar.

Substitution table group
Used to define the substitution font list.


Creating a data source

  1. In the Data sources view, right-click one of the data sources.

  2. Select Add from the pop-up menu.

  1. Click the Data source menu.

  2. Select one of the data sources.

  3. Click Add.

  1. Click [image] in the toolbar.

  2. Select the data source you want.

  3. In the submenu, select Add.

Creating a data source

Data sources allow you to use data external to the application, for example, calculated data, your computer's date system, etc. The values associated with these variables are supplied by different data sources.

You can create a data source from:

The Data sources view

The Data source menu

The Toolbar

For each of these creation modes:

  • The data source created is displayed automatically under the selected data source.

  • The application gives the data source a default name.

Note: Brackets {} cannot be used in a variable name.
This procedure applies to all data sources, except variables from the Database data source. To create a database variable, you need to create a query.

  • Categories and sub categories can be added under the selected data source, except for the Database data source.

Note: To create categories and sub categories, right click one of the data sources, select Add category.

What do you want to do?

Create variable objects

Modifying data sources

Defining properties of data sources


Defining properties of data source

Defining properties of data sources

Each variable is associated with a data source. From the Data Sources view, menu, or toolbar, you can create, delete and rename data sources directly, and access their properties.

Note: You cannot rename a Database data source variable from the Data Sources view.

What would you like to do?

Define the properties of a Date data source
Create a query (Database)
Define the properties of a Formula data source
Define the properties of a Form data source
Define the properties of a table lookup data source
Define the properties of a Counter data source
Define the properties of a Free data source


Defining the properties of a Counter data source

Command: Data sources > Counter > Properties
See all options for Create a data source.

  1. Select the type of counter.
    If you want to use a type of counter other than those displayed in the list, choose the Custom option and enter a customized sequence

  2. Enter a value in the Increment box. By default, the increment is +1.

  3. Enter a start value in the Current value box. By default, the value is 0.

  4. Click OK.


Defining the properties of a Form data source

Command: Data sources > Form > Properties...
See all options for Create a data source.

  1. Click the Form tab.

  2. Enter the prompt you want to display in the form.

  3. If you wish, you can define an input format and a minimum length.

  4. You can create values that will be proposed in the Form by selecting <Local> from the Pick list. Next click on [image] to access the Pick list dialog box.

  5. In the Output tab, you can define an output format, maximum length, suffix and prefix.

  6. Click OK.

Note: If you define an empty local value and check the Restore after printing box, the value of the variable will set to empty after each print job.

Form data source dialog box


Defining the properties of a Formula data source

Command: Data sources > Formula > Properties...
See all options for Create a data source .

  1. Enter the formula directly in the Edit box.

- or -

Select the elements of your choice, then click Insert.

  2. Click Test to verify that the syntax is correct. If an error occurs, follow the instructions displayed on the screen and carry out any necessary changes.

  3. Click OK.

Hint: You can insert an element by double-clicking on it.

Note: If a variable used in the formula has a name containing one of the following characters &+-*/<>=^%,!\", it must be enclosed in brackets {}.

Note: You can check your formula by clicking Test. If the message displays the formula value, it means that your formula is correct. If the value is not correct, follow the instructions displayed on the screen to carry out the necessary modifications.
If the value obtained is truncated, you must modify the maximum length specified in the Output tab.

Formula data source dialog box


Defining the properties of a Table lookup data source

  3. In the Select table list, select a table where the search is to be carried out.

  4. In the Select result field list, select the field whose value is to be transferred into your variable.

  5. Click [image] to add a row.

  6. Select the field in the external table on which the search is to be carried out.

  7. Select the current document variable containing the search value.

  8. Click the Test button to display the result.

  3. Click SQL format creation mode.

  4. Enter your query in SQL format.

    - or -

    Click SQL Query Builder to access Query Builder. This provides an easy-to-use interface for building SQL database queries. You can create new requests or represent existing requests graphically in your applications.

  5. Click the Test button to display the result in the Query dialog box.

Defining the properties of a Table lookup data source

Command: Data sources > Table lookup > Properties
See all options for Create a data source.

  1. Select the data source from the Select data source list.

Note: To create a new data source, click the New data source button. This gives you the option of using the Wizard or choosing between an ODBC or OLEDB data source.

  2. By default, Standard creation mode is activated. However to carry out a table lookup, you can use Advanced creation mode: SQL.

Standard creation mode

SQL advanced creation mode

What do you want to do?

Installing ODBC or OLEDB data sources

Table lookup data source dialog box


Defining the properties of a Date data source

Command: Data sources > Date > Properties
See all options for Create a data source.

  1. In the Date tab, select the desired format for the date and time.

  2. The date format is displayed in the Preview zone.

  3. Click OK.


Defining the properties of a Free data source

Command: Data sources > Free > Properties
See all options for Create a data source.

  1. In the Input tab, select one of the following options: Local or Shared or From a file.
    I    f you have chosen the Local option, enter the variable value in the box. This is the initial value of the variable, the one that will be printed first.
    - or -
    If you have chosen the Shared option, enter the variable value in the box. Click OK. For more information about creating shared variables, click on
    - or -
    If you have chosen the     From a file option, select the required file.

  2. In the Output tab, you can define an output format, maximum length, suffix and prefix.

  3. Click OK.


Modifying data sources

From the Data Sources view, menu, or toolbar, you can delete and rename variables, and change their properties.

Note: You cannot rename a Database data source variable from the Data Sources view.

What do you want to do?

Change the data source properties

Rename a data source

Delete a data source


To change variable properties

To change data source properties

  1. In the Data Sources view, right-click on the variable you want to modify.

    -or-

    In the Data sources menu, select the variable you want to change and click Properties.

    -or-
    In the Data sources toolbar, select the variable you want to change, and click [image] .

  2. A dialog box is displayed allowing you to change the properties of the variable.

Hint: Double-clicking on the data source allows you to access directly the Data source properties dialog box.


Renaming a variable

Renaming a data source

  1. Select the variable in the Data Sources view.

  2. Press F2.

- or -

Click the variable.

The name of the variable is displayed in the frame and the cursor changes into a text pointer.

  3. Enter the new variable name.

OR

  1. In the Data sources menu, select the variable you want to change and click Properties.

-or-

In the Data sources toolbar, select the variable you want to change, and click [image] .

  2. A dialog box is displayed allowing you to change the properties of the variable. You can rename your variable in the Name field of the Input tab.

Note: Data source names cannot contain the following characters: { }.

Note: You cannot rename a database data source on the Data Sources view.


To delete a data source

  1. In the Data Sources view, right-click on the variable you want to delete.

    -or-

    In the Data sources menu, select the variable you want to delete.

    -or-

    In the Data sources toolbar, select the variable you want to delete.

  2. Choose Delete in the context menu.

    - or -

    Press the DEL key.

    - or -

    click [image] .

Note: You cannot delete a data source used within another data source (Formula, Counter, etc.) or a data source associated with an object.


Adding a variable

Adding a variable object

After you have created a data source:

  1. Choose Data source > Type of data source > Name of variable > Add to label.
    A cross-shaped cursor marked 'V' will appear.

  2. Click the area of the label in which you want to add the variable.
    A menu will appear with the following options: Text, Barcode, and Image.

  3. Click the value required.

Creating a data source


To create a variable text object

  1. Click the Writing [image] tool.

  2. In the submenu, select Use existing data source, followed by the variable you want to associate with the text object.

    - or -

    In the submenu, select New data source, followed by the variable you want to associate with the text object.

    - or -

    In the submenu, select the Wizard.

  3. Click the location where you want to place the label.

Note : To add a new line, you must use one of the following control characters: CRLF (Carriage Return - Line Feed) or \N.

What do you want to do?

Creating a data source

Changing the data source associated with an object

Adding a data source to a paragraph


To create a variable barcode object

  1. Click the Barcode generation tool [image] .

  2. In the submenu, select Use an existing data source followed by the variable you want to associate with the text object,

    -or-

    In the submenu, select Create a new data source followed by the variable to be defined which you want to associate with the text object,

    -or-

    Select the creation wizard in the submenu.

  3. Click the location where you want to place the label.

The name of the associated variable is displayed in the variable image object created.

What do you want to do?

Creating a data source

Changing the data source associated with an object


To create a variable image

  1. Click the Image import [image] tool.

  2. In the submenu, select Use an existing data source followed by the variable you want to associate with the text object,

    -or-

    In the submenu, select Create a new data source followed by the variable to be defined which you want to associate with the text object,

    -or-

    Select the creation wizard in the submenu.

  3. Click the location where you want to place the label.

What do you want to do?

Creating a data source

Adjusting variable image settings

Changing the data source associated with an object


Variable object creation

The concept of fixed objects is linked to that of objects that are variable.

A variable object is a text, barcode, or image type object, composed of elements whose the value is not defined at the moment of creation. Several objects can be associated with a single variable.

The value of these elements is supplied by different data sources at the time of printing:

  • Direct keyboard entry in the Form (Form data source)

  • Imported from an external file or database (Table lookup or Database data sources)

  • Field calculated by the computer (Formula, Counter and Date data sources)

Note: In the Data Sources view, a red arrow [image] indicates the variable associated with the selected object.

What do you want to do?

Creating a variable object linked to an existing data source

Creating a variable object linked to a new data source

Converting a fixed object into a variable object


Creating a variable object linked to an existing data source

Creating variable objects
You can quickly and simply create a variable object in your document (bar code, image, text, drawing, etc.) using:

  • The Create toolbar,
    - or -

  • The Object menu.

Using the clear guidance given, you can create an object using one of the following options:

  • Direct mode creation:

  1. Click directly on the object you want to insert into your document.

  2. Click the location where you want to place the label.

    The Creation Wizard will run by default. If not, double-click the object to open the Properties dialog box.

  3. Click the Data sources tab.

  4. Select Variable.

  5. Select the variable you want to assign to your object.

- or -

  • Guided mode creation (according to your requirements):

  1. Click the menu button for your object. A submenu is displayed showing the actions you can take.

  2. To create a variable object using an existing data source, you have the option of:
    - Selecting Use an existing data source followed by the variable concerned
    - or -
    - Selecting Wizard: This will guide you step by step through the variable object creation process.

  3. Click on the location where you want to place the label.

Note: The creation wizard is enabled by default. To disable it, select Tools > Options > Wizards. For more information: Enable Wizards


Creating a variable object linked to a new data source

Creating variable objects
You can quickly and simply create a variable object in your document (bar code, image, text, drawing, etc.) using:

  • The Create toolbar.
    - or -

  • The Object menu.

Using the clear guidance given, you can create an object using one of the following options:

  • Direct mode creation:

  1. Click directly on the object you want to insert into your document.

  2. Click the location where you want to place the label.

    The Creation Wizard will run by default. If not, double-click the object to bring up the Properties dialog box.

  3. Click the Data sources tab.

  4. Select Variable.

  5. Select the variable you want to assign to your object, right-click and select Add.
    - or -
    Click New, then select the variable you want to add.

- or -

  • Guided mode creation (according to your requirements):

  1. Click the menu button for your object. A submenu is displayed showing the actions you can take.

  2. To create a variable object using a new variable, you have the option of:
    - Select New data source.
    - or -
    - Select Wizard: This will guide you step-by-step through the variable object creation process.

  3. Click the location where you want to place the label.

Note: The creation wizard is enabled by default. To disable it, select Tools > Options > Wizards. For more information: Enable Wizards


Converting a fixed object into a variable object

  1. Select the object to be changed (Text, Barcode, or Image).

  2. In the Context menu, select Object properties.

  3. In the object configuration dialog box, click the Data source tab.

  4. Select Variable.

The list of data sources is activated.

  5. Select the variable you want to attribute to the fixed object.

- or -

In the context menu, select Add to create it.

  6. Click OK.

- or -

  1. In the Data Sources view, select the data source.

  2. Select the variable you want to attribute to an object.

  3. Drag and drop the variable onto the object until the pointer changes into a plus sign (+).

The fixed object becomes a variable object.

Note: You can also change a variable object into a fixed object. In this case, the fixed value obtained will be the current value of the variable.

What would you like to do?

Defining the properties of a Counter data source

Defining the properties of a Date data source

Defining the properties of a Formula data source

Defining the properties of a Form data source


Changing the data source associated with an object

  1. Select the object (Barcode or Image).

  2. In the Context menu, select Object properties.

  3. In the object configuration dialog box, click the Data source tab.

  4. Select a new data source variable.

  5. Click OK.

- or -

  1. In the Data Sources view, select a new data source.

  2. Select the data source variable.

  3. Drag and drop the variable onto the object until the pointer changes into a plus sign (+).

The data source associated with the object has been changed.

To change the data source associated with a text variable

  1. In the text, select the variable you want to change.

  2. In the Context menu, select Object properties.

  3. In the object configuration dialog box, click on the Data source tab.

  4. Select the variable from another data source.

  5. Click OK.

- or -

  1. In the text, select the variable you want to change.

  2. In the Data Sources view, select another data source.

  3. Select the variable.

  4. Drag and drop this variable onto the variable selected in the text.


About data sources

A data source contains a list of variables fed by data of the same origin. Data sources can be divided into categories and sub-categories except Database data source.

When you select a data source, you are indicating where the data you are interested in is found and what type of data you require. The data can be of internal origin (formula, date, counter) or external to the application (database, direct entry, ActiveX).

The different data sources available in the Data Sources view or menu are the following:

  • The Database data source

  • The Date data source

  • The Formula data source

  • The Form data source

  • The Table lookup data source

  • The Counter data source

  • The Free data source

What do you want to do?

Creating a data source

Define data source properties


The Date data source

Command: Data sources > Date > Add
See all options for Create a data source.

See Date data source dialog box.

The Date data source contains a list of data sources created. These data sources are fed by the computer's date system or by the printer. It allows you to display the date and time in the format previously defined. The values are updated automatically at the start of each print session.

You can insert the current date and/or time into a document. You can also add a fixed value to the current date or time.

What do you want to do?

Defining the properties of a Date data source


The Database data source

Command: Data sources > Database > Create/Modify query
See all options for Create a data source.

See The Query definition dialog box

The Database data source contains a list of variables created as and when you need them. These variables are populated by data from queries or ASCII tables.

Note: When they are created, data sources keep the names of the fields that populated them.

Note: Database variables cannot be renamed as linked to the database fields names.

What do you want to do?

Creating a query

Importing an ASCII table


Image dialog box Data source tab

Command: | Double-click on an object > Data source
 | - or-
 | Select an image object from the Object list of the toolbar > Click [image] to display the properties dialog box > Select the Data source tab.

This tab lets you create a variable or convert fixed data to variable data and vice versa.

The value of the variable created will be equal to the value of the fixed data, and vice versa.

Fixed
Displays the fixed data and allows variable data to be converted to fixed data. The value of the fixed data will be that of the current record.

Note: You can modify the fixed data directly in the text box.

Variable
Changes fixed data into variable data.

The list of data sources is displayed when the Variable data option is selected.

Note: Click on the plus sign (+) next to a data source to display the variables.

New
The New button lets you create a new variable in order to link it to the selected object.

The Options group

Used to define the folder that contains images (in the case of variable data) and their format.

Default folder
This option selects the default folder in the Default folders tab in the Options dialog box in the Tools menu.

(Other folder)
Allows you to select a folder other than the default.

Default format
Allows you to select the default format of the image to be imported.

Note: If the format of the image to be imported is not specified (in your database, for example, image names may have been entered without their extensions), the format specified here will be the format used.


The Formula data source

Command: Data sources > Formula > Add
See all options for Create a data source.

See Formula data source dialog box.

The Formula data source contains a list of data sources you have created. These data sources are populated by combinations of operators, constants, data sources, control variables, formulas, and functions. Data can be numeric or alphanumeric.

What do you want to do?

Defining the properties of a Formula data source


The Form data source

Command: Data sources > Form > Add
See all options for Create a data source.

See Form data source dialog box.

The Form data source contains a list of variables you have created. These data sources are populated by entering data directly into the Form using the keyboard.

What do you want to do?

Creating a data source

Defining the properties of a Form data source


The Table lookup data source

Command: Data sources > Table lookup > Add
See all options for Create a data source.

See Table lookup data source dialog box.

The Table lookup data source contains a list of data sources you have created. The data source values are the result of searches carried out in databases other than those linked to the current document.
Searches are carried out in one or more database fields. Data is extracted from one of the record fields found (called the "result field").

What do you want to do?

Defining the properties of a Table lookup data source


The Counter data source

Command: Data sources > Counter > Add
See all options for Create a data source.

See Counter data source dialog box (Counter tab).

The Counter data source contains a list of data sources you have created. These data sources are populated by data calculated either by the computer, or by your printer.

The content of the data source changes as printing advances, according to an initial value and an increment value.

What do you want to do?

Defining the properties of a Counter data source


The Free data source

Command: Data sources > Free > Add
See all options for Create a data source.

See Free data source dialog box (Input tab).

The Free data source contains a list of data sources you have created. These data sources are populated by data that is not specified when they are created. A Free data source can be used to create intermediate data sources.

What do you want to do?

Defining the properties of a Free data source


Introduction of ODBC and OLEDB

ODBC (Open Database Connectivity) allows an application to access a wide range of Windows data management systems, such as dBase or Access, etc.) using a single, highly interactive interface.
Thanks to ODBC, you can integrate data from a specific database into a document. This data corresponds to records resulting from queries. Each record is composed of a certain number of previously defined fields.

The OLEDB Data Link program is used to create and manage connections between your computer and OLE DB data stores. All new data links create a .udl file that can be referenced for future connections to databases.


Installing ODBC or OLEDB sources

Before importing a table from a database, you must install an ODBC or OLEDB data source.

A data source contains, among other things, the database and the information necessary to access it. For example, a data source can include a folder containing a group of data base files you want to access, or possibly an SQL Server database, the server it is stored on, as well as the network you use to access the server.

What do you want to do?

Installing ODBC data sources

Installing OLEDB data links


Shared data source creation

You can create a data source whose the value will be used in documents other than the current one. To do this, you must define the value of the Free, Form, or Counter data source as shared.

Each shared data source is saved in a file defined in the Default folders tab of the Options dialog box.

To create a shared data source in Free or Form data source dialog boxes:

  1. In the Data Sources view, click Free or Form and choose Add from the context menu.

  2. Select the created data source and choose Properties in the context menu.

  3. Enable the Shared option.

  4. Enter the value of the shared data source in the text field.

  5. Click OK.

To create a shared data source with the Shared data sources Manager:

  1. Choose Tools > Shared Data Sources Manager and Form or Free or Counter.

  2. In the Shared Data sources Manager dialog box, click on [image].

  3. Type a data source name in the Name column and its value in the Value column.

  4. Repeat the operation as many times as necessary.

  5. Click OK.


Connecting a document to several databases

You have the option to connect a document to several databases.

The toolbar allows you to change the active database.


Data merge

It may be that the data you require for your document is stored in an external database. This software is equipped with several external data import solutions, adapted to your needs.

You can obtain external data in various ways:

  • Importing from an ASCII table: Extracts delimited ASCII format text file data. This function is accessed using the Open an ASCII table command in the Data source > Databases menu.

  • Importing data using ODBC or OLEDB: Extracts data from a database using ODBC or OLEDB. This function is accessed using the Create/Edit query and Run a query commands from the Data source > Databases menu.

  • Database Manager: For generating and extracting data using Database Manager, the creation software's integrated data management module. This function is accessed using the Database Manager command in the Tools menu.


Defining a query

By creating a request, you are able to extract only the data you are interested in for creating your label from the database.

A request is similar to a question asked about the data stored in an external database. To get an answer to this question, you must extract the data from a database. A query searches the data in one or more tables according to the criteria you specify.

Having installed an ODBC data source, you must define a query in the ODBC query definition dialog box.


To define connection parameters

  1. Choose Merge Create/Edit query.

- or -

Click the Database data source with the right mouse button, then choose Create/Edit query.

  2. In the Options tab, select the options you need.

You can now create your query.


Creating a query

  2. In the Select table list, select the table where the search is to be carried out.

    The Include table names option, allows you to display the table names in the list of fields.

  3. In the Elements list, select the elements you want to display.

  4. In the Select fields list, select the fields for the table selected.

Note: Click [image] to select all the fields.

Hint: We recommend that you only select the fields to be used in the label. This reduces the amount of exchange with the database, thus increasing processing speed.

  5. Click [image] to view the result.

  2. Select SQL mode.

  3. Enter your query in SQL format in the edit field,
    - or -
    Click SQL Query Builder to access the Query Builder. This provides an easy-to-use interface for building SQL database queries. You can create new requests graphically or represent existing requests graphically in your applications.

  4. Click [image] to view the result.

Creating a query

Command: Data source > Database > Create/Modify query
See all options for Create a data source .

  1. Select the data source from the Select data source list.

Note: For a new data source, click the New data source button. This gives you the option of using the Wizard or choosing between an ODBC or OLEDB data source.

By default, Standard creation mode is activated. However, to produce your query, you can use Advanced SQL creation mode.

Standard creation mode

SQL advanced creation mode

The data sources created carry the field names of the database.
The navigation bar is displayed in your workspace.

Click OK when you have finished.

What do you want to do?

Sorting the selected records

Defining the properties of a Table lookup data source


Saving a query

  1. Once the request is defined in the ODBC query definition dialog box, click the [image] button.

  2. Select the folder of your choice.

  3. Enter the request name. You do not need to enter the .csq extension, the application adds it automatically.

Note: You can use the name of the data source as the filename.


Running a query

  1. Choose Data source > Database > Running a query.

  2. Select the .csq query file you want to run.

The selected query fields are displayed under the Database data source.

Note: While you are running a query, the Navigation bar is displayed in your workspace.


Displaying the results of a query

Command: Data source > Database > View the query resulting data.

- or -

Click the [image] button on the navigation bar.

The Query result grid is displayed.

What do you want to do?

Creating a query

Searching for a record in a database


Searching for/going to a record in a database

Searching for and accessing a record in a database

  1. On the Navigation bar, click the [image] button.

  2. Select the database.

  3. Select the field in which you want to carry out the search.

  4. Enter the required value. The search can be carried out on part of the field value, or on the whole field. In this case, check the Match whole word only box.

Match case
Used to search for a file name written exactly as it is in the value field: respecting the use of upper case/lower case letters.

Toolbar
The toolbar buttons let you move from one record to another in the list of records found: first/previous/next/last occurrence.

Print button
Used to print the required record from the dialog box.

See: Printing tab


About ASCII tables

Importing ASCII data allows data from an external ASCII table to be integrated into a document.

Data file structure

The files imported are delimited ASCII files. They are made up of records separated by record separators. Each record is made up of fields, separated by field separators.

Example: A file containing three records, each containing six fields:
Record separator: linefeed;
Field separator: comma.
"5000", "Decraux", "Denise", "55 rue de la Paix", "13006", "Marseille"
"5001", "Laborie", "Pierre", "122 av. de Malakoff", "75149", "Paris"
"5002", "Dupond", "Robert", "35 bd d'Anvers", "21000", "Dijon"

Fields can be enclosed by quotes.

Each data file record corresponds to a different document. Each field in a record can correspond to a document variable.

The data file can contain more fields than the document. On the other hand, all fields imported into the document must exist in the data file.

To create a link between the file fields and the document variables to be fed, a special file must be created. Called a describer, the file describes the structure of the data file.


Definition of a describer file

Describer files specify the structure of data files used for import.

A new describer file must be created each time a data file with a new structure is used.

The Describer specifies:

  • The field separator

  • The record separator

  • The number of fields per record

  • The field name

  • The character set used

You can create or modify a describer file from the Describer dialog box.


To create a describer file

  1. Choose Data source > Database > Open an ASCII table.

  2. Enter the name of the ASCII file that contains the data you want to import.

    - or -
    Click the [image] button to select the ASCII file.

  3. Click Edit.

To define the field and record separators of the ASCII file, click the Option button.

  4. Enter the number of fields you want to import from the ASCII file in the Number of fields box.

The fields are created as you enter the number, and are given default names.

  5. Enter a name for each field.

  6. Click Save, then click OK.

The ASCII database dialog box is displayed again.

  7. Click OK to import the ASCII table.

The variables created carry the names defined in the describer file.

Notes: The Preview button allows you to view the data in the first record of the database and verify that the data corresponds with the fields.
When you open an ASCII table, the Navigation bar is displayed in your workspace.


To modify a describer file

  1. Choose Data source > Database > Open an ASCII table.

  2. Enter the data file name.

  3. Enter the name of the describer file to be modified.

- or -

Click the [image] button to select the describer file.

  4. Click Edit.

The Describer dialog box is displayed.

  5. Make the modifications and click OK.

  6. Save this new describer file.

  7. Click OK to import the ASCII table.


Using an existing describer file

  1. Choose Data source > Database > Open an ASCII table.

  2. Enter the data file name.

  3. Enter the name of the describer file corresponding to the data file.

- or -

Click the [image] button to access the Open dialog box.

  4. Click OK to import the ASCII table.


Importing an ASCII table

  1. Choose Data source > Database > Open an ASCII table.

  2. Enter the data file name.

- or -

Click the [image] button to select the data file.

Data files carry the .txt extension.

  3. Enter the name of the describer file.

- or -

Click the [image] button to select the describer file.

Describer files carry the .dsc extension.

  4. Click OK to import the ASCII table.

The variables created are displayed under the Database data source. They carry the field names defined in the describer file.

Note: When you open an ASCII table, the Navigation bar is displayed in your workspace.

What do you want to do?

To create a describer file

To modify a describer file

Using an existing describer file


About functions

Functions are predefined formulas that carry out calculations by using particular values called arguments, in a certain order, called syntax.

Functions are used to return a numeric, character string, or logical value - the result of a calculation or an operation.

There are six groups of functions in the formula definition:

  • Check character calculation functions

  • Conversion functions

  • Date and time functions

  • Logical functions

  • Mathematical functions

  • Text/Character string functions


Check character calculation functions

bimodulo 11 (string): Gives two modulo 11 check characters (Code 11).

check 128 (string): Returns the Code 128 and EAN-128 check character.

modulo 10 (value): Returns a modulo 10 check character of Code 2 of 5 interlaced, EAN-13, EAN-8, EAN-128 K-Mart, VPCA.

modulo10_212(): Returns a modulo 10 check character variant.

addmodulo10_212(): Returns a modulo 10_212 check character (a variant of the standard modulo 10 check character), and includes the current text string and the checksum at the end of the string.

modulo10IBM(): Returns an IBM modulo 10 check character (a variant of the standard modulo 10 check character).

modulo 11 (string): Returns a modulo 11 (code 11) check character.

modulo11IBM(): Returns an IBM modulo 11 check character (a variant of the standard modulo 11 check character).

modulo 24 (string): Returns a modulo 24 (Code PSA) check character.

modulo 32 (value): Returns a modulo 32 (Italian pharmaceutical industry) check character.

modulo 43 (string): Returns a modulo 43 (code 39) check character.

addmodulo43(): Returns a modulo 43 check character and includes the current text string and the checksum at the end of the string.

modulo 47 (string): Returns two modulo 47 (Code 93) check characters.

Plessey (string): Gives two check characters (Plessey Code).

addmodulo10 (string): Returns the integer with the Modulo 10 check character added to the end.

addmodulo10_2 (string): Returns the integer with a variant of the Modulo 10 check character added to the end.

addmodulo43 (string): Returns the integer with the Modulo 43 check character added to the end.

canadacustomscd (string): Returns the Canada Customs Standard check character.

checkupce (string): Returns the check character for UPC-E (6 mandatory characters).

modulo10_2 (string): Returns a variant of the Modulo 10 check character.

pricecd (string): Returns 4 UPC Random Price check characters.

pricecd5 (string): Returns 5 UPC Random Price check characters.


Conversion functions

ASCII (string): Returns the ASCII code of the first character in the string argument.

Example:
ascii("A") = 65

char (value) gives the character corresponding to the value argument in the ASCII table.

Example:
char (65) = "A"

Currencytoeuro (value): Converts the current national currency into Euros.

dollar (): Modifies a field to represent a price.

Example:
If a field named PRICE displays a value of 199, then:
dollar(PRICE) will display $199.00.

Eurotocurrency (value): Converts the Euro into the national currency.

Note: The number of decimals to be displayed must be defined in the Output tab of the Formula data source by checking the Display decimals box. The conversion rate used is the one defined in the Others tab of the Options dialog box.

fixed (value , num_decimals, non_sep): Returns a string of formatted characters with a number of decimals equal to num_decimals and with or without a thousands separator.

Examples:
fixed (1234.5678, 3, TRUE) = "1234.568"
fixed (1234.5678, 3, FALSE) = "1,234.568"

Note: The thousands separator to be displayed must be defined in the Output tab of the Formula data source by checking the Display decimals box.

int (value): Returns the largest integer less than or equal to the value argument.

Examples:
int (-5.863) = -6
int (5.863) = 5

Output (variable): Returns the formatted value of the variable.

Example:
Counter0 has the prefix "number:". The formula "counter0 has a value of " & counter0 & " and a formatted value of " & output(Counter0) gives the result : counter0 has a value of 1 and a formatted value of number:1

Note: The variable formatting is defined in the Output tab.

round (val_1, val_2): Returns the argument val_1 rounded to the number of figures indicated by val_2.

If val_2 is greater than 0, val_1 is rounded to the number of decimals indicated.

If val_2 is equal to 0, val_1 is rounded to the closest integer.

If val_2 is less than 0, val_1 is rounded off to the left of the decimal point.

Examples:
round(4.25,1) = 4.3
round(1.449, 1) = 1.4
round(2.479,2) = 2.48
round( 42.6,-1) = 40
round(45.6,-1) = 50

text (value, format): Returns the value argument written in the format imposed by the format argument, which corresponds to the format described in the explanation of the Form variable.

Examples:
text (012345678,"###-##-####") = 012-24-5678
text (2125551212,"(###)###-####") = (212)555-1212

Example:
text (12 , "~~~~") = 0012
where ''~'' is replaced by 0 in result value if the input value length is less then format length.

Example:
text (12 , "****") or text (12 , "####") = 12
where "*'' and ''#'' are the special symbols replaced by data.

trunc (value): Returns the integer part of the value argument.

Example:
trunc (123.45) = 123

value (string): Gives the numeric value of a character string.

Example:
value("123") = 123
value("0.00:48:00")-value("12:00:00") equals "16:48:00"-"12:00:00" equals 0.00, the serial number for 4 hours and 48 minutes.

Note: It is not usually necessary to use the value function in a formula, since the application automatically converts the text to numbers if necessary.

UnicodetoDBCS(Data, Codepage): The formula takes two parameters - the data to be converted, and the Codepage used. The Codepage parameter can have any of the following as a value:

  • Thai

  • Japanese

  • Chinese GBK

  • Korean

  • Chinese Big5

  • European eastern

  • Greek

  • Turkish

  • Hebrew

  • Arabic

  • Baltic

  • Vietnamese

Note: The Codepage parameter is not case sensitive.


Date and time functions

The date variable represents the system date and time, and not the date variable defined by the program:

  • day (date): Gives the day of the month of the date argument.

  • hour (date): Gives the hour of the date argument.

  • minute (date): Gives the minutes of the date argument.

  • month (date): Gives the month of the date argument.

  • now (): Gives the current date and time.

  • second (): Gives the second of the date argument.

  • today (): Gives the current date.

  • weekday (date): Returns the day of the week from the date argument.

Note: Sunday is considered the first day of the week.

Example:
On "Tuesday November 20, 1999" the weekday(now()) = 3

  • Week (date): Returns the number of the week from the date argument.

  • year (date): Gives the year of the date argument.

Example:
Minute (now()) gives the current hour and minutes.
Year (today()) gives the year of the current date.

Note: For Minute and Hour, only the now() argument is allowed. For all other functions, now() and today() are allowed.

BestBefore (date , dateFormat , offset , offsetUnit , changeMonth , outputFormat)
Allows you to calculate a Best Before date based on keyboard input value (not based on current date).

Return value | String | A date value in string format, calculated by a base date and an offset.
date | String | Base date value in string format.
dateFormat | String / Number | Format of the base date value. - Numbers encode predefined formats. (For example, 1"dd/mm", 2 "dd mmmm" and so on). - 0 or negative values mean using the current system date format. - String value encode the format directly. (For example, "yyyy/mm/dd")
offset | Number | Number of date units to be added to the base date.
offsetUnit | String / Number | Meaning of the offset parameter. - 1 or "d" or "D" means days. - 2 or "m" or "M" means months. - 3 or "y" or "Y" means years.
changeMonth | Number | Optional (Default: True) - 0 means False. - 1 means True. If calculated date does not exist in the month (For example, 30 of February). True return the first day in the next month (For example, 1st March). False return the last day in the current month (For example, 28 of February).
outputFormat | String / Number | Optional (Default: same as dateFormat) This parameter specifies the output format of the calculated date. Possible values are the same as in case of dateFormat.

DateFormat and Output Format

Number | Date Format
1 | "dd/mm"
2 | "dd mmmm"
3 | "dd/mm/yy"
4 | "dd/mm/yyyy"
5 | "mm/dd"
6 | "mmmm dd"
7 | "mm/dd/yy"
8 | "mm/dd/yyyy"
9 | "mmm-yy"
10 | "mmmm-yy"
11 | "dd-mmm-yy"
12 | "dd-mmmm-yy"
13 | "d/m/yy"
14 | "dddd/m/yy"
15 | "ddddd/m/yy"
16 | "d/m/yyyy"
17 | "dd/mmmm/yyyy"
18 | "d mmmm yyyy"
19 | "ddddd dd mmm yyyy"
20 | "dd/mm/yy h:nn"
21 | "mm/dd/yy h:nn"

DateValue( formattedDate , format )

Return value | Date | Returns a date value of the formattedDate parameter.
formattedDate | String | A text format date, to be converted to a date value.
format | String | Optional (Default: the system date format) If specified, the direct format string. For example, "dd/mm/yy

DateOffset( date , offset, offsetUnit , changeMonth )

Return value | Date | Adds a date interval to the specified base date.
date | Date | Base date value.
offset | Number | Number of date units to be added to the base date.
offsetUnit | String / Number | Meaning of the offset parameter. - 1 or "d" or "D" means days. - 2 or "m" or "M" means months. - 3 or "y" or "Y" means years.
changeMonth | Number | Optional (Default: True) - 0 means False. - 1 means True. If calculated date does not exist in the month (for example, 30 of February). True return the first day in the next month (for example, 1st March). False return the last day in the current month (for example, 28 of February).

FiscalDate(«fiscalStartDate», «outputFormat»)

Allows you to calculate the date for the start of your fiscal year (yyyy.mm.dd).

Examples (if current date is 2009.11.24):

FiscalDate("2009.01.01", 1) = 09
FiscalDate("2009.01.01", ''yyyy'') = 2009
FiscalDate("2009.01.01", 3) = 47
FiscalDate("2009.01.01", ''day'') = 328

shiftcode(items)

The Shift code is used as a data source for a field on the label that needs to change based upon the current time. A shift represents a span of time that is defined and named.

Return value | String | Returns the current shift code value.
items | String | Shift code items in the following format: startHour:startMin-stopHour:StopMin-value|...| startHour:startMin-stopHour:StopMin-value

For example, shifts could be defined as follows:

  • 7:00 to 15:00 = Day

  • 15:00 to 23:00 = Evening

  • 23:00 to 7:00 = Night

Notes:
1. The 24-hour clock is used to define time values. 0:00 is midnight; 12:00 is midday.
2. If there are any time overlaps in input then the first acceptable value is returned.
3. If there is no shift for the current time then an empty string is returned.

Example (if current time is 16:00):

shiftcode("7:00-15:00-Day|15:00-23:00-Evening|23:00-7:00-Night") =''Evening''

WeekISO8601(Date, DateFormat)

Allows you to create a formula that support the ISO8601. ISO 8601 is an international standard covering the exchange of date and time-related data.

Return value | date | Returns the week of the specified date
Date | string | A text format date, to be converted to a date value.
DateFormat | string | Format of the base date value. - Numbers encode predefined formats. (e.g. 1 dd/mm/yy, 2 dd/mm/yyyy and so on - 0 or negative values means using the current system date format - String value encode the format directly. (e.g. "yyyy/mm/dd")

Example :

WeekISO8601(" 03/01/2010 ",0) = 53
WeekISO8601(" 02/01/2011 "," dd/mm/yyyy ") = 52
WeekISO8601(" 01/01/2011 ", " dd/mm/yyyy ") = 52


Logical functions

Logical functions allow you to check whether one or more conditions have been fulfilled.

Note: TRUE equals 1 and FALSE equals 0.

and (expr_1, expr_2): Returns TRUE if both arguments are true, FALSE if at least one is false. The arguments must be calculated from logical values.

Example:
and(exact("string","string"),exact("string","string")) = 0
and(exact("string","string"),exact("string","string")) = 1

exact (string_1, string_2): Returns TRUE if the two strings are identical, FALSE if not. This function is case-sensitive.

Example:
exact("software","software") = 1
exact("software","software") = 0

if (expr, Val_if_true, Val_if_false): Returns the Val_if_true value if Expr is true and the Val_if_false argument if Expr is false.

Example:
if(exact("string", "string"), "true", "false") = false
if(exact("string", "string"), "true", "false") = true

not (logical): Gives the opposite of the logical argument.

Example:
not(exact("string", "string")) = 1
not(exact("string", "string")) = 0
not(False) = 1 or not(0) = 1
not(True) = 0 or not(1) = 0
not(1+1=2) = 0

or (expr_1, expr_2): Returns TRUE if one of the two arguments is true and FALSE if both arguments are false. The arguments must be calculated from logical values.

Example:
or(exact("string", "string"),exact("string",
 "string")) = 0
or(exact("string", "string"),exact("string",
 "string")) = 1
or(true,true) = 1 or or(1,1) = 1
or(true,false) = 1 or or(1,0) = 1
or(false,false)= 0 or or(0,0) = 0


Mathematical functions

int (value): Returns the largest integer less than or equal to the value argument.

Examples:
int (-5.863) = -6
int (5.863) = 5

mod (val_1, val_2): Returns the remainder of the division of the val_1 argument by the val_2 argument. The result has the same sign as the divisor.

Examples:
mod (7,2) = 1
mod (-7,2) = -1
mod (7,-2) = 1
mod (-7,-2) = -1

quotient (val_1, val_2): Returns the integer result of the division of the val_1 argument by the val_2 argument.

round (val_1, val_2): Returns the argument val_1 rounded to the number of figures indicated by val_2.

  • If val_2 is greater than 0, val_1 is rounded to the number of decimals indicated.

  • If val_2 is equal to 0, val_1 is rounded to the closest integer.

  • If val_2 is less than 0, val_1 is rounded off to the left of the decimal point.

Examples:
round (4.25,1) = 4.3
round (1.449, 1) = 1.4
round (42.6,-1) = 40

trunc (value): Returns the integer part of the value argument.

base10tobaseX(string_1,string_2): Converts string_2 from base 10 to base string_1

Examples
If the field named Base 16 contains the string "0123456789ABCDEF"
BASE10TOBASEX(Base16, 12) produces C
BASE10TOBASEX(Base16,10) produces A
BASE10TOBASEX("012345","9") produces 13

Note: This formula cannot accept negative decimal numbers for ''string_2'' parameter.

baseXtobase10(string_1,string_2): Converts string_2 from base string_1 to base 10.

Examples
If the field named Base 16 contains the string "0123456789ABCDEF"
BASEXTOBASE10(Base16, "E") produces 14
BASEXTOBASE10(Base16,10) produces A
BASEXTOBASE10("012345","9") produces 13

hex(val_1,val_2): Converts the val_1 decimal number to hexadecimal format with a total value of val_2

Note: This formula cannot accept negative decimal numbers for ''val_1'' parameter.


Text functions

A character string can be assimilated into a table if each box contains a character. It is defined by its length (total number of characters in the string, including spaces). The position of a character in the string corresponds to its place in the table. For example, the first character is at position one.

Example: Position 3 corresponds to the third character in the string.

cyclebasex ( ): Allows counting to take place in any kind of database counting system. The numbering system must be defined within the linked expression. The start value, the value of each increment and the number of copies must also be specified for each number. All these values can be linked to other fields in the label, but the field names must not be enclosed in quotation marks.

Example:
If a field named Base 16 contains the character string 0123456789ABCDEF, then:
cyclebasex(base16, "8", 1 ,1) = 8,9,A,B,C&hellip;
cyclebasex(base16, "F", -1,1) = F,E,D,C,B,A 9,8,7&hellip;
cyclebasex(base16, "B0 ", 1,1) = B0, B1, B2&hellip;
cyclebasex("012345", "4",1,2) = 4,4,5,5,10,10,11,11&hellip;

cyclechar ( ): Creates a user-defined set of characters for a complete cycle.

Example:
cyclechar("A", "C") = A B C A B C A B C &hellip;
cyclechar("A", "C", 1,2) = A A B B C C A A B B &hellip;

cyclenumber ( ): Allows you to set your own sequence of numbers, instead of using the normal sequence of numbers or letters (0,1,2&hellip; or A,B,C&hellip;).

Example:
cyclenumber(1,3) will produce labels in the following sequence: 1 2 3 1 2 3 1 2 3...
cyclenumber(1,3,1,2) will produce labels in the following sequence: 1 1 2 2 3 3 2 2 1 1...

cyclestring ( ): Allows you to create a group of words or characters using a complete cycle as an increment field. The whole string must be enclosed in quotation marks (" ") and each word or group of characters must be separated from the others by a semicolon ( ; ).

Example:
cyclestring("Mon ; Tue ; Wed ; Thu ; Fri ; Sat ; Sun") = Mon Tue Wed Thu Fri Sat Sun
The following example is for labels that use all letters of the alphabet except for O and I.
cyclestring("A;B;C;D;E;F;G;H;J;K;L;M;N;P;Q;R;ST;U;V;W;X;Y;Z")

exact (string_1, string_2): Returns TRUE if the two strings are identical, FALSE if not.

Example:
exact("software","software") = 1
exact("sftware","software") = 0

extract («string», «sep», «pos»): Returns the substring from the character string «string» at the specified position «pos» that contains data separated by string «sep».

Example:
Extract("1;2;3;4", ";", 3) = 3

find (string, key, start): Returns the position of the first occurrence of the key argument in the string argument. The search in the string argument starts from the position returned by the start argument (start >= 1). The function resets to zero if no occurrence of the key argument is found. The function distinguishes between upper and lower case letters.

Example:
find("Peter McPeepert","P",1) = 1
find("Peter McPeepert","p",1) = 12

left (string, num_char): Returns the character string extracted from the string argument. This string starts at position one of the string argument and has a length equal to the num_char argument.

Example:
left("Peter McPeepert",1) = P
left("Peter McPeepert ",5) = Peter

len (string): Gives the length of the string argument. Spaces are counted as characters.

Example:
len("Paris, New York") = 15
len("") = 0
len(" ") = 1

lower (string): Converts all upper case letters in a text string into lower case letters.

Example:
lower("Paris, New York") = paris, new york

mid (string, start, num_char): Returns the character string extracted from the string argument. This string starts at the position corresponding to the value of the start argument (start >=1) and has a length equal to the num_char argument.

Example:
mid("Paris, New York",8,8) = New York

pad ( ): Adds characters to the left of the field to assign a predefined length to the whole input. Any character can be selected as a padding character.

Example:
If a field named GREETING displays a value HELLO, then:
pad(GREETING,8,0) = 000HELLO
pad(5,3,0) = 005
pad(''Nine'',6,"a") = aaNine

replace (string, start, num_char, new_string): Returns the converted string argument. A number (equal to the num_char argument) of characters from the position defined in the start argument has been replaced by the new_string argument.

Example:
replace("Paris, New York",8,8,"Singapore") = Paris, Singapore

replaceString («string», «old_string», «new_string»): Replaces all occurrences of a specified «old_string» in character string «string» with another specified «new_string».

Example:
ReplaceString( "abc12def12", "12", "") = abcdef

rept (string, num_char): Returns the character string where the string argument is repeated the number of times in the num_char argument.

Example:
rept("Ah Paris! ",2) = Ah Paris! Ah Paris!

right (string, num_char): Gives the character string composed of the last characters of the string and has a length equal to the num_char argument.

Example:
right("Purchase order",5) = order

search (string, key, start): Gives the position of the first occurrence of the key argument in the string argument. The search starts from the position defined by the start argument (start >= 1). The function resets to zero if no occurrence of the key argument is found.

Example:
search("Purchase order","order,1) = 10
search("Purchase order","c",1) = 4

trim (string): Returns the converted string argument. All spaces encountered at the beginning and end of the string are deleted. The number of spaces included between two words is reduced to one.

Example:
trim(" Purchase order") = Purchase order

trimall (string): Returns the converted string argument. All spaces encountered are deleted.

Example:
trimall("Paris / New York / Rome") = Paris/NewYork/Rome

upper (string): Gives the string converted into upper case.

Example:
upper("Purchase order") = PURCHASE ORDER

ztrim ( ): Deletes all zeros, starting from the left, in fields that are entirely numerical.

Example:
If a field named WEIGHT displays a value of 000200, then:
ztrim(weight) = 200


Operators

Operators are mathematical symbols indicating an operation to be carried out. There are different types of operators: arithmetic, comparative, concatenation and logical.


Operators

The program contains mathematical, comparative, concatenation, and logical operators.

Arithmetic operators

Operator | Used for
* | Multiply two numbers.
+ | Add two numbers together.
- | Subtract one number from another, or assign a negative value to an operand.
/ | Divide one number by another.
^ | Raise a number to the power of the exponent.
% | Modulo.

Comparative operators

Operator | Meaning
< | Less than.
<= | Less than or equal to.
> | Greater than.
>= | Greater than or equal to.
= | Equal to.
<> | Different from.

Concatenation operator

Used to combine two strings.

Operator | Meaning
& | Concatenation of two strings.

Logical operator

(see also logical functions)

Operator | Meaning
! | Not logical.


Code 93i

Code 93i is an extension of Code 93. This linear symbology can be used to encode the Unicode character set and the Extended Channel Interpretation (ECI) protocol.
Code 93i encodes the whole Code 39 character set, using less space than Code 39.
It includes efficient error correction capabilities and error tolerance at both ends of the symbol.
Code 93i is particularly well suited to handheld scanners.

It can signal the presence of 2D symbology or Radio Frequency Identification (RFID) labels to the scanner.
By placing specific code words at the end of the printed symbol, Code 93i symbols can be linked to a variety of additional media, including RFID labels, linear barcodes, and 2D codes.

Unicode characters can be included in the barcode data using the syntax {<value>} or <value>, which must be between 0 and 65535.

For ASCII characters, the syntax is (<value>) or <value> and must be between 0 and 255.

For symbols, the syntax is [<value>] or <value> and must be between 0 and 52.


FIM

FIM was developed as part of the POSTNET barcode system. FIM (Face Identification Marking) is used by dating/canceling machines to sort mail according to whether it has a barcode and adequate postage.
There are four types of FIM called FIM A, FIM B, FIM C, and FIM D.

Choice of reply mail

Basic types
There are two types of basic reply mail, Business Reply Mail (BRM) and Courtesy Reply Mail (CRM), as well as various types of specialized reply mail. Although BRM and CRM are similar, there is one significant difference between them.

Business Reply Mail (BRM)
With Business Reply Mail (BRM), you (the sender) pay the return postage if your customer replies by mail. BRM is appropriate when your customer needs a little extra incentive to respond, or, in other words, when the reply or response time is not guaranteed. This type of reply mail is often used for direct marketing purposes, to generate orders; for research purposes to obtain replies to questionnaires; or by magazine publishers to attract subscriptions.
The incentives to respond are the prepaid postage and the fact that pre-addressed envelopes or cards are provided.

Courtesy Reply Mail (CRM)
With Courtesy Reply Mail (CRM), your customer pays the return postage. CRM is appropriate when a response is more or less guaranteed, such as with bill or invoice payments. Although the customer usually pays the return postage unless you prepay by the meter as with Meter Reply Mail (MRM) the pre-addressed card or envelope is more practical and ensures the mail is sent to the correct address.

Determine which FIM to use based on the following information:
FIM A is used for CRM and MRM with a pre-printed barcode.
FIM B is used for BRM without a pre-printed BRM ZIP+4 barcode.
FIM C is used for BRM with a pre-printed BRM ZIP+4 barcode.
FIM D is only used for Information Based Indicia (IBI) postage.


RM4SCC

Royal Mail 4-State Customer Code (RM4SCC) was developed to facilitate automated mail sorting. It generally encodes the ZIP code and house or mailbox number in a format that is machine-readable. The code content can vary according to the country in which it is used.

The RM4SCC character set only consists of capital letters and numbers.

Each RM4SCC character consists of four bars, of which two are diacritical signs (ascenders) and two are descenders. The track element is present in all bars.

Structure of an RM4SCC symbol
A complete RM4SCC consists of a set of distinct bars and spaces for each character, followed by a checksum character and enclosed by a unique start bar, stop bar, and quiet zone. The start bar and stop bar are unique and different. They enable the symbol to be read in any direction. The quiet zone must measure at least 2 mm in each direction.


Industrial 2 of 5

Industrial is the oldest in the 2 of 5 family. Bidirectional, digital, of variable length, its construction is totally different from the Interleaved 2 of 5. Each character in the message to be coded is represented by five bars separated by spaces. The characters are then separated, again by spaces. The Industrial 2 of 5 code does not include any check character.


Interleaved 2 of 5 (Interleaved two of five)

Primarily used in the distribution industry, Interleaved 2 of 5 is a numerical code of bidirectional variable length. Of all the 2 of 5 family of barcodes, it offers the highest information density by removing the spaces between characters. Each element is coded using two figures: one in the bars, the other in the spaces. It contains five bars (two wide and three narrow) as well as five spaces (two wide and three narrow).

It can include a check digit, calculated and added to the end of the string.

The check character is calculated using the Modulo 10 algorithm.

The Interleaved 2 of 5 barcode must always have an even number of characters. If this is not the case, the program will complete the coded string by adding a zero at the end.


Bookland

The Bookland code is based on the EAN code. The Bookland symbol is a code that is used mainly in the book industry because it makes it possible to encode the ISBN (International Standard Book Number) code. Many publishers use it to identify their products.

The Bookland code consists of 9 or 14 characters. When a 14-character code is used, the 5-character extension is used for the price.

The three 978 digits that represent the ISBN prefix are added to the beginning automatically. The nine remaining characters represent the first nine ISBN characters without hyphens.


CIP code

The CIP code is a symbol derived from Code 128 and is used only in France in the pharmaceutical field.

It consists of 14 characters and its human readable text (placed below the code) is separated from other parts by a space.


Codabar

Created in 1972, Codabar is used in libraries, blood banks and air-express transport applications. Also known as USD_4, Code 27, or Monarch, Codabar is a digital code that also includes the following special characters: $ : / . + -. The barcode is bidirectional, self-checking and discrete. Its length is unlimited and it contains no check character.

There are four ways of codifying the start and stop characters. In our software, there is a choice between A, B, C, or D as characters marking the beginning and end of the coded message. By default, the start character and the end character is A.

  • To choose different characters, insert the @ character in the message string.

Examples:

The number 124345@D represents the code 12345 with A and D respectively as start and stop characters.
The number @C12345 represents the code 12345 with C and A respectively as start and stop characters.
The number 12345 represents the code 12345 with A as both start and stop character.


Code 11

Created in 1977, Code 11 takes its name from the fact that it contains 11 codification options. It is a high-density discrete symbol, which accepts the figures 0 to 9 and the - sign. The length of the message is unlimited. Each character is represented by 3 bars and 2 spaces.

No check character is automatically generated with this code. However, it is possible, and strongly recommended, to include one or two check characters. Check characters are determined by the Modulo 11 algorithm.


Code 39

Code 39 was the first alphanumeric symbol to be developed; today it is the most widely used. Also called Code USD-3 or Code 3/9, it is bidirectional, self-checking, discrete and of unlimited length.

Code 39 has a set of 44 characters, containing the figures 0 to 9, the letters A to Z, and the following special characters: /*-.+$%. Each character is represented by five bars and four spaces. Of these nine elements, three are wide and the other six narrow.

A check character, determined by the Modulo 43 algorithm, can be added to the end of the message.


Code 39 Full ASCII

Code 39 Full ASCII allows you to encode all 128 characters of the ASCII set by combining the $/%+ signs with the 26 letters of the alphabet.


Code 93

Introduced in 1982, Code 93 was specially designed to complement Code 39. This symbol is continuous, of variable length, using four element width options.

Each symbol contains nine black or white elements. Each character of the coded message is composed of three bars and three spaces.

Incorporating a set of 47 characters, it can be extended to the whole ASCII table in the same way as Code 39.

It includes two check characters, calculated using the Modulo 47 algorithm.


Code 128

Introduced in 1981, Code 128 is a very high density alphanumeric symbol.

This code is continuous, of variable length, bidirectional and self-checking. The check character, determined by Modulo 103, is placed at the end of the message before the stop character.

Each symbol contains 11 white or black elements. Each character is composed of three bars and three spaces.

Code 128 has 106 characters, which are readable in three different ways, according to the character set chosen (A, B, or C).

  • Set A contains all standard alphanumeric upper-case characters, plus the command characters and special characters.

  • Set B contains all standard upper- and lower-case characters, plus the special characters.

  • Set C contains the double figures from 00 to 99 inclusive, allowing the density of the coded message to be doubled.

In our software, set B is selected by default. If the Start character is omitted, the code will be interpreted as starting in set B.

  • To select a set, insert the following commands in the code:

@A or {CODE A} for set A
@B or {CODE B} for set B
@C or {CODE C} for set C

See Specific input syntax.

Examples:

ABCDE@C0012@BXYZ represents ABCDE in set B, 0012 in set C and XYZ in set B.
@C001245@BAJKL represents 001245 in set C and AJKL in set B.

Special Code 128 characters

Table of Code 128 character sets


DUN 14 (Distribution Unit Number)

DUN 14 is a codification option in which EAN 13 loses its check character and a number between 1 and 8 is added on the left-hand side. A new check character is then calculated based on the new code.

Note: ITF 14 is used to represent DUN 14.


EAN-8

The EAN-8 symbol contains eight characters, the last of which is the check character.

Like EAN-13, EAN-8 contains specific start and stop characters. It is also split into two equal parts by a central separator.

EAN-and UPC Extension

Data entry to EAN and UPC with an extension requires a specific syntax. The codes are separated from their extensions by the / character.

Example:
An EAN-8 code with an extension of two characters:
1234567/85

Note: If the code or its extension does not contain the required number of characters, it will be completed by zeros.


EAN-13

The EAN-13 symbol contains the same number of figures as UPC-A. It also has a thirteenth check character, calculated by the Modulo 10 algorithm.

The EAN-13 contains specific start and stop characters. The coded message is divided into two parts by a central separator.


German post

The German post is an Interleaved 2 of 5 barcode with 11 or 13 digit barcodes and one check character.

Leitcode barcode and Identcode barcode are used by German Post.

  • Identcode barcode Symbology.

    The Identcode contains a tracking number providing an identification of the customer (sender) and the mail piece.

    The value to encode length is fixed to 11 digits plus 1 digit checksum which is automatically calculated. The value to encode must have the following structure:

    • 2 digits for ID of primary distribution center.

    • 3 digits for Customer ID.

    • 6 digits for Mailing number.

  • Leitcode barcode Symbology.

    The Leitcode gives an indication of the destination.

    The value to encode length is fixed to 13 digits plus 1 digit checksum which is automatically calculated. The value to encode must have the following structure:

    • 5 digits for Postal code (Postleitzahl, PLZ).

    • 3 digits for Street ID/number.

    • 3 digits for House number.

    • 2 digits for Product code.


GTIN-14

GTIN-14 is a 14-digit number with a check character at the end, calculated based on the Modulo 10 algorithm.

There are 3 distinct options for representing the GTIN-14 in a barcode:

  • One uses the GS1-128 symbology with the Application Identifier (01).

  • The other one uses the ITF-14 symbology, which does not use an Application Identifier.

  • The last one is based on Code 128 (simple Code 128 without FNC1 and Application Identifier (01)).


IBM BC 412

The 412 binary code is an alphanumeric barcode with a set of 35 characters. This is a continuous code and the check character is calculated based on the Modulo 35 algorithm. Each characters has four bars in 12 module positions. Since it is a barcode with a single width, BC 412 is faster and more reliable. It was invented by IBM in 1988.

The symbology has the following characteristics:

  • 35 alphanumeric characters

  • 12 elements per character

  • 4 bars per character

  • 8 spaces per character

  • a synchronization mark contained in the first element of each character

  • a space in the second and last elements

The synchronization mark enables self-synchronizing.

Bidirectional reading capability is provided by the start character (bar-space-space) and the stop character (bar-space-bar).


Intelligent mail

The Intelligent Mail Barcode (formally known as the 4-State Customer barcode) is a U.S. Postal Service (USPS) barcode that combines the data of the POSTNET and PLANET Code, as well as other data, into a single barcode.

The 31-digit Intelligent Mail Barcode (65 bars) is slightly longer than the 11-digit POSTNET barcode (62 bars), and it offers mailers some level of flexibility in choosing the eight and with of the barcode. The Intelligent Mail Barcode is a type of height-modulated barcode that uses four distinct vertical bar types (Full, Tracker, Ascender, and Descender).

Barcode dimensions
The following table give the dimensions of the Intelligent Mail Barcode:

Attribute | Dimensions
Number of Bars | 65
Bar Width | 0.020 +- 0.005 inch
Horizontal Pitch | 22 +- 2 bars per inch
Height of Full Bar | 0.182 0.048 inch

Barcode Fields
The Intelligent Mail Barcode can be a maximum of 31 total digits, using the following data fields:

Field Name | Field Lenght (in digit)
Barcode Identifier | 2 (2nd digit must be 0-4)
Service Type Identifier | 3
Customer Identifier | 6
Sequence Number | 9
Delivery Point ZIP Code | 0, 5, 9 or 11


ISBN 13

The ISBN (International Standard Book Number) provides a standard way to identify books in global trade. As of January 1, 2007, the ISBN was redefined from a 10-digit to a 13-digit number.

The label design software allows you to create an ISBN-13 in a barcode format: ISBN-13 barcodes are EAN-13 symbols with a mandatory 5-digit supplemental code to the right. The ISBN number is optionally printed above or below the barcode, usually in the OCR-A font.

ISBN-13 consists of the following 13 digits:

- The first 3 digits are 978 (identify the book industry).

- The next 9 digits (4 through 12) are the group or country identifier, the publisher prefix, and the title identifier.

- The 13th digit is a check digit which is automatically computed and added by the label design software.


ITF 14

This symbol is a variation of Interleaved 2 of 5 coded with 14 digits.


ITF 16

This symbol is based on the ITF 14 code, but contains 15 numeric characters and one check character.


LOGMARS

LOGMARS (Logistics Applications of Automated Marking and Reading Symbols) is a Code 39 application used by the United States Department of Defense, which recommends a check character. This code is defined using the MIL-STD-1189B military standard.

The standard defines acceptable ranges for a number of variables including density, ratio, bar height, and size of the human-readable interpretation line.

The Modulo 43 check character, optional with code 39, is defined and recommended in the specifications. While not recommended in the general specifications, it may be requested in some Department of Defense applications.


Matrix 2 of 5

The Matrix 2 of 5 is a digital symbol derived from Code 11. It includes a start character and a stop character. Discrete but not self-checking, it includes a check character calculated using the Modulo 10 algorithm.


Options for circular bar codes

Command: Double-click on a bar code > Options > Circular

You can convert linear bar codes into circular bar codes. Check the Circular option to display circular parameters.

Inner radius
Used to define the radius of the circular bar code.

Begin angle
Used to define the start of the angle.

Angle
Used to define the degree of the angle.

Preview
Used to display the circular bar code.


PharmaCode

The PharmaCode is used by pharmaceutical industries in packaging.

Its high print tolerance and options for printing in multiple colors provide high flexibility and meets individual packaging requirements.

The Pharmacode must be numerical. Only the bars represent data, not the spaces.

Pharmacode options


PLANET

PLANET is an acronym for Postal Alpha Numeric Encoding Technology. The PLANET code was invented by Sprague Ackley in 1995 for the U.S. Postal Service. The PLANET code is one of the five variations of the POSTNET code, which is capable of encoding alphanumeric fields and intended for identification applications and other sorting and tracking uses.

The PLANET code contains 12 characters and consists of short and long bars. Its symbology is the reverse of the POSTNET code. Each character in the POSTNET code has a combination of two long bars and three short bars, while each character in the PLANET code consists of three long bars and two short bars.

The value starts with 21 or 22, based on the desired service: source or destination


Plessey

The Plessey code was developed in the 1970s in England by the Plessey company.

Used in library management, it is a hexadecimal code; that is, it includes the numbers 0 to 9 and the letters A, B, C, D, E, and F.

It contains two check characters, calculated according to the Cyclic Check principle. Its length is unlimited.


POSTNET

The POSTNET symbology was developed in the United States to optimize automatic mail sorting. Designed to be printed by fast but low-resolution equipment, its use is limited to mailing address applications.

In the strictest sense of the term, POSTNET is not a real barcode, as information is not coded by bars of variable width.

It is a numeric symbol using five bars (two long and three short) and four spaces for each coded character.

The length of bars and the spaces between them are constant from one end of the message to the other.

A single bar is used for the start and stop characters and the symbol usually includes a check character.


Standard 2 of 5

The Standard 2 of 5 barcode's construction is similar to the Industrial 2 of 5, except for the start and stop characters. It does not contain a check character.


UPC

The UPC (Universal Product Code) has been used since 1973 in the United States in the mass distribution industry. It is a numeric code, continuous of fixed length, allowing the product and manufacturer to be identified in a unique way.

UPC-A

UPC-A contains 12 digits:

  • The first digit is a system number that indicates the type of product identified.

  • The system number is followed by a first group of five digits that are used to identify the manufacturer of the product.

  • This is followed by a second group of five figures that are used to identify the product itself.

  • The code check character is in the last position. It is calculated according to the Modulo 10 algorithm.

UPC-E

UPC-E is a compressed version of UPC-A, often used to identify items of small size. The technique used is called zero suppression.

Example:

The message 12300-00064 coded in UPC-A becomes 123643 when coded in UPC-E. The figure 3 on the far right indicates the compression method.

UPC-E may be entered with six figures (compressed form) or ten figures (normal). When it is coded with ten digits, UPC-E must be in one of the following forms:

cc00000ccc
cc10000ccc
cc20000ccc
ccc00000cc
cccc00000c
ccccc0000c (the last character must be between five and nine).


UPC-A - GS1-128 Coupon Code

GS1-128 Coupon Code - UPC-A

The GS1-128 Coupon Code - UPC-A bar code (previously referred to as UCC/EAN-128 Extended Coupon Code - UPC-A) is based on the UPC-A bar code. It consists of a standard UPC bar code with an additional "extended" bar code added to the right of the UPC code to provide additional information. The extended portion can be printed in one of five GS1-defined formats, consisting of a GS1-128 bar code with an Application Identifier (AI).

Note: The manufacturer's Number System Character for UPC is GS1 Prefix 0.

Format options for the GS1-128 extended portion include:

Format | Required Components
Format 1 | AI 8100 Number system character 5-digit offer code
Format 2 | AI 8101 Number system character 5-digit offer code 4-digit expiration date
Format 3 | AI 8100 Number system character 5-digit offer code 4-digit expiration date AI 21 for Household ID
Format 4 | AI 8101 Number system character 5-digit offer code 4-digit expiration date AI 21 for Household ID
Format 5 (also known as Null Code) | AI 8102 Number system character

The format for the GS1-128 Coupon Code - UPC-A human readable text can be set using the Custom Spacing option on the Human Readable tab. You can select a human readable template from the list of commonly used formats or enter your own custom spacing format.

Note: GS1-128 Coupon Code - UPC-A bar codes are printed as graphics and therefore may take longer to print.


GS1-128 Coupon Code - EAN 13

The GS1-128 Coupon Code - EAN-13 bar code (previously referred to as UCC/EAN-128 Extended Coupon Code - EAN-13) is based on the EAN-13 bar code. It consists of a standard EAN bar code with an additional "extended" bar code added to the right of the EAN code to provide additional information. The extended portion can be printed in one of five GS1-defined formats, consisting of a GS1-128 bar code with an Application Identifier (AI).

Format options for the GS1-128 extended portion include:

Format | Required Components
Format 1 | AI 8100 Number system character 5-digit offer code
Format 2 | AI 8101 Number system character 5-digit offer code 4-digit expiration date
Format 3 | AI 8100 Number system character 5-digit offer code 4-digit expiration date AI 21 for Household ID
Format 4 | AI 8101 Number system character 5-digit offer code 4-digit expiration date AI 21 for Household ID
Format 5 (also known as Null Code) | AI 8102 Number system character

The format for the GS1-128 Coupon Code - EAN-13 human readable text can be set using the Custom Spacing option on the Human Readable tab. You can select a human readable template from the list of commonly used formats or enter your own custom spacing format.

Note: GS1-128 Coupon Code - EAN-13 bar codes are printed as graphics and therefore may take longer to print.


Aztec Mesa

The Aztec Mesa code is a graphical rearrangement of an Aztec code. It includes a 1D host symbol. The Aztec Mesa code is a supplemental 2D field used to form composite barcode symbols, wherein a linear primary symbol is augmented by an attached 2D data field.

The Aztec Mesa code can encode from small to large amounts of data with user-selected percentages of error correction.

In general, the Aztec Mesa code is attached to other codes:

  • Interleaved 2 of 5

  • Code 39

  • Code 93

  • Code 128

  • UPC-A and EAN13

Additional Aztec Mesa features

2/5 Interleaved - these symbologies are often printed with top and bottom protection to prevent short reads.

UPC and EAN - these symbologies may require protection filters to prevent problems that may occur when the symbol is read by a laser scanner.

All 1D host symbols maintain their own specifications for encoding. For purposes of symmetry, additional Mesa code features allow it to be divided proportionally to be displayed above and below the 1D symbol.

The Aztec Mesa code string starts with a symbol for linear portion data (1D host). The "|" symbol separates the data from the Mesa code.

As with other text or images, your data entry method for composite barcodes varies based on the origin of the data.

Aztec Mesa code options


Composite

Composite/GS1 Databar

The Composite symbology consists of a linear symbol associated with a 2D composite element.

A Composite symbol always includes a linear portion. The linear element contains the main identification and is used to directly identify the position and orientation of the 2D part.

The Composite element consists of one 2D portion based on the MicroPDF417 and PDF417 standards. The 2D part contains complementary information such as serial number, expiry date, lot number, etc.

To construct a Composite variable

  1. You must first define two variables named. For example: Imp1D, for the linear portion, and Imp2D, for the 2D portion.

  2. Next, create a formula named Composite. For example, for which the result equals the concatenation of the two previously defined variables and the "|" separation character.

Imp1D&|&Imp2D

Before being encoded, the data in the linear part is separated from that encoded in the 2D part by the character "|".

Example:

1234567890123 | abcdefghijklmnop

Encoded in the linear code | encoded in the 2D code

Composite symbol options


RSS

RSS/GS1 Databar

The RSS (Reduced Space Symbology) code contains three types of linear symbologies, which are used with the EAN UCC encoding system. The main advantage of this symbology is that it is able to encode a large amount of information in a small barcode.

RSS-14 and RSS Limited allow you to encode 14 numeric characters.

RSS-14 Stacked is a version of the RSS-14 symbology that is split and consists of two rows.

RSS Expanded allows supplementary elements to be encoded, such as expiration date or weight. It can be printed on several lines. In this case, the encoded data can be alphanumeric.

RSS Expanded Stacked is a version of the RSS-14 symbology that is stacked in multiple rows and is used when the normal symbol would be too wide for the application.

RSS code options


TLC 39

TLC 39 is a composite code developed for the telecommunications industry.

This code provides the transition between the current coding standard, based on Code 39, and the one that will replace it in the future: the bi-dimensional MicroPDF417 code.

The TLC 39 code is therefore a combination of these two symbologies (code 39 and MicroPDF417).
The linear part can encode six numeric digits.
The MicroPDF417 code is used to encode supplementary data, such as the serial number.

Associating a TLC 39 code with a variable:
The contents of the variable includes the data from the linear portion and those that will be encoded by MicroPDF417.
The data is separated by the ASCII GS character (ASCII value 29).

Example:

123456{GS}ABCD1234567890

TLC 39 code options


UCC/EAN-128

UCC/EAN-128 is a version of Code 128 that has been updated to meet EAN/UCC standards for encoding product information (date, batch number, serial number, etc.).

The overall structure of the code is as follows:

ST | F1 | DI | DATA | F1 | DI | DATA | CK | SP

D = start character
F1 = function 1 (FNC1)
DI = data identifier
CK = control key
F = stop character

If the start character is omitted, the code will be interpreted as beginning in the B character set. If the FNC1 character is omitted, it will be added automatically.

The function 1 character (FNC1)

This character is used to differentiate UCC/EAN-128 from Code 128.

Concatenation

Several identifiers and their data field can be concatenated into a single symbol.

Fixed-length fields can be associated without having to use field separators. In this case, the identifier of the second field comes immediately after the last character of the previous field.

Variable-length fields must be immediately followed by a field separator, unless it is the last field of the symbol. The FNC1 character serves as a field separator.

Example:

Data 1, 2 and 3 are respectively introduced by the identifiers I1, I2 and I3.
Data 1 is of fixed length.
Data 2 and 3 are of variable length.
F1 is the FNC1 character.
C is the check character.
Concatenation of I1 and I2:
I1 DATA 1 I2 DATA 2 C
Concatenation of I2 and I3:
I2 DATA 2 F1 I3 DATA 3 C
Concatenation of I1, I2 and I3:
I1 DATA 1 I2 DATA 2 F1 I3 DATA 3 C

Note: When multiple identifiers and their field need to be concatenated and only one of them is of variable length, the latter should be placed at the end of the symbol to avoid using a field separator.

Note: Do not invade the barcode with drawings or text so as to ensure that the barcode is readable.

Note: UCC/EAN recommends that all the information in the barcode appear in the human-readable area.


UCC/EAN-128 SSCC

This is a specific example of the UCC/EAN-128 code, composed of 20 figures and coded in character set C in the following way:

  • Identifier: two characters (00).

  • Data: 17 characters.

  • Check: one check character (Modulo 10) which is extra, added to the data string.

If the start character in set C is omitted, it will be added automatically.

If the FNC1 character is omitted, it will be added automatically.

If the check character (@K Check modulo 10) is omitted, it will be added automatically.


Aztec code

The Aztec code was invented by Andy Longacre from Welch Allyn Inc. in 1995. It was published by AIM International in 1997 and is in the public domain. The Aztec code was developed to facilitate printing and reading. The Aztec code is used in applications that mark small elements using a wide range of printing and marking technologies.

The Aztec code is a square bi-dimensional symbol with a grid. This is referred to as a matrix.

Aztec codes range in size from the shortest at 15x15 modules and the longest at 151x151 modules. Short Aztec encodes 13 numeric characters or 12 alphabetical characters. Long Aztec encodes 3,832 numeric characters or 3,067 alphabetical characters or 1,914 data bytes. A quiet zone is not required around symbols.

All 8-bit values can be encoded. Values from 0 to 127 are interpreted as ASCII, and values from 128 to 255 are interpreted as ISO 8859-1: Latin Alphabet No. 1. Two characters can be encoded, FNC1 for compatibility with some applications and in ECI escape character for the standardized encoding of message interpretation information.

Aztec code options


Chinese Sensible Code

Chinese-Sensible (Han Xin) Code is a two-dimensional matrix symbology which is made up of an array of nominally square modules arranged in an overall square pattern, including a finder pattern located at four corners of the symbol and intended to assist in easy location of its position, size, and inclination. It can support 1.6 million characters of Chinese information, can contain binary information, including numbers, English letters, Chinese characters, images, sounds, and multimedia, and encode digital information like photos, fingerprints, signatures, and sounds. It is a variable size, high capacity symbology optimized for the Chinese language.

Customers may use a mobile phone or a terminal to read a Chinese-Sensible Code and in this way check up all information on goods leaving factories, in transport, or for quality control and distinguishing genuine goods from the counterfeit.

Chinese-Sensible Code can be applied to many fields, such as logistics, finance, taxation, commerce, industry, and customs.

Chinese Sensible Code options


Codablock

Codablock is a stacked version of ICS (IdentCode-System). Invented by Heinrich Oehlmann, it was originally a stacked version of Code 39.

Each Codablock symbol contains between 1 and 22 rows. The number of characters per row is set according to the standardized size of the smallest bar. Each row contains a variable number of characters.

Each symbol has a group of bars for the start character and the end character, which extends the height of the symbol. Each row has two characters indicating the row number, and the last row has a check character that is optional.

The code is a continuous series of rows of variable size, encoded in Code 39, and is no more denser than a given density of Code 39.

Codablock F is a stacked version of Code 128. It consists of between 2 and 44 rows of a maximum of 62 characters.

Codablock has been adopted by German blood banks for the identification of blood.


Code 16K

The structure of Code 16K is based on Code 128. Code 16K resolves problems inherent with Code 49. As a bi-dimensional barcode, the Code 16K is a multiple-row code.

Code 49 requires extensive memory resources for encoding and decoding its tables and algorithms. Each Code 16K mark contains between 2 and 16 rows of five ASCII characters. Furthermore, in extended mode, it can encode up to 8,025 ASCII characters or 16,050 digits. The first three characters of each row, in each of 16 rows, determine the compression mode.

The code is continuous, of variable length and can encode the entire ASCII character set (128 characters). The minimum standard size is 0.19 mm to ensure the mark can be read by an unknown barcode reader. The minimum height is eight times the standard size. The maximum density is 208 alphanumeric characters per square inch or 417 digits per square inch, where the standard size (x) is 0.19 mm (7.5 mils -- thousandths of an inch).

Code 16K can be read by a hand-held laser scanner or a CCD camera. Rows can be read in any order. After the last line is read, the barcode reader places the information in the correct sequence.


Code 49

The Code 49 barcode was developed by David Allais in 1987 at the Intermec Corporation to pack a lot of information into a very small symbol.

The Code 49 barcode is a two-dimensional (2D) multiple-row symbology that can encode the full ASCII character set below ASCII 128. Up to 49 alphanumeric characters or 81 numeric characters can be encoded. These characters are encoded into two to eight rows. Each row is divided by a separator bar. The top and bottom of the symbol also have a separator bar that extends to the ends of the minimum quiet zones.


Data Matrix

Data Matrix barcodes display two macros that allow you to create the latter in compliance with the EIA-706 standard.

In fact, with these macros, you optimize the size of the Data Matrix by simply replacing the header and trailer messages from the data to be encoded.

These two macros are described below:

{head:06}: macro that complies with the regulations of the ANSI MH10.8.3M standard.

{head:05}: macro that complies with the regulations of the ANSI MH10.8.3M standard for UCC/EAN application identifiers.

Barcode generation

  1. Select the Data Matrix barcode. In the Options section, enter 200 as the security value.

  2. Enter the data to be encoded in the Data edit zone.

Example: {head:06} Ai data01{gs} Ai data02 {gs}Ai data03

These two macros are only available for the Data Matrix barcode. For the other barcodes, such as MicroPDF417, Code 16K, etc., the message to be encoded must be entered in its entirety (with header and trailer), according to the ANSIMH10.8.3 standard.

Data Matrix

Data Matrix is a two-dimensional code allowing the codification of up to 2000 ASCII characters or 1000 ISO characters.

It consists of a cellular matrix that encodes data in binary form. Its advantage is that its capacity in terms of encoded data and physical size are independent of each other.

There are a certain number of formats defined for encoding data. Each format determines a character set, a data compression ratio, and a data entry manager for the encoded message.

Defined formats

Format ID | Character set | Capacity
1 | 0...9 space | 500 characters
2 | A...Z space | 500 characters
3 | A...Z space, .-/ | 500 characters
4 | A...Z 0...9 space | 500 characters
5 | ASCII | 500 characters
6 | ISO 8 bits | 500 characters

Security levels

By adding supplementary data, the five levels of security, based on convolution techniques, allow the original message to be recovered if information is lost during the reading of the code.

Security level | percent of data added
0 or ECC 000 | 0
1 or ECC 050 | 33
2 or ECC 080 | 50
3 or ECC 100 | 100
4 or ECC 140 | 300

The matrix generated for these different security levels is always square and limited to 49 rows by 49 columns.

ECC 200

There is also an extra security level called ECC 200. It provides greater efficiency when whole blocks of data are lost.

It allows almost 2000 characters to be encoded. Data compression is carried out dynamically during an analysis phase of the message to be coded. It is not necessary to choose an encoding format.

Different check characters are associated with it. These characters can be added to the message to be coded by the following sequences:

  • {R-P}: (Reader Program)

    Check character indicating that the encoded message is destined for barcode reader programming.

  • {EC:x}: (Code Page) no. x

    ECC 200 mode allows several character sets, defined by their page number, to coexist in the same message.
    There are currently 10 character sets (see table below).

Code Page | Character values | Character sets
0 | 0-127 | ISO 646, ASCII characters
default | 128-255 | ISO 8859 Part 1 Latin alphabet no. 1
1 | 0-255 | User
2 |  | ISO 8859 Part 2 Latin alphabet no. 2
3 |  | ISO 8859 Part 3 Latin alphabet no. 3
4 |  | ISO 8859 Part 4 Latin alphabet no. 4
5 |  | ISO 8859 Part 5 Latin and Cyrillic alphabets
6 |  | ISO 8859 Part 6 Latin and Arab alphabets
7 |  | ISO 8859 Part 7 Latin and Greek alphabets
8 |  | ISO 8859 Part 8 Latin and Hebrew alphabets
9 |  | ISO 8859 Part 9 Latin alphabet no. 5

Once inserted, the character set remains valid until the end of the message or the presence of a new Code Page character.

  • {FNC1}: FNC1 character

  • {S: x1, x2, x3, x4} : (Structure)

    The ECC 200 security level allows several symbols to be grouped as if belonging to the same message. It is possible to associate up to 16 matrices. To do this, insert the check character and its different parameters at the beginning of each message.

  • x1 => position of the symbol in the list

  • x2 => total number of symbols

  • x3 => 1st identification number in the list (1 to 254)

  • x4 => 2nd identification number in the list (1-254)

Data Matrix code options

Creating Data Matrix code with the macros


MaxiCode

The Maxicode symbol was developed by United Parcel Service for managing automatic parcel sorting. It is displayed as a square made up of hexagons interlaced around a circular shape. These hexagons can be black, white, or grey.

The coding capacity of this symbol, including a few redundancies, is 596 bits.

You can create your Maxicode barcode using the Maxicode Wizard. This wizard guides you in all the steps for creating and controlling the validity of the barcode created.

  • Choose Objects > Wizards > Maxicode Wizard from the menu.

Maxicode options

UPS Maxicode options


MicroPDF417

The MicroPDF417 code is a derivative of PDF417, which restricts the size of symbols and sets the error correction level for each symbol size. Since the sizes are defined by the user, printing is possible on various printers.

The symbology makes it possible to store more than 150 bytes, 250 alphanumerical characters, or 366 digits. This is possible by specifying one of the three compaction modes: data, text, or numerical.

The Text compaction mode makes it possible to encode all printable ASCII characters (32 to 126) as well as the check characters selected.

The bit compaction mode makes it possible to encode 256 bytes of 8 bits. This includes all ASCII characters from 0 to 127 and provides support for character sets (international).

MicroPDF417 code options


Micro QR code

Micro QR Code is a very small QR Code that fits applications that require a smaller space and use smaller amounts of data, such as ID of printed circuit boards and electronics parts, etc. The efficiency of data encoding has been increased with the use of only one position detection pattern.

Error correction level (ECC):

Level | % of error correctable
L | 7%
M | 15%
Q | 25%

Element width
Allows the width of a code cell to be set.

Start mode

  • Automatic

  • Numerical: From 0 to 9;

  • Alphanumeric: From 0 to 9 and from A to Z Space: $ % * + - . : / ;

  • Binary / 8 bit: JIS-8 bits (Latin and Kana) complies with the JIS X 0201 standard.

  • Kanji: (Shift JIS) hexadecimal values from 8140h to 9FFCh and E040h to EAA4h.

Maximum number of data items

Symbol version | Number of modules | Error correction level | Numeric | Alphanumeric | Binary | Kanji
M1 | 11 | - | 5 | - | - | -
M2 | 13 | L | 10 | 6 | - | -
 |  | M | 8 | 5 | - | -
M3 | 15 | L | 23 | 14 | 9 | 6
 |  | M | 18 | 11 | 7 | 4
M4 | 17 | L | 35 | 21 | 15 | 9
 |  | M | 30 | 18 | 13 | 8
 |  | Q | 21 | 13 | 9 | 5

The character set to be used for encoding data can be selected by:

  • Choosing between:
    Automatic
    Alphanumeric
    Numerical
    Kanji
    Byte

  • Directly inserting one of the following codes into the data to be encoded:
    A} = Alphanumeric
    N} = Numerical
    K} = Kanji
    B} = Byte

Example: {A}ABCD{N}123456789

Encoding mode
Specifies how the input data should be interpreted. Data is always passed as UNICODE characters. Per default the input data is converted to the selected Code Page but you can choose Convert to code page.

Code page
The code page is related to the property Encoding Mode. It is only considered if the encoding mode is set to Convert to Code Page. You can choose among several pre-defined code pages (for example, ANSI, ISO 8559-1 Latin I, UTF-8 or Shift-JIS) or add the ID of a custom code page.


PDF417

PDF417 is a bi-dimensional code used to encode up to 2,000 ASCII or 1,000 ISO characters.

Each line is composed of a certain number of columns encoding the data, enclosed by one start character and one stop character.

Main characteristics

 | Minimum | Maximum
Number of columns | 1 | 30
Number of rows | 3 | 90
Security level | 0 | 8

To define the overall appearance of the symbol, the number of columns and rows can be set separately or together. This is known as construction mode, and uses fixed sizing instead of automatic sizing, for which the number of columns and rows is determined by the code calculation algorithm.

Certain combinations of columns and rows can generate impossible situations for code construction. In all cases, the product of the number of columns and rows must be greater than 929.

PDF417 options


QR Code Options

This barcode is a two-dimensional symbology.

Its main advantage is the speed with which it can be read.

The QR Code can be created according to two models:

  • Model 1: Meets the requirements of the original QR Code specifications

  • Model 2: Meets the requirements of an extension to the specifications of model 1.

Security level:

Level | % of error correctable
L | 7%
M | 15%
Q | 25%
H | 30%

Element width
Allows the width of a code cell to be set.

Start mode

  • Numerical: From 0 to 9;

  • Alphanumeric: From 0 to 9 and from A to Z Space: $ % * + - . : / ;

  • 8 bit: JIS-8 bits (Latin and Kana) complies with the JIS X 0201 standard.

  • Kanji: (Shift JIS) hexadecimal values from 8140h to 9FFCh and E040h to EAA4h.

Size of symbologies

  • Model 1: From stock 21x21 to 73x73.

  • Model 2: From stock 21x21 to 177x177.

Maximum number of data items

 | Model 1 | Model 2
Numerical | 1167 | 7089
Alphanumeric | 707 | 4296
8 bit | 486 | 2953
Kanji | 299 | 1817

The character set to be used for encoding data can be selected by:

  • Choosing between:
    Automatic
    Alphanumeric
    Numerical
    Kanji
    Byte

  • Directly inserting one of the following codes into the data to be encoded:
    A} = Alphanumeric
    N} = Numerical
    K} = Kanji
    B} = Byte

Example: {A}ABCD{N}123456789

Encoding mode
Specifies how the input data should be interpreted. Data is always passed as UNICODE characters. Per default the input data is converted to the selected Code Page but you can choose Convert to code page.

Code page
The code page is related to the property Encoding Mode. It is only considered if the encoding mode is set to Convert to Code Page. You can choose among several pre-defined code pages (for example, ANSI, ISO 8559-1 Latin I, UTF-8 or Shift-JIS) or add the ID of a custom code page.


VeriCode

Vericode® is a bi-dimensional symbol. It is a cellular matrix consisting of equal-sized squares and a border. The binary information is represented by cells with different contrasts (light and dark).

The Vericode® bi-dimensional matrix encoding technology makes it possible to mark products directly. Vericode® resolution is determined by the print source used (for example, a laser or thermal transfer printer) to generate a Vericode® barcode.

Vericode® can be read from any angle. Advanced image processing techniques are used to read and print Vericode® symbols on any type of medium, such as paper, glass or metal.

VeriCode options


Control variables

Control variables are variables integrated into the document.

Control variables are introduced into certain data file fields to trigger special functions when printing is launched.


@AUTHOR

This variable corresponds to the name of the author of the document, defined in the label properties.


@COMMENTS

This variable corresponds to the comments defined in the label properties.


@COMPANY

This variable corresponds to the company defined in the label properties.


@INTERCUT

The field containing this variable determines the number of labels to be printed between each cut. It must be numeric.


@LABELCPY

The field that contains this variable determines the number of identical labels to be printed between counter increments (if the label contains any). It must be numeric.

In the case of a print merge, this quantity can be fixed (value determined when printing is launched) or variable, using @LABELCPY.


@LABPATH

This variable corresponds to the document's complete path (for example: C:\Documents and Settings\User\My Documents\).


@LABELPERROW and @LABELPERCOLUMN

These two variables correspond to the number of rows and columns defined on a page.


@LABNAME

The field that contains this variable determines the document name that must be changed during an import operation. The fields imported from documents used in the merge must be compatible with those of the data file.

The @LABNAME variable is no longer interpreted by the software. You must use the Database Manager.

Note: The specified document's name must only include the file name, excluding the complete path (for example: Identity.lab).


@MLOCURPAGE

Current page of the ListField.


@MLOMAXQTY

Total number of pages to display the Listfield content.


@PAGECPY

The field containing this variable determines the number of copies of the page to be printed. It must be numeric.

The number of pages to be copied can be fixed (determined when printing is launched) or variable, using @PAGECPY. In this case, the content of this variable is attributed in the data file determines the quantity to be printed.


@PORTNAME

This control variable can only be used as an input value in a formula. It contains the name of the port for the selected printer.


@PRINTERNAME

This control variable can only be used as an input value in a formula. It contains the name of the selected printer.


@PROGRAMNAME

@PROGNAME

This variable corresponds to the program name, such as, ''Programname 9.0.''


@PROGRAMVERSION

@PROGVERSION

This variable corresponds to the software version, such as ''9.01.''


@SERIALQTY

The field that contains this variable determines the number of labels to be printed. It must be numeric.

During a merge, the file is read in sequence from beginning to end. Each record causes one or more labels to be printed. The number of labels printed for each record can be fixed (determined when printing is launched) or variable, using @SERIALQTY. In this case, the content of the field this variable is attributed to in the data file determines the quantity to be printed.


@SUBJECT

This variable corresponds to the document subject defined in the label properties.


@TITLE

This variable corresponds to the title defined in the label properties.


@USERNAME

This variable corresponds to the name of the program user.


About the CS Symbol font

About the CS Symbol 2 font

The CS Symbol 2 font is a TrueType font, with each character representing a pictogram. Each of these pictograms corresponds to a key or combination of keys on the keyboard.


Characteristics

With certain Windows&trade printers, notably the HP LaserJet 4, printing CSSymbol 2 characters requires a particular setup.

  1. In the Settings box for Printer Options, select Graphic mode: Raster.

  2. Click TrueType printing in graphic mode.


CS-Symbol 2 characters

ANSI, Extended and Unicode characters are supported by your labelling software.

The ANSI character set includes the standard ASCII character set (ALT + 0 +value, values 0 to 127), plus an extended character set (ALT + value, values 128 to 255).

The Unicode character set includes all characters in use today (ALT + U + value).

Key | Symbol | Key | Symbol | Key | Symbol
! | ! | 8 | 8 | H | H
# | # | 9 | 9 | I | I
& | & | : | : | J | J
( | ( | ; | ; | K | K
) | ) | < | < | L | L
* | * | = | = | M | M
+ | + | > | > | N | N
, | , | ? | ? | O | O
0 | 0 | @ | @ | P | P
1 | 1 | A | A | Q | Q
2 | 2 | B | B | R | R
3 | 3 | C | C | S | S
4 | 4 | D | D | T | T
5 | 5 | E | E | U | U
6 | 6 | F | F | V | V
7 | 7 | G | G | W | W
Key | Symbol | Key | Symbol | Key | Symbol
X | X | l | l | ALT + 0162 | ¢
Y | Y | m | m | ALT + 0163 | £
Z | Z | n | n | ALT + 0164 | ¤
[ | [ | o | o | ALT + 0165 | ¥
\ | \ | p | p | ALT + 0166 | ¦
] | ] | q | q | ALT + 0167 | §
^ | ^ | r | r | ALT + 0168 | ¨
_ | _ | s | s | ALT + 0169 | ©
` | ` | t | t | ALT + 0170 | ª
a | a | u | u | ALT + 0171 | «
b | b | v | v | ALT + 0172 | ¬
c | c | w | w | ALT + 0173 | −
d | d | x | x | ALT + 0180 | ´
e | e | y | y | ALT + 0181 | µ
f | f | z | z | ... | ...
g | g | { | { | ALT + 162 | ó
h | h | | | | | ALT + 163 | ú
i | i | } | } | ... | ...
j | j | ~ | ~ | ALT + U + 0410 | A
k | k | ALT + 0161 | ¡ | ALT + U + 00F9 | ù
 |  |  |  | ... | ...


About the TK Textile Font

The TK Textile font is a TrueType font, with each character representing a pictogram. Each of these pictograms corresponds to a key or combination of keys on the keyboard.

Note: The fabric care symbols are registered trademarks in France; permission must be obtained from Cofreet before using them.


TK Textile characters

Key | Symbol | Key | Symbol | Key | Symbol
! | ! | H | H | l | l
# | # | I | I | m | m
$ | $ | J | J | n | n
% | % | K | K | o | o
& | & | L | L | p | p
' | '' | M | M | q | q
( | ( | N | N | r | r
) | ) | O | O | s | s
* | * | P | P | t | t
+ | + | Q | Q | u | u
, | , | R | R | v | v
- | - | S | S | w | w
0 | 0 | T | T | x | x
1 | 1 | U | U | y | y
2 | 2 | V | V | z | z
3 | 3 | W | W | " | "
4 | 4 | X | X | - | -
5 | 5 | Y | Y | [ | [
6 | 6 | Z | Z | \ | \
7 | 7 | a | a | ^ | ^
8 | 8 | b | b | { | {
9 | 9 | c | c | } | }
: | : | d | d | ~ | ~
A | A | e | e | ] | ]
B | B | f | f |  |
C | C | g | g |  |
D | D | h | h |  |
E | E | i | i |  |
F | F | j | j |  |
G | G | k | k |  |


test query builder

Building queries

Active Query Builder is a visual query builder component that allows you to build complex SQL queries via an intuitive visual query building interface.

To work with Active Query Builder, you need basic knowledge of SQL concepts. Active Query Builder will help you to write correct SQL code hiding technical details, but only understanding of the SQL principles will make it possible to achieve desired results.

Here are the steps of building an SQL query using Active Query Builder:

  • Getting started with Active Query Builder

  • Adding an object to the query building area

  • Editing object properties

  • Joining tables

  • Selecting output fields

  • Sorting output fields

  • Defining criterias

  • Defining a parameterized query

  • Grouping output fields

  • Adding a sub-query

  • Adding a derived table

  • Working with unions

  • Navigating the query tree


Getting started

The main window can be divided into the following parts:

  • The Query Building Area is the main area where the visual representation of query will be displayed. This area allows you to define source database objects and derived tables, define links between them and configure properties of tables and links.

  • The Columns Pane is located below the query building area. It is used to perform all necessary operations with query output columns and expressions. Here you can define field aliases, sorting and grouping, and define criteria.

  • The Query Tree Pane is located at the left. Here you may browse your query and quickly locate any part of it.

  • The page control above the query building area will allow you to switch between the main query and sub-queries.

  • The small area in the corner of the query building area with the "Q" letter is the union sub-query handling control. Here you may add new union sub-queries and perform all necessary operations with them.


Adding an object to the query

To add an object to the query right click the query building area and select the Add Object item in the drop-down menu.

The Add New Object window allows you to add as many objects as you wish at once. The objects are grouped according to their type by four tabs: Tables, Views, Procedures (Functions) and Synonyms. You may select one or several objects by holding the Ctrl key and then press the Add Object button to add these objects to the query. You may repeat this operation several times. After you finish adding objects, press the Close button to hide this window.

To remove an object from the query, select it and press the Del key or simply click the Close button in the object header.

For those servers that have schemas or allow selection of objects from different databases, you may filter objects by database or schema name by selecting the necessary schema or database from the combo box at the top of the window.

Active Query Builder can establish links between tables based on the information about foreign keys in the database. This ability is turned on by default. To turn it off, uncheck the Create links from foreign keys checkbox.


Editing object properties

You may change the properties of each object added to the query by right clicking the object and selecting the Edit... item from the drop-down menu or simply by double-clicking the object header.

The Datasource Properties dialog may vary from server to server, but at least the Alias property is the same for all database servers.


Joining tables

To create a link between two objects (i.e. join them) you should select the field by which you want to link the object with another and drag it to the corresponding field of the other object. After you finish dragging, a line connecting the linked fields will appear.

The join type created by default is INNER JOIN, i.e. only matching records of both tables will be included in the resulting dataset. To define other types of joins you should right click the link and select the Edit... item in the drop down menu or simply double-click it to open the Link Properties dialog. This dialog allows you to define join type and other link properties.

To remove a link between objects, right-click the link line and select the Remove item in the drop-down menu.


Selecting output fields

The easiest way to add a field to the list of query output fields is to check the checkbox at the left of the field name in the Query Building Area. To include all the fields of the object you should click the checkbox at the left of the asterisk item of the object.

Another way is to select a field name from the drop-down list of the Expression column in the Columns Pane. And the most common way is to write any valid expression in the Expression column in the Columns Pane.

To remove a field from the list of query output fields you should uncheck the checkbox at the left of the field name in the Query Building Area or you may remove it by unchecking the Output column checkbox.

Such operations as removing lines from the Columns Pane or re-ordering output fields are available by right clicking on the leftmost gray column via the drop-down menu.

The output field's aliases may be defined in the Alias column of the Columns Pane.


Sorting output fields

To enable sorting of output query fields you should use the Sort Type and Sort Order columns of the Columns Pane.

The Sort Type column allows you to specify the way the fields will be sorted - in the Ascending or Descending order.

The Sort Order column allows you to setup the order in which fields will be sorted, if more than one field will be sorted.

To disable sorting by some field you should clear the Sort Type column for this field.


Defining criteria

To define criteria for the expression listed in the Columns Pane you must use the Criteria column.

There you should write the criterion omitting the expression itself. To get the following criterion in your query

WHERE (field >= 10) AND (field <= 20)

you should write

>= 10 AND <= 20

in the Criteria column.

You may specify several criteria for a single expression using the Or... columns. These criteria will be concatenated in the query using the OR operator.


Grouping output fields

The "Grouping" option determines inclusion of expression in the "GROUP BY" section of the query. This option determines the placement of criteria for this expression to the "WHERE" or "HAVING" clause appropriately.

  • "Expression" and "Where": These values are used when no grouping is specified. The "Expression" value is set when this expression is used as an output expression in the SELECT clause and nothing else. The "Where" value is set automatically when you define a criterion to this expression that results in including this expression to the WHERE clause. Normally you shouldn't care about the value of the Group By section when you don't want to define grouping.

  • "Group by" and "Having": These values are similar to the previous two, but used when you want to define grouping in your query. In this case, you should set the "Group by" value for all columns you want to group by. Specifying criteria for the grouped columns will include these criteria in the HAVING clause. If you want to include an expression ONLY in the HAVING clause you should set the "Having" value in the Group By section for this expression.

  • Aggregate functions (Count, Sum, etc): By selecting one of these values, you will create an aggregate expression for the value indicated in the Expression column.


Parametrised query

Defining a parameterized query

Query Builder lets you create a parameterized query where the value of the parameter is held in a variable.

Note: You must have created a variable beforehand.

  1. Drag and drop the table on which your query is to be carried out.

  2. Select the field(s) to which the criterion or criteria is/are to apply.

  3. In the Criterion column or in the SQL-format edit field, specify the variable to be used as the object of a search criterion.

    Example    : To look for the value of the variable Var0 which you created beforehand:

  • In SQL:

    SELECT [Table].*

    FROM [Table]

    WHERE [Table].Champ = APPLICATION.DOCUMENT.Var0

  • Criterion column
    = APPLICATION.DOCUMENT.Var0

  4. Click [image] to display the result of your query.


Adding a sub-query

You may add a sub-query as a part of the expression or criterion using the Columns Pane.

To add a sub-query right click on the Expression or Criteria column of the Columns Pane and select the Insert SubQuery item from the drop-down menu. Another way to add a sub-query is to type "(Select)" in the Expression column and "= (Select)" or "In (Select)" or any other valid sub-query expression in the Criteria column.

The corresponding tab will be created after adding the sub-query. This tab allows you to edit your sub-query visually in the same way as you edit the main query. Another way to switch to the sub-query tab is to press the ellipsis button of the cell where this sub-query is located.


Adding a derived table

You may add a derived table (a sub-query used in the FROM clause) using the Query Building Area.

To add a sub-query, right click on the Query Building Area and select the Add Derived Table item from the drop-down menu.

A new object representing the newly created derived table will be added to the query building area of the main query. In addition, the corresponding tab will be created after adding the derived table. This tab allows you to edit the sub-query visually in the same way as you edit the main query. Another way to switch to the sub-query tab is to press the maximize button at the header of the object representing this derived table.


Working with unions

You can work with union sub-queries using the small panel in the top-right corner of the Query Building Area. Initially there is only one union sub-query labeled with the "Q" letter. All required operations are performed by means of context drop-down menus.

  • To add a new union sub-query, select the New Union SubQuery menu item.

  • To enclose the sub-query in brackets, select the Enclose in Brackets menu item.

  • To move the sub-query or bracket to the top of the query (the topmost sub-query is the left one), select the Move Backward menu item.

  • To move the sub-query or bracket to the bottom of the query, select the Move Forward menu item.

  • To remove the sub-query or bracket, select the Remove menu item.

  • To change the uniting operator, select the necessary operator in the list of supported operators in the drop-down menu.

Union Sub-Query operations:

  • Move Forward

  • Move Backward

  • New Union SubQuery

  • Enclose In Brackets

  • Remove

Operations with brackets:

  • Move Forward

  • Move Backward

  • Remove Brackets

Select uniting operator


Navigating the query tree

The Query Tree Pane allows you to browse the compact tree-like representation of the entire query. Using it, you may jump to any part of the query with a single mouse click! This feature is very useful if the query is complex.


Command line arguments

The executable program that interprets packages and installs products is lppa.exe.

The different parameters and associated actions are:

Parameters | Meaning
/I or /i | Application is run minimized.
/F or /f | Launches the application in full screen.
/Mx or /mx | Used to change the code program of the application.
Labname /Px or /px | Used to print a Label where Labname is the name of the label to print and where x is the number of labels


About ActiveX

To meet the need for high-performance integration and maximum flexibility, our software uses ActiveX technology.

ActiveX creates a customized work environment between applications, and offers greater ease of integration and programming. Programmable objects are accessible from any macro language or programming tool. The application can therefore be used to control the labeling software using a programming language such as Visual Basic to automate routine tasks from users' applications.

To summarize, ActiveX is a powerful tool that makes it possible to use labeling software as an engine for printing and publishing labels. It is the cornerstone in the construction of personalized identification systems.

For full information on ActiveX programming, consult the ActiveX Programmer's Guide on the Help menu.


Functions

It is quite easy to carry out a range of operations from another application, such as:

  • Loading a label.

  • Obtaining the list of variable fields.

  • Creating variables.

  • Obtaining the data from these fields.

  • Selecting the port/printer combination.

  • Accessing printer settings.

  • Accessing the Add Printers dialog box.

  • Accessing the Form.

  • Saving a label.

  • Updating field variable values.

  • Obtaining an image preview.

  • Printing a document.

With this technology, you can develop your own interface and adapt it to production requirements by:

  • Introducing an additional security level (password, checks, etc.).

  • Controlling the label printing process.

  • Automatically composing complex labels involving non-decimal counters or chronology tests.

For full information on ActiveX programming, consult the ActiveX Programmer's Guide on the Help menu.


About PortWatcher

About PortWatch variable

PortWatch variables allow the program to get data for a label’s fields from external devices (scales, scanners, etc.).

You must configure PortWatch variables to receive data from the device connected to one of the supported ports.

The software installation includes a lot of preconfigured device files helping creating new devices.


PortWatcher panel

PortWatch variable panel

PortWatch variables Settings shows the summary of current settings

  • Device name,

  • Filter options,

  • Terminator type,

  • Polling enabled,

  • Port type,

  • timeout value.

  1. Select the device you want to link to the variable from the drop-down device list. Click Device manager button if you want to change device settings.

Note: Default parameters are shown in grey and updated parameters are shown in green.

  2. Click Test to evaluate the device settings.


Device manager

The Device manager window allows you to modify external device settings. These settings are stored in the device storage file (devices.dvc), if this file is missing or corrupted, a file containing default values is created.

Device management

The Device management table contains the list of installed devices.

The Add and Remove buttons allow you to add new devices to the list or to remove devices from the list.

  1. Select a device in the list in order to visualize its settings.

  2. Click Test to evaluate the device settings.

Saving updated settings

Settings, that are updated are not saved immediately.

Click on the OK button to update settings and to close the device manager.

Click on the Apply button to update settings without closing the device manager. This allows you to continue editing devices.

Click on the Cancel button to close the device manager without updating the settings.


Creating and removing devices

Creating devices

There are two methods for creating new devices.

  • The first method is to create a generic device. Using this method all parameters will be set to default values.

  • The second method is to create a new device using a base model. Using this method all parameters will be set according to the base model’s settings. The base model drop-down list contains all the base models available (with ’*’ symbol at the end of device name) and all devices previously installed.

You choose which method you want to use by clicking on the arrow symbol on the Add button. If you click directly on the Add button, a new generic device will be added to the device list.

New devices will be added in the device list with New device name. Device names must be unique so a numeric symbol will be added automatically to the end of device name if necessary.

Removing devices

To remove a device, select the device and press the Remove button.


Editing filter options

The filter allows you to specify which part of the data string returned by the device should be stored as the variable value. For example, if your device sends additional formatting commands that you do not need, the filter allows you to select only the useful data from the string.

Check the Enable filter check box to activate the filter.

Examples:

If Start position or End position is equal to zero, it will not be used by the filter.

if Start position = 5 and End position = 0, the program will examine characters 5 to end of data string.


Terminator options

When the terminator signal is triggered, port listening is stopped.

The Terminator may be a timeout, or it may be a particular character included within the data itself.

Terminator can be set to one of the following types:

  • Delay: Port listening duration in seconds.

  • CR or CR/LF: Communication ends when the device sends carriage return or carriage return and line feed characters.

  • Data Length: Communication ends after the specified count of characters has been received.

  • Character String: Communication ends when the device sends the specified user defined character string.

    See Creating strings with ASCII control codes.


Polling

If your device requires a specific command before sending its data, check the Enable polling check box, and type the polling command to be sent to the device.

Note: Do not include '+' or ' ' unless they are part of the actual string itself. Enter the string exactly as it should be sent to the device.

See Creating strings with ASCII control codes.


Creating strings with ASCII control codes

Creating strings with character sets that include the ASCII character set requires special syntax (Code 128, Code 39, etc.).

Data coding

All Non-printable ASCII codes must be entered in clear, between braces {}.

{NUL} | {BS} | {DLE} | {CAN}
{SOH} | {HT} | {DC1} | {EM}
{STX} | {LF} | {DC2} | {SUB}
{ETX} | {VT} | {DC3} | {ESC}
{EOT} | {FF} | {DC4} | {FS}
{ENQ} | {CR} | {NAK} | {GS}
{ACK} | {SO} | {SYN} | {RS}
{BEL} | {SI} | {ETB} | {US}

Entering the ASCII code

It is also possible to enter the ASCII value of the character to be inserted directly after a backslash \nnn, nnn representing the decimal value of the character's three-figure ASCII code.


Editing port settings

PortWatch variables support devices connected to serial, ethernet and usb ports.

Select the port type in the port type drop-down list.

The available parameters depend on the selected port type.

Timeout

You may enter a value in the Timeout box for all port types. This value is used to stop the listening process after a fixed period of time. It overrides all terminator settings, thus preventing any potential lock.

Note: if the terminator option is set to delay, the delay value will be used to end the communication.

Serial port

Choose one of the predefined port names or enter a name. The port name should be entered in ”COM#:” format, where # is a port number.

Press the Advanced button if you want to change the common serial communication settings.

Ethernet port

Enter the IP address of the host device and its port number.

USB port

Choose one of the predefined port names or enter a name. The port name should be entered in ”USB00#:” format, where # is a port number.


Evaluating variable

Select a device as described in PortWatch variable panel or in the Device Manager and click Test.

Evaluating progress

The task list shows the current communication status. Any error found will be shown here.

Received data

Value and length of data received from the device after processing are displayed in this area.

You can stop communication with the device at any moment by pressing the Close button.


From a file

Used to retrieve the value of the variable from a text file. To select the file, the [image] button lets you access the folder containing these files.


About Click Print

The Click Print feature displays a full screen of small preview pictures (label icons), each representing one of the label formats in the directory; the name of the label file also appears with each picture.

The purpose of Click Print is to provide quick access to printing labels. Clicking the Print button displays the Printing dialog box for the selected label.

You can filter the results by using the edit box and the Filter button, you can customize the number of labels displayed...

To access Click Print

  1. From the Windows Start menu, select Programs and locate the label design software's program group.

  2. From the program group, select Click Print.

The Click Print dialog box appears, displaying a label icon for each label file in the directory.


Assigning or modifying a shortcut key command

  1. Choose Display > Toolbar > Customize > Keyboard tab.

  2. Select an element from the Category list.

  3. Select an element from the Command list. All shortcut keys currently assigned to this element are displayed in the Current Keys field.

  4. To create a new shortcut key command, in the New Shortcut Key field, press the key combination for the shortcut to be assigned.

  5. In the Current Keys field, check whether the key combination is already assigned to a command. If it is, select another key combination.

  6. Click Assign.

Deleting a shortcut key command

  1. Select an element from the Category list.

  2. Select an element from the Command list.

  3. In the Assigned shortcuts field, select the shortcut key command you want to delete.

  4. Click Remove.

Note: You can cancel all customized shortcut key assignments and reinitialize the predefined default assignments by clicking Reset All.


Adding a data source to a paragraph

  1. Select the text and click on the place where you want to insert the variable.

  2. In the context menu, select Object properties.

  3. In the object configuration dialog box, click on the Data source tab

  4. Select the data source variable.

  5. Click on OK.

- or -

  1. In the Data Sources view, select a data source.

  2. Select the data source variable.

  3. Drag and drop the variable to the required place in the text.


Add/Delete FTP sites dialog box

Command: File > Import > From FTP... > Add/Modify

This dialog box is used to add, change, or delete an FTP address.

Name of the FTP site
Used to enter the name of the server or IP address.

Opening a session
Used to define connection parameters.

Add
Used to add the new site to the list of available addresses.

Delete
Used to delete the site from the list of addresses.

What do you want to do?

Adding an FTP connection


Chinese Sensible Code options

Security level
Four levels of Reed-Solomon error correction and their error correction abilities of symbol code words are available:
L1 8%
L2 15%
L3 23%
L4 30%

Element width (dots)
Allows the width of a code cell to be set.

StartMode
Chinese-sensible Code has mode indicators which are used to define categories of the input data encoding data. The modes of Chinese-sensible Code defined below are based on the character values and assignments associated with the default ECI (Extended Channel Interpretation).

Mode | Description
Auto | The mode is automatically detected.
Numeric | Encodes data from 0 to 9.
Text | Encodes data from common symbols in ISO 8859-1. The Text mode is divided into two sub-modes: Text1 and Text2. The encoding range of Text 1 is capital letters (A-Z), lowercase letters (a-z), and 10 numeric digits (0-9). The encoding range of Text 2 is the rest symbols.
Binary byte | Encodes binary data in any form and encodes them in their binary byte.
Common Chinese Character Area 1 | Includes characters whose first byte value is in range B0HEX to D7HEX and second byte value is in the range A1HEX to FEHEX (3760 characters), and characters whose first byte value is in the range A1HEX to A3HEX, and second byte value is in the range A1HEX to FEHEX (282 characters), and characters whose bytes value is in A8A1HEX-A8C0HEX (32 characters). Common Chinese Characters in region one are 4074 in total.
Common Chinese Character Area 2 | Includes character whose first byte value is in the range D8HEX to F7HEX and second byte value is in the range A1HEX to FEHEX. Common Chinese Characters in region two are 3008 in total.
GB18030 2 byte area | Encodes data from all characters in GB18030 double-byte region, that is, Chinese characters whose first byte value is in the range 81HEX to FEHEX and second byte value is in the range 40HEX to 7EHEX or 80HEX to FEHEX. GB18030 2-byte region has 23940 Chinese characters in total.
GB18030 4 byte area | Encodes data from all characters in GB18030 four-byte Region, that is, characters whose first byte value is in the range 81HEX to FEHEX, and second byte value is in the range 30HEX to 39HEX , and third byte value is in the range 81HEX to FEHEX, and fourth byte value is in the range 30HEX to 39HEX. GB18030 4-byte region has 1587600 characters in total.
ECI | Indicates the encoding data is interpreted according to ECI protocol.

Data
Allows you to enter the value of the code.

How to format the data
Once you have selected a startmode and entered a value, you can add other data in different modes. There are marks for all encoding modes (except ''AUTO''):

Mode | Marks
Numeric | {n}
Text | {t}
Binary byte | {b}
Common Chinese Character Area 1 | {ca1}
Common Chinese Character Area 2 | {ca2}
GB18030 2 byte area | {gb2}
GB18030 4 byte area | {gb4}
ECI | {eci}

Special Symbols
Text and Binary byte modes allow you to input Non-Printable symbols using marks. There are marks for Non-Printable symbols in Text mode:

Character name | Value | Mark | Character name | Value | Mark
NUL | 0 | {NUL} | SI | 15 | {SI}
SOH | 1 | {SOH} | DLE | 16 | {DLE}
STX | 2 | {STX} | DC1 | 17 | {DC1}
ETX | 3 | {ETX} | DC2 | 18 | {DC2}
EOT | 4 | {EOT} | DC3 | 19 | {DC3}
ENQ | 5 | {ENQ} | DC4 | 20 | {DC4}
ACK | 6 | {ACK} | NAK | 21 | {NAK}
BEL | 7 | {BEL} | SYN | 22 | {SYN}
BS | 8 | {BS} | ETB | 23 | {ETB}
HT | 9 | {HT} | CAN | 24 | {CAN}
LF | 10 | {LF} | EM | 25 | {EM}
VT | 11 | {VT} | SUB | 26 | {SUB}
FF | 12 | {FF} | ESC | 27 | {ESC}
CR | 13 | {CR} | DEL | 127 | {DEL}
SO | 14 | {SO} |  |  |

There are marks for Non-Printable symbols in Binary byte mode:

Character name | Value | Mark | Character name | Value | Mark
NUL | 0 | {NUL} | DC1 | 17 | {DC1}
SOH | 1 | {SOH} | DC2 | 18 | {DC2}
STX | 2 | {STX} | DC3 | 19 | {DC3}
ETX | 3 | {ETX} | DC4 | 20 | {DC4}
EOT | 4 | {EOT} | NAK | 21 | {NAK}
ENQ | 5 | {ENQ} | SYN | 22 | {SYN}
ACK | 6 | {ACK} | ETB | 23 | {ETB}
BEL | 7 | {BEL} | CAN | 24 | {CAN}
BS | 8 | {BS} | EM | 25 | {EM}
HT | 9 | {HT} | SUB | 26 | {SUB}
LF | 10 | {LF} | ESC | 27 | {ESC}
VT | 11 | {VT} | FS | 28 | {FS}
FF | 12 | {FF} | GS | 29 | {GS}
CR | 13 | {CR} | RS | 30 | {RS}
SO | 14 | {SO} | US | 31 | {US}
SI | 15 | {SI} | DEL | 127 | {DEL}
DLE | 16 | {DLE} |  |  |

Example:

Start mode: Numeric Data
Data: ''123586{t}Chinese-Sensible Code{STX} {n}12558887{b}!A<F{NUL}{SI}{EM}{NUL}{ca1}陛鬥乾釪{gb2} 傋傌傒兟噅{eci:9}123456789''
Encoding:
1. 123586 - Encoded in Numeric mode.
2. Chinese-Sensible Code{STX} - Encoded in Text mode.
3. 12558887 - Encoded in Numeric mode.
4. !A<F{NUL}{SI}{EM}{NUL} - Encoded in Binary Byte mode.
5. 陛鬥乾釪 - Encoded in Common Chinese Character Area 1 mode.
6. 傋傌傒兟噅 - Encoded in GB-18030 2 byte area mode.
7. 123456789 - Encoded in ECI mode (9 - assignment value).

Note: There are two types of ECI mode marks. First one ''{eci}'' means ECI by default will be used and the second ''{eci:N}'' means that ECI with assignment value equal to N will be used.
HEX values are used to enter characters in GB18030 4 byte mode.
For example, if you want to encode symbol with value 0x81308231, next data should be entered ''{gb4}81308231''.


binary coding

A number is coded in 32 bits, giving a value between 0 and 4,294,967,295.


Control tab

This tab allows to define settings for the OCX control.

Text
Used to enter or modify the contents of the selected OCX control.

Datasource
Lets you select the type of data source required, using the Data source drop-down list.

OCX Base control
Lets you select an OCX component using the drop-down list to integrate it in the OCX field.

Property for the data source
Lets you select the OCX control property that will receive the Text or the Data source in your labelling software.
For example, this will allow you to link a variable to a property.

Method called when the control is updated
Lets you select the method called when the control needs to be updated.

Vector rendering
Allow you to improve display quality.

Resolution

  • Horizontal (dpi): changes the selected pattern resolution for the horizontal axis.

  • Vertical (dpi): change the selected pattern resolution for the vertical axis.


Creating a list of values

A list of suggested values simplifies data entry by displaying a list of values for a value. When you have selected a list of values for a Form variable, the list is displayed in the Form during data entry. Simply select the correct value.

To create a list of values

  1. In the Data Sources tab, click on Form, then choose Add in the context menu.

  2. Select the created variable, then choose Variable properties... in the context menu.

  3. Click on the Form tab and, in the Pick list, select the Local option.

  4. Click on the [image] button to create a list of values.

The Pick list dialog box is displayed.

  5. Enable the Shared option if you want to use this list for other variables. Enter a name in the List name box.

  6. Click on [image] and type a value to be added to the list.


Creating a Color field

Command: Click on the objects creation toolbar button > Color Field > Select the color definition file

See the Color Field tab

See the Color Definition tab


Creating a List field

Command: Click on the objects creation toolbar button > List Field

See the List Field tab.

See the List Field Columns tab.


To display the barcode's human readable

  1. In the Barcode dialog box, click the Human readable button.

  2. Select the Position.

If you have chosen the Free position, the alignment options are not activated.

  3. Select the alignment type.

  4. If necessary, enter a value in the Distance from the bars box.

  5. Click OK.

Note: If the barcode is printable, the Generated by the printer and Include the check character options are activated by default.

Hint You can also modify the display of the human readable row directly by clicking the [image] [image] [image] [image] buttons on the Object formatting toolbar.

What do you want to do?

Change a fixed barcode into a variable barcode


To show or hide the ToolTips

If you are not sure of the function of a specific button on the toolbar, let the cursor stay over the button to display its name.

  1. Choose View > Toolbars > Customize.

  2. Click the Toolbars tab.

  3. Check or uncheck the Show Text labels box.


Add a printer

  1. Click File > Select printer.

You can also click the [image] button or press F5.

  2. Click Add....

  3. In the Model list, select a family then a model of printer.

  4. Select the communication port (serial, parallel or file), then click OK.

Note: Click the plus sign (+) next to the printer family to display the different models.


Adding a network printer

Add a network printer

  1. Click File > Select printer.

You can also click the [image] button or press F5.

  2. Click Add....

  3. In the Model list, select a family, then a model of printer.

  4. Click Network printers...

The Browse for Printer dialog box is displayed.

  5. Select the printer, then click OK.

  6. Click OK.

Note: Click the plus sign (+) next to an element to display more selections.

Note: This button is disabled if the software has not been launched using '' Run as administrator'' option.


Fitting text to the frame

  1. Select the text object.

  2. Right-click the object, then choose Properties in the context menu.

- or -

Click the [image] button.

- or -

Click Object > Text (allows default properties to be defined).

  3. Check the Fit text to frame box in the Paragraphs tab, and confirm.

The text frame is displayed with handles that allow the size of the text to be increased or reduced to fit the frame. The size of the characters is automatically adjusted to the new frame size.


To align objects

  1. Select the objects to be aligned.

  2. Click the [image] alignment button.

- or -

Click on Object > Alignment.

Click on | To
 | Align to the left edge of the last object selected
 | Align to the vertical center of the last object selected
 | Align to the right edge of the last object selected
 | Align to the bottom edge of the last object selected
 | Align to the horizontal center of the last object selected
 | Align to the top edge of the last object selected
 | Align to the horizontal center of the document
 | align to the vertical center of the document

Note: Objects are aligned to the last object selected. If you have selected several objects using a virtual frame, in order to specify which one the others will be aligned to, click the object while pressing the CTRL key.


Argument

Values used by a function to carry out operations or calculations. The argument used in a function can be numeric, a string of characters, or a variable.


Self-checking

A symbol is said to be self-checking when a simple printing error will not lead to a reading error.

If a problem occurs when the code is read, it is not validated.


Anchored toolbar

Toolbar attached to an edge of the program window. You can anchor a toolbar under the program title bar or to the left, right, or bottom edge of the program window.


Floating toolbar

Toolbar that is not attached to the edge of the program window. You can modify the shape of a floating toolbar.


Bidirectional

A symbol is bidirectional when it can be read both from left to right and from right to left.


Start and stop characters

A start character is a particular combination of bars and spaces that tells the reader where the symbol starts.

A stop character is another combination that marks the end of the coded message. It can also be used to indicate the scanning direction of the code.


Check character or number (check digit)

the check character(s) allow the reader to verify that the data is valid. The character is the result of a mathematical combination of the other characters in the coded message and falls in a predetermined location within the symbol.


Special Code 128 characters

Certain Code 128 characters are not represented by keyboard characters. The following list gives their replacement sequences.

@1 or {FNC1}: FNC1
@2 or {FNC2}: FNC2
@3 or {FNC3}: FNC3
@4 or {FNC4}: FNC4
@@ : @
@S or {Shift}: Shift
@D or {DEL}: DEL
@A or {CODE A}: START A
@B or {CODE B}: START B
@C or {CODE C}: START C
@K: Modulo 10 on the 17 previous characters. Check Digit used for SSCC in UCC/EAN-128.
@L: Modulo 24 used by PSA.

Examples:
@B1234@1XXX represents 1234(FNC1)XXX in set B.
1234@@XYZ represents 1234@XYZ in set B.


To change a password

  1. Choose Tools > Set password.

  2. Enter you current password.

  3. Click on Change.

The Password dialog box changes, and two new boxes appear: the Current password displaying your current password, and the New password zone.

  4. Enter a new password in the New password box.

  5. Click OK.

Note: If you use the User Manager module, all functions related to the password are prohibited.


Sorting the selected records

Data analysis is easier once records are sorted. You can specify either an ascending or a descending sort order.

After you select the data source and the necessary information in the Database tab of the ODBC Query Definition dialog box, click the Sort button.

  1. Select the sort order.

  2. Select the field you want to define as the sort key.

The selected field is highlighted with a key number on the left.

Notes: Only fields selected in the Database tab can be sorted.
To remove the sort key, select the field defined as sort key again.

What do you want to do?

Create an ODBC query


Codablock options

Ratio
This box, only available for Codablock A, allows the width ratio of the narrow and wide bars to be adjusted. This value must be between 2 and 3.5.

Element height
Allows the height of a code cell to be set.

Element width
Allows the width of a code cell to be set.

Build mode
Allows the build mode of the barcode to be set, and the size of the symbol generated to be adjusted.

Two build modes are possible for PDF417:

  • Automatic sizing: the number of rows and columns is calculated automatically.

  • Fixed size: the number of rows and the number of columns can be fixed together or separately.

Note: If the number of rows or columns is left at zero, it will be set automatically.


Continuous

A code is said to be continuous when the spaces between the bars do not act as separators, but are part of the actual codification of the message.


To copy and move objects between different documents

You can copy or move objects between the documents that are open.

To move an object to another document

  • Select the object and drag and drop it inside the other document.

To copy an object to another document

  1. Select the object.

  2. Press the CTRL key while holding the mouse button down.

  3. Drag the object to the required place inside the other document.


To cut, copy, paste or duplicate an object

Select the object and:

To | Choose
Cut an object | Edit > Cut or click the [image] button, or press CTRL+X.
Paste an object | Edit > Paste or click the [image] button or press CTRL+V.
Copy an object | Edit > Copy or click the [image] button or press CTRL+C.
Duplicate an object | Edit > Duplicate or press CTRL+D.

Note: To delete objects permanently, press the DELETE button.

Hint: You can also access these commands via the context menu.


Creating Data sources

Data sources allow you to utilize data external to the application, calculated data, your computer's date system, etc. The values associated with these variables are supplied by different data sources. To create these data sources, use the Data Sources view or the Data source menu.

These data sources allow you to create variable objects such as variable text, variable barcodes, etc.

What would you like to do?

Creating a data source

Create variable objects


Creating a 2D code

  1. Click the Barcode generation tool

  2. Click inside the workspace.

  3. From the Code tab, select the 2D code.

  4. Click the Options button and complete the various fields.

  5. Enter the data to be coded in the Data box.

  6. Click OK.

What do you want to do?

Display the barcode's human readable

Change a fixed barcode into a variable barcode

Create a variable barcode object


To create a password

  1. Choose Tools > Set password.

  2. Enter your password in the New password box.

  3. Click OK.

As you enter a password, an asterisk (*) is displayed for each character entered.

Note: In order to activate the password, you must restart the application.

Warning! Passwords are case sensitive.

Note: If you use the User Manager module, all functions related to the password are prohibited.


Database Manager

Command: Tools > Database Manager

Database Manager is displayed as a program within the program. Its simplicity and performance make it a friendly and powerful tool, allowing data management and import the file variables.

Database Manager supports the basic AccessTM, dBase and Paradox formats.

  • To select it, choose the command Database Manager command from the Tools menu, or click the [image] button.

The main window of the Database Manager module is displayed on the screen.

Note: Database Manager automatically opens the last database used.


Data Matrix options

ECC - Security level
By adding supplementary data, the five levels of security, based on convolution technology, allow the original message to be recovered if information is lost during the reading of the code.

Element width
Allows the width of a code cell to be set.

Character set
Allows a data codification format to be selected. Each format defines a character set, a data compression ratio as well as an input mask for the messages to be encoded.

Space correction (width and height)
Allows you to correct the horizontal and/or vertical barcode distortion caused by the ink diffusion of certain printers.

Construction mode
Allows the build mode of a barcode to be defined, and the size of the symbol generated to be adjusted.

Three build modes are possible with Data Matrix:

  • Automatic sizing: The basic element determines the size of each cell. The number of rows and columns is calculated automatically.

Note: For the security levels ECC 000 to ECC 140, the number of rows and columns will be odd. For the ECC 200 security level, the number of rows and columns will be even.

  • Set size: The basic element determines the size of each cell. The number of rows and the number of columns can be fixed together or separately.

  • Automatic density: Allows the user to specify the actual dimensions of the code. The density of the matrix will be determined automatically by the amount of data to be encoded. The value of the element will have no effect on the size of the matrix.

Note: If the number of rows or columns is left at zero, it will be determined automatically.
These three build modes depend on the printer.

For the security levels ECC 000 to ECC 140, the values indicated must be odd and equal.

For the ECC 200 security level, the values indicated must be even. They can be different insofar as the ECC 200 security level authorizes a certain number of rectangular formats for the building of a matrix.

Authorized rectangular formats:

Line | Column | Maximum number of characters (numeric) | Maximum number of characters (alphanumeric)
8 | 18 | 10 | 6
8 | 32 | 20 | 13
12 | 26 | 32 | 22
12 | 36 | 44 | 31
16 | 36 | 64 | 46
16 | 48 | 98 | 72

Encoding mode
Specifies how the input data should be interpreted. Data is always passed as UNICODE characters. By default, the input data is converted to the selected Code Page but you can choose Convert to code page.

Code page
The code page is related to the property Encoding Mode. It is only considered if the encoding mode is set to Convert to Code Page. You can choose among several pre-defined code pages (e.g. ANSI, ISO 8559-1 Latin I, UTF-8, Shift-JIS) or add the ID of a custom code page.

What do you want to do?

Consult the special input syntax


Defining search conditions

In the Table lookup dialog box, having selected the ODBC data source, the table and the result field, proceed in the following way:

  1. In the Key fields column, select the fields of the external table the search will be carried out on.

  2. In the Key value column, select the variables of the current document containing the search values.

Notes:
The variable containing the search value must be created before creating the variable that will utilize this search value.
When several table records meet the condition, the first one encountered will be displayed.

What do you want to do?

Defining the properties of a Table lookup variable

Installing ODBC data sources


Defining field and record separators

  1. In the Describer dialog box, click on Options to define the field and record separators and the character set.

The Options dialog box is displayed.

  2. Enter the ASCII file field separator in the Field separator box.

- or -

Click on the Tab button if the field separator is a tab.

  3. Enter the record separator in the Record separator box.

- or -

According to the type of separator, click on Carriage return or Form feed.

  4. Click OK.

Note: By default, the field separator is a comma, the record separator is carriage return and the character set is full ASCII.


To move or delete buttons

  1. Display the toolbar to be modified.

  2. Hold down the ALT key and drag the button outside the toolbar, or to another location.

Note: When you delete a predefined button, it will still be available in the Customize dialog box.


Moving one or more objects

With the mouse

  1. Click the Select Objects [image] tool.

  2. Select an object or group of objects.

  3. While holding the left mouse button down, drag the object(s) to the required location.

The graduated rulers allow you to position objects precisely.

With the keyboard

  1. Click the Select Objects [image] tool.

  2. Select an object or group of objects.

  3. Using the keyboard arrows, drag the object(s) to the required location.

With the Document Browser tab

  1. Click the object to be moved in the Objects view.

The X and Y coordinates defining the horizontal and vertical position of the object appear.

  2. Double-click one of the coordinates, then enter the new coordinate of the object.

The object automatically changes position on the screen.

With the Properties dialog box

  1. Click the Select Objects [image] tool.

  2. Select an object or group of objects, then click the right mouse button.

  3. Choose Properties...

  4. Click the General tab.

  5. Enter the X and Y coordinates of the object in the Position group.

  6. Click one of the nine Anchor points.

  7. Click OK.

Note: A group of objects is positioned according to the point of origin of the last object selected. If you have selected them using the virtual frame method, to specify the reference object for the location, click on it while pressing the ALT key.


Moving a toolbar

  1. Click on the [image] move handle of an anchored toolbar or on the title bar of a floating toolbar.

  2. Drag the toolbar to its new location.

Note: If you drag a floating toolbar to the edge of the program window, it becomes an anchored toolbar.


Discrete

In order to detect the elements of a code and to evaluate its size, certain symbols, called discrete, include spaces between the characters of the message.


Adjusting variable image settings

  1. Select the image you want to modify.

  2. Right-click the object, then choose Properties in the context menu.

The Image dialog box is displayed.

  3. In the Data source tab, select the desired options (source file, default format, etc.).


Removing a printer

  1. Click File > Select printer.

You can also click the [image] button or press F5.

  2. Select the printer in the list.

  3. Click Remove.

A message is displayed asking you to confirm that you want to remove the printer.

  4. Click OK.

Note: The current printer cannot be removed from the list. You cannot remove Windows printers.


ASCII file

File containing values separated by commas, tabs, semicolons or other characters.


Importing a label format

  1. Using the Printer dialog box, select the model of printer closest to the one the label to be converted was created for.

  2. Choose File > Import.

  3. Select the required file format from the File type list box.

  4. Select the command file to be converted, then click on OK.

According to the type of source printer, the Source printer dialog box may appear on the screen.

  5. From this list, select the model of printer closest to the one the document was created for, then click on OK.

  6. Enter the missing label format dimensions, then click on OK.

The label is displayed on the screen.

  7. Save the label in the labelling software format.

Notes:
Certain printer languages do not supply label format dimensions. In this case, a dialog box is displayed on the screen allowing the label dimensions to be entered.
This change of printer may have an effect on the page setup. You must adjust these values in the Page setup dialog box from the File menu. Messages will help you to readjust the dimensions.


Printing

Printing is launched in the Print dialog box

  • To access the Print dialog box, click the [image] button.

- or -

Choose File > Print.

- or -

Press F6.


Installing ODBC data sources

  1. Choose Tools Administrator > ODBC

The Microsoft ODBC Data Source Administrator dialog box is displayed. This allows you to add, delete, or configure data sources.

  2. Select the data source.

  3. Click Add.

  4. Select the ODBC driver corresponding to the types of data you will be using.

  5. Click OK.

Note: If you have the ODBC Data Source Administrator available, you can access the above dialog box by double-clicking the ODBC icon in the Settings panel.


To enter a password

  1. Choose File > Enter password.

  2. Enter your password.

  3. Click OK.

Note: If you use the User Manager module, all functions related to the password are prohibited.


Character set

This is the group of characters used by a symbol to code the messages. Certain barcodes can use different character sets at different times.


The Navigation bar

When you open an ODBC, OLEDB or ASCII data source, the navigation bar is displayed.

These buttons allow you to move around inside the database.

To navigate within a database

Click | To
 | Create or modify an ODBC query.
 | Execute an ODBC query.
 | Display the data from the query.
 | Display the first record in the database.
 | Display the previous record.
 | Display the next record.
 | Display the last record in the database.
 | Find and display a record.
 | Print the result.

Note: The Navigation bar disappears from the screen automatically when you close the database.


The Object toolbar

The Object toolbar is made up of:

The Object name box allows you to identify and rename the selected object.

The Properties [image] button provides direct access to the properties of the selected object.

Note: the application gives a default name to each new object created. This name is in English and includes a sequential number.

The Delete button [image] lets you delete the object selected.

The Object order button [image] lets you define the order of objects in your document.

The [image] button lets you define whether the selected object may be printed. This button is selected by default.

The [image] button lets you lock or unlock the selected object.


Add printer dialog box

Command: File > Select printer > Add

The Add printer dialog box allows you to add a printer.

Model
Contains the list of all printers available with the software.

Port
Allows you to select the communication port.

Direct access
Transfers control over the port to the software. Allows the software to manage the port, providing faster data transfer and closer control of the printer.

Network printers
Allows you to select a network printer.

TCP/IP
Allows you to select a network printer using its TCP/IP address.
TCP/IP address: enter the printer's TCP/IP address.
Port number: enter the printer's port number.

What do you want to do?

Add a printer

Add a network printer


ASCII database dialog box

Command: Data source > Database > Open an ASCII table

Allows you to select a data file and to create or select a corresponding describer file.

Data file
Allows the name of the data file to be entered or selected. Data files carry the .txt extension.

Describer
Allows the name of a describer file to be entered or selected. Describer files carry the .dsc extension.

What do you want to do?

To create a describer file

To modify a describer file

Using an existing describer file


Barcode dialog box

Allows you to define the options specific to the following 2D barcodes

  • Aztec Code and Aztek Mesa

  • Codablock

  • Chinese sensible code

  • Datamatrix

  • MicroPDF417

  • PDF417

  • QRCode

  • TLC 39

  • UPS Maxicode

  • RSS

  • Composite

Allows the characteristics of the barcode human readable to be defined.

Generated by the printer
When this option is activated, the human readable is generated by the printer. If not, the human readable will be generated by the software. This permits maximum freedom of choice of human readable attributes, but slows up printing.

Note: if you have chosen a graphic barcode, the human readable will be generated by the software anyway. On the other hand, if you have chosen a barcode resident on the printer, you still have the option of generating a human readable using the software.

Include a check character
Allows a check character to be added to the human readable.

Extended descenders
Used to extend separators to the human readable row. This option only applies to UPC and EAN barcodes.

Position
Allows the position of the human readable in relation to the barcode to be chosen. The Free option dissociates the human readable from the code, and allows it to be placed anywhere in the document.

Alignment
Allows the human readable to be aligned horizontally in relation to the symbol.

Distance from the bars
Allows the space between the code and its human readable to be fixed.

Output mask
This option is used to format the human readable element as you want it displayed.

Data Format | Output mask | Display
012345678 | ***-**-**** | 012-34-5678
2125551212 | (***) ***-**** | (212) 555-1212
ABCDEFGHIJK | **** | ABCD

What do you want to do?

Display the barcode's human readable

Barcode dialog box

Command: | Double click a bar code object.
 | - or-
 | Select a bar code object from the Object list in the toolbar > Click [image] to display the properties dialog box.

Allows you to define the default barcode properties.

Code tab
Allows you to select the symbology and its characteristics.

Symbology
Displays all the codifications available on the printer or in the software, depending on the option chosen.

  • Printer
    Displays the list of barcodes resident on the printer.

  • Graphic
    Displays the list of codes synthesized by the software.

Note: Certain printers do not have resident barcodes. The Graphic option allows barcodes to be printed on these printers, despite this. This has the disadvantage of slowing printing down as barcodes are sent to the printer in the form of graphics.

Value
Allows you to enter the value of the code. The box to the right of the Value box states the check character, if one exists.

The properties group

  • Height
    Allows the barcode height to be defined

  • Check character
    Allows the barcode check mode to be selected. Depending on the code you have selected, different options are offered.

  • Narrow bar (point size)
    Used to define the width of the barcode lines

Note: The narrow bar width is entered as a number of printer points. Underneath the box, the software displays the corresponding dimension in the current unit and cpi (characters per inch).

  • Ratio
    Allows the ratio of narrow bars to wide bars to be adjusted. This value must be between 2 and 3.5.

  • Space correction
    Allows the distortion of barcodes caused by the ink distribution of certain printers (dot-matrix or inkjet) to be corrected.

Bars
Allows to define the bars color.

Back
Allows to define the background barcode color.

Options

Human readable


Paste Special dialog box

Command: Edit > Paste Special

Allows you to insert existing information and paste it into the current document. You can also create links with different types of information and automatically update this information.

Source
Displays the name of the source data and its location. If you have copied data from an application that has not provided the source data and its location in the clipboard, the source is listed as Unknown.

Pasting
Inserts or embeds the content of the clipboard, applying the format selected in the Listed as zone. This option pastes or embeds the content of the clipboard without creating a link.

Paste the link
Inserts the contents of the clipboard and creates a link with the source file. This option is available only if the clipboard contains information from an application that will accept the link.

As
Displays the type of information to be pasted from the clipboard.

Display as icon
Displays the linked or embedded object as an icon.


Table lookup data source dialog box

Command: Data source > Table lookup > Add
See all options for Create a data source

Used to define the properties of a Table lookup data source.

Table lookup tab

Used to determine the data source's characteristics. It allows the data source, the table and the search and output fields to be selected, and the search conditions to be defined.

A database must be associated with an appropriate driver and ODBC or OLEDB data source.

Name
Used to define the variable's name.

Select a data source
Used to select an ODBC or OLEDB data source from the list of already created data sources.

If the required data source is not shown in the Select a data source list, the New button provides access to the ODBC Data Source Administrator if you selected ODBC as the data source type, or to the OLEDB Administration dialog box if you selected OLEDB as the data source type.

Standard creation mode
This option lets you view or edit your table search using the search table.

SQL mode
This option lets you view or edit your SQL mode table search.

SQL Query Builder
Accesses Query Builder. This provides an easy-to-use interface for building SQL database queries. You can create new requests or represent existing requests graphically in your applications.

Select table
Allows the table containing the data to be searched for to be selected.

Select result field
Allows the field to be selected, the value of which will be transferred after the search within your Search variable.

The search table
Allows the search conditions in a selected table to be determined.

Key field
Used to select the fields of the external table in which the search will be carried out.

Key value (data source)
Used to select the current document variables containing the search values.

Use format value as key value
Allows the variable value with its formatting (suffix, prefix, etc.) to be used as the key value.

Test Button
Lets you view the search result.

Note: The data source containing the search value must be created before creating the search data source that will use this value.
If several table records fulfill the condition, the first one encountered will be displayed.

Output tab

Counter tab

What do you want to do?

Creating a data source

Defining the properties of a Table lookup data source


Counter tab

Command: Data source > Counter > Add
See all options for Create a data source.

Allows the characteristics and the type of counter to be defined. A counter advances from one label to the next during printing, according to an initial value and an increment.

Name
Used to define the variable's name.

Counter
Used to assign a Counter attribute to the variable.

Note: The above option is not displayed while creating a Counter variable.

Shared
Used to create or use a Shared value.

ISO counter
Allows each label copy to be individually and exhaustively counted.

For example, if you print four labels, three copies of each one, the ISO counter will count 12 printed labels.

Type
Offers a list of six counting bases, plus an option that allows you to customize the calculation base.

  • Alphabetical: base 26 calculation (A to Z)

  • Alphanumeric: base 36 calculation (0 to 9 and A to Z)

  • Binary: base 2 calculation

  • Decimal: base 10 calculation (default)

  • Hexadecimal: base 16 calculation

  • Octal: base 8 calculation

  • Custom: base chosen by the user. When you choose this option, a box entitled Customized sequence is displayed. It allows you to enter the different elements constituting your calculation base. The length of the entry string is limited to 127 characters. The program is thus able to calculate an increment in any base.

Note: In the Customized sequence zone, the various elements must be entered without separators or spaces.

Value in decimal base
Allows the system to convert types in decimal base.
When this option is checked, values are in decimal format.
When this option is unchecked, values are in the same format as that of the counter selected.

Current value
This zone, available only for counter variables, allows the counter start value to be entered. The start value is the value printed on the first label. For counter variables, this value is established when the variable characteristics are determined.
This zone also allows the counter value to be checked at a given time.

Increment
Allows the increment value to be entered, which can be either positive or negative. The default value is +1.

Min Value and Max Value
Allows a counter start value and limit value to be set. The counter resets to the start value each time the limit value is reached.

Note: To optimize printing speed, we recommend keeping the confines of your printer in mind when setting counter limits.

Increment after group
Allows the event that triggers the counter increment to be determined. Two possibilities are offered:

  • Having printed n labels: Allows a constant value to be determined, indicating the number of labels to be printed between increments.

  • Each reset of: When this option is selected, the counter increment takes place after another counter is reset. A list allows you to choose from the previously defined variables that have the counter attribute. This function allows several counters to be cascaded and to carry out complex counting.

Note: These tabs are shared with other variables. However, certain options do not appear, depending on the variable.

Reset after data source value change
Allows the counter to be reset at the end of a regular cycle (for example, monthly or weekly).

Output tab


Date data source dialog box

Command: Data source > Date > Add
See all options for Create a data source.

Allows the properties of the Date data sources to be defined.

Date tab

Allows the date and time format to be defined.

Name
Used to define the variable's name.

Date type

  • Software date
    Uses your system's clock. Your documents will contain the time they were created at.

  • Printer date
    Uses your printer's internal clock, rather than your system's clock. Your documents will contain the time they are actually printed. Note that certain formatting options available for the system clock may no longer appear if you use your printer's internal clock.

  • Printer date if possible
    Uses one of the previous mode, depending on printer capabilities: if the printer supports the selected date format, Printer date type will be used. In this case, Native date format check box will be checked. Otherwise, Software date type will be used.

List of date formats
Contains various date formats and lets you select a date format.

If you choose the <Customized> format, a text field is displayed. You can enter a custom the date format in this field.

The apostrophe is a literal text delimiter.
You can write: 'Today is: 'dd/mm/yy

Double apostrophe inside the literal string encodes a single apostrophe.

Samples:

'dd/mm/yy | dd/mm/yy | Invalid. The closing delimiter is missing.
''dd/mm/yy | 23/05/08 | Empty literal text
'''dd/mm/yy | 'dd/mm/yy | Invalid. The closing delimiter is missing.
''''dd/mm/yy | '23/05/08 | Valid. The literal text consists of the apostrophe.
'Date:'dd/mm/yy | Date:23/05/08 | Valid

If the settings are enabled according to the printer option in the Options tab, the drop-down list displays the available formats for the selected printer.

Preview
Displays the date according to the specified format.

Options tab


Formula data source dialog box

Command: Data source > Formula > Add
See all options for Create a data source

Allows the expression defining the data source to be constructed, and its display properties to be defined.

Formula tab

Allows the expression defining the variable to be constructed. You can follow its construction and modify it in the Formula edit box.

Name
Used to define the variable's name.

Formula edit box
This box can be used in different ways:

  • Direct data entry allows the elements of the formula to be entered directly using the keyboard.

  • using the mouse, formula elements can be selected from the provided lists, or from the on-screen numeric keypad.

Note: When entering any string of characters, do not forget to enclose the string in quotation marks.

The two lists are dependent on each other. The first offers the constants, functions (divided into six categories), operators, and variables available in the program. Your choice from the first list defines the content of the second.

If you select, for example, the Conversion functions, the list of functions is displayed in the second list. The syntax of the selected function is displayed above the two lists. The corresponding elements are displayed in the second list.

Insert
Inserts the selected item into the formula.

Note: You can replace arguments with constants, functions, or variables. Arguments are always enclosed in quotation marks ("").

Functions are divided into six categories, but certain functions appear in several categories. The int function is displayed in the list of conversion functions as well as in mathematical functions.

You can also access a list of all the functions, arranged in alphabetical order, by choosing the Functions element in the first list.

Note: Formulas are evaluated from left to right, and there is an order of priority for operators. Operators are listed here, in descending order of priority: ^, *, /, %, +, -, &, !, =, >, <,>=, <=

Test
Allows the syntax to be checked while the formula is being created.

Note: Syntax is verified systematically when the formula is confirmed.

Undo / Redo
Undoes or redoes the last action performed.

Examples:

Formulas | Meanings
"123" & Number | Concatenation of the "123" string with the number variable.
Code & modulo10(Code) | Concatenation of the Code variable with its modulo 10.

The Output tab: refines the final formatting of the variable.

Counter tab: gives the variable a Counter attribute.


Query Definition dialog box

Command: Data source > Database > Create/Edit query
See all options for Create a data source.

Allows you to construct a query.

Allows you to reduce the number of results by creating joins or by using criteria and expressions. Criteria allow you to apply filters. You can display the results in the Query result grid. When you are sure that the group of results contains the required data, you can integrate the data into your document.

Database tab

Allows you to open the ODBC or OLEDB data source on which you want to work, as well as the tables and fields you want.

Select a data source
Used to select a data source from the list of already created data sources.

If the required data source is not shown in the Select a data source list, the button New provides access to the ODBC Data Source Administrator, OLE DB Administration or the Wizard dialog box. This allows you to add, remove, or configure a data source, as well as install new ODBC drivers or new OLEDB data links on your computer.

Standard creation mode
This option lets you view or edit your table search using the search table.

SQL mode
This option lets you view or edit you SQL mode table search.

SQL Query Builder
Accesses Query Builder. This provides an easy-to-use interface for building SQL database queries. You can create new requests or represent existing requests graphically in your applications.

Select the table
Used to select the table in the selected data source.

Elements
Display all the elements stored in the database like in ORACLE base view (Access table, synonym, System table, Table, and View).

Select fields
Allows table fields to be selected.

Allows the selected records to be sorted into alphabetical or numeric order, Ascending or Descending

Allows all fields to be selected.

Note: It is advisable to select only those fields used in the label, thus reducing the level of data exchange with the base and increasing processing time.

Allows all fields to be deselected.

Lets you view the result of the query in the Query result grid.

Include name of tables
Displays the table names in the fields list.

Note: This option is useful when you have several tables with the same field names.

Options tab

What do you want to do?

Running a query

Displaying the results of a query


Describer dialog box

Command: Data source > Database > Open an ASCII table > Click Edit

Used to create or modify a describer file.

New
Resets the number of fields to zero, allowing a new describer file to be created.

Open
Displays the Open dialog box to select an existing describer file.

Save
Allows the describer file to be saved.

Note: Describer file names have the default extension .dsc.

Hint: for greater ease of use, it is advisable to choose a name related to that of the data file.

Options
Allows the field and record separators to be defined, as well as the character set.

Preview
Displays the data in the first record of the base, allowing you to check that it corresponds to the fields.

Number of fields
Allows the number of fields that make up each record of the data file to be specified. The list of fields visible in each Field column is modified according to the number you have specified.

Field
Displays the fields.

Name
Allows you to enter a name for each field.

Note: If your ASCII file contains one or more fields in which the data concerns printing, such as number of labels to be printed, or a type of label to be loaded, you should use the software control variables.

Control variables
Allows a control variable to be assigned to one of the describer fields.

Note: The data file must not contain headers in the first row.

What do you want to do?

To create a describer file

To modify a describer file

Using an existing describer file


Image dialog box

Command: Double-click an Image object

Allows you to define the default properties of images.

Image settings tab

Stretch mode group
Offers three different options for sizing the image during import.

  • None
    Preserve the original size: imports the image keeping its original size. Everything outside the frame will be lost.

  • Stretch
    Adjust the size of the image: stretches the image, without respecting its original proportions, so that it fits exactly into the frame.

  • Zoom
    Proportionally adjust the size of the image: stretches the image while respecting its original proportions. In this case, part of the frame will remain empty.

Effects group

  • Brightness, contrast, and gamma
    Allows the brightness, contrast, and gamma of the image to be defined.

Note: This setting affects the color reduction process if a color image is converted for printing on a monochrome printer. With this setting, a little trial and error will allow you to obtain the best result.

  • Negative
    Allows you to print a negative version of the image.

Flip (vertical and horizontal)
Displays the image as if it were reflected in a mirror: vertically and/or horizontally.

The Image dialog box offers various color reduction tools and different color palettes.

Colors group

  • Color palettes
    Displays the available color palettes.

  • Reduction method
    Displays the available color reduction methods (Bayer, Burkes, Floyd - Steinberg, Grayscale and None).

Note: These lists are exhaustive. However, the palettes and reduction methods may vary according to the format of the graphics file.
If the image is monochrome after color reduction, you can easily redefine the two basic colors by using the color palette.

  • Stretching mode
    Displays the available stretching modes (Deletes the pixels, Halftone, Preserves black pixels, Preserves white pixels).

Filter
Filtering an image is done by altering, or convolving, the image by applying an n x n matrix of signed integers to every color channel (each RGB) of every pixel. Filters available are:

  • SHARPEN: Used to sharpen an image

  • EMBOSS: Used to create an embossed effect

  • BLUR: Used to blur an image

  • EDGEDETECT1: A type of edge detection

  • EDGEDETECT2: A second type of edge detection

  • VERTEDGE: Vertical edge detection

  • HORIZEDGE: Horizontal edge detection

  • DESPECKLE: Despeckle

  • LAPLACESHARP: Laplacian sharpening

  • None

General tab

Shape settings tab

Data source tab


Object insertion dialog box

Command: Object > Insert external object > Click on the workspace

Allows you to integrate and link objects that are external to the application.

Create new
Allows an embedded object to be created using one of the types listed.

Create from file
Allows an embedded object to be created from an existing file.

Object type
Displays the list of object types.

Display as icon
Displays the linked or embedded object as an icon.

Link (this option is available when the option Create from file is selected)
Allows a connection to be maintained between the source file and the destination file. A linked object is not an integral part of the destination file.


Printing log file dialog box

Command: Tools > Log file

Allows you to define the name and contents of the printing log file.

File tab

Allows you to define the printing log file's filename, or to open an existing file. This text file represents the log file, and is not generated until printing starts.

On
Allows operations to be recorded in the printing log file.

Off
Deactivates the recording of operations in the printing log file.

Use document name as log file name
Allows you to use the same name for the document and the printing log file.

Name
Allows a filename to be entered, or an existing file to be selected.

Editor
Allows the data in the printing log file to be viewed and processed. It may be a text editor, table editor or other. By default, the editor program is Notepad.exe.

Click [image] to select a program.

Edit...
Displays the contents of the printing log file, using the selected editor.

Delete
Erases the contents of the printing log file.

Options tab

What do you want to do?

To generate a printing log file

Displaying a printing log file


Links dialog box

Command: Edit > Links

Allows you to control the updating of links. It can only be accessed when an external object is linked to the document. It lists the names, types, locations, and update parameters of linked source files.

Update now
Updates the selected links.

Open source
Opens the selected file in its source application, enabling you to modify it.

Modify the source
Modifies the source file of the selected link.

Break the link
Breaks the link between the source file and your document. Once a link is broken, its name no longer appears in the Links list. Links, and the corresponding data, are no longer updated when the source file is modified.

Automatic
Updates the selected link when you open the file that contains it, and each time the source data is modified.

Manual
Updates the selected link when you click Update now.


Page setup dialog box

Command: File > Page setup...

See the Stock tab.

See the Label tab.

See the Page tab.

See the Margins tab.

See the RFTag tab.

Used to create or modify formats and store various customized document templates.

The Page setup dialog box changes according to the type of printer selected (Windows, native or inkjet).

Each tab contains a preview window displaying the various modifications made.

They also contain a zone, situated at the bottom of the dialog box, for displaying error messages.

The Page setup dialog box:

For Windows TM or native printers

For inkjet printers


Password dialog box

Command: Tools > Set password

Allows you to create and change a password.

Current password
Displays the current password.

New password
Allows a new password to be entered.

Note: If you use the User Manager module, all functions related to the password are prohibited.

What do you want to do?

To create a password

To change a password

To delete a password

To enter a password


Password dialog box

Command: File > Enter password

Allows you to enter a password.

Enter your password
Allows your password to be entered.

Note: If you use the User Manager module, all functions related to the password are prohibited.


Options dialog box

Command: Tools > Options

The Options dialog box offers a number of environment options. It contains seven tabs.

Document tab

The Document tab is used to define the application's general parameters.

Load the printer settings saved in the document
When a document is loaded, this allows all the printer settings that were active when the document was last saved to be restored.

Load the printer saved in the document
Requires the software to load the associated printer driver and port when a document is opened.

Note: In order to use this option, the printer must appear in the list of available printers. If the printer is not found, the labeling software will try to load a similar printer if exist.

Open merge database with the document
Automatically opens the merge database associated with the document when it was last saved.

Do not display warning messages
Warning messages are not displayed.

Create a backup copy (.BAK)
Each time the document is saved, a copy in its pre-saved form is generated under the same filename, with the .BAK extension.

Open documents as 'read only' mode by default
When this option is selected, the Open as read only check box in the Open tab is activated by default. The document is loaded but it is impossible to save it under the same name. This option can be cancelled by the user in the Open dialog box.

Autosave document
Used to automatically save your document based on the frequency specified in the minutes field (select a number between 1 and 99). The document is saved with the .TMP extension.

Save the last variable values
Used to hold variable values in memory when a label is closed. This option is especially useful in runtime mode, given that this mode does not allow labels to be saved.

Display tab

Default folders tab

Grid tab

Printing tab

Others tab

Wizards tab

Product mode

What do you want to do?

Changing the interface language

Choose a unit of measurement

To change the dialog box display font

To modify the grid scale

Displaying an object while moving

Define a conversion rate


Describer file options dialog box

Command: Data source > Database > Open an ASCII table > Edit > Options

Allows field and record separators to be defined, as well as character sets.

Field separators
Allows you to specify the ASCII file field separator (usually "," or ";").

Tab
Inserts the tabulation character (\009) directly.

Record separator
Allows you to specify the ASCII file record separator (usually Return).

Carriage return and Form feed
Allow the separators to be entered directly.

Certain ASCII characters cannot be entered directly by the keyboard, or displayed on the screen: for example, Form feed. To enter these characters, the three-character ASCII value must be entered, preceded by "\".

Example:

Carriage return: \013
Form feed: \012

Character set
Mainly concerns special characters such as accented letters:

  • Full ASCII: character set used by most DOS applications.

  • ANSI: character set used by Windows TM applications.


Properties dialog box

Command: File > Properties

Displays information on the selected document. It allows you to enter document properties and keywords that will help you find documents.

General tab

Gives general information on the current document.

Type
Identifies the type of document.

Location
Displays the name of the drive and the folder where the document is stored.

Size
Size of the document.

MS-DOS name
Displays the name of the document in a format that can be used with applications running in MS-DOS.

Created
Displays the date and time the document was first saved on this computer.

Modified
Displays the date and time the document was last saved.

Accessed
Displays the date and time the document was last opened.

Effects
Displays the characteristics associated with the document; for example, whether it is read-only or archived.

Attributes
Displays the attributes associated with the document (Read only, Archive, Hidden and System).

Extended tab

Statistics tab

Summary tab


Text dialog box

Command: | Double-click a Text object
 | - or-
 | Select a text object in the Object toolbar list and click [image] .

Allows default text object properties to be defined.

General tab

Character tab

Paragraph tab

Shape settings tab

Data source tab

What do you want to do?

To modify text color

To modify text size

Fitting text to the frame

Substituting font


The Query result grid

To access the Query result grid, click the [image] button in the Defining a query dialog box, in the Merge database browser toolbar or via the Data source > Database menu.

This grid allows the result of a query to be displayed, or to search for a particular term and all its occurrences and print the corresponding labels.

The Query result grid contains:

  • Search functions

Search field, allowing the field in which the search will be carried out in to be entered.

Data to search for, allowing the value to be searched for to be entered.

Search for the value anywhere in the field or at the start of the field [image].

  • Navigation functions for browsing query result records

First record

Previous record

Next record

Last record

The results grid
Displays the occurrences of the query result.

Requery
Requery the request and update the grid.

What do you want to do?

Searching for a value in the records


Constants

A constant is a quantity that keeps the same value.

True Logical constant is equal to 1.
False Logical constant is equal to 0.
"" is an empty character string.
""string"" is a character string constant.


Local

The variable value is internal to the document. This is the standard mode of operation.


Display tab

Command: Tools > Options > Display

The Display tab allows you to select the display options, language, and unit of measurement.

Display the object while moving
Allows the whole object to be viewed as it is being moved on the screen. When this box is not checked, the moving object is displayed as an outline only.

Activate animations effects
If this option is checked, animation effect are activated.

Language
Displays all the interface languages available in the software.

Units
Allows you to choose the unit of measurement you want to work in (inches or millimeters).

Display font
Opens the Windows Font dialog box, allowing you to change the display font for the dialog box.

Document tab

Default folders tab

Grid tab

Printing tab

Others tab

Wizards tab

Product mode

What do you want to do?

Changing the interface language

Choose a unit of measurement

To change the dialog box display font

To modify the grid scale

Displaying an object while moving

Define a conversion rate


Others tab

Command: Tools > Options > Others

The Others tab allows certain parameters to be defined, such as conversion rate, shared files access timeout, and number of recently used files.

Settings mode
Used to define the manner in which the software settings are used.

  • Generic: The settings can be shared among multiple stations using the labeling software. If you would like to share these settings, a path accessible to the other users must be specified in User Configuration in the Default folders tab.

  • By user: The settings are linked to a user.

  • By station: The settings apply to the station on which the labeling software is installed.

Label Color
Used to customize the color of the background of the label on the screen.

Ruler Text color
Used to customize the color of the text in the ruler.

Ruler Background color
Used to customize the background color of the ruler.

Euros Conversion rate
Defines the currency conversion rate. The default conversion rate is between the French Franc and the Euro.

Note: The conversion rate defined here will be used in the eurotocurrency and currencytoeuro formulas.

Recently used files
Defines the number of files you want to display in the File menu.

Shared files access timeout (ms)
Defines the access timeout of shared files.

Use GS1 norm
Ensures that the barcodes' characteristics respect the GS1 norm.

Document tab

Display tab

Default folders tab

Grid tab

Printing tab

Wizards tab

Product mode

What do you want to do?

Define a conversion rate


Default folders tab

Command: Tools > Options > Default folders

The Default folders tab lets you select the default folder for different file types and prevents you from having to specify the complete path or file extension whenever you use these types of files.

It contains a table with two columns:

  • File type, which offers a list of file types.

  • Path, which gives the access path to the various types of file.

Documents (*.LAB)
Default document folder.

Images (*.BMP, *.PCX, etc.)
Default folder for graphic files.

Queries (*.CSQ)
Default folder for query files used by ODBC databases.

Describer (*.DSC)
Default folder for describer files used with ASCII data files.

Print out files (*.TXT)
Default folder for printing to file.

Shared data sources (*.FRE, *.FOM, *.CPT, *.LST)
Default folder for shared data sources.

User settings file (USER.INI)
Folder containing the user configuration file. This file contains the current software settings and options (window position, language, unit of measurement, font, etc.).

Note: This option does not exist in the network version.

Data (*.TXT)
Folder containing the data files, such as the cumul files.

Specific Formulas (*.DLL)
Folder containing the files

Browse [image] button
Allows a directory to be selected.

Changing the default folder:

  1. Double-click the path of the required file type.

  2. Click the Browse button [image].

  3. Select the required file.

Display tab

Document tab

Grid tab

Printing tab

Others tab

Wizards tab

Product mode

What do you want to do?

Defining the working folder


Extended tab

Command: File > Properties > Extended

This tab allows you to define a label background.

Background picture
Allows you to define a background picture for a label. Click [image] to select a background picture.

The background picture supports these formats:

  • Device Independent Bitmap (*.dib)

  • JPEG Images (*.jpg)

  • CompuServe (*.gif)

  • Windows Bitmap (*.bmp)

  • Windows Metafile (*.wmf)

  • Enhanced Windows Metafile (*.emf)

  • Icon file (*.ico)

Note: JPG files in cyan, magenta, yellow and key (CMYK) cannot be set as a background image.

Linked
If this option is checked, the background image is linked to the label.

Printed
If this option is checked, the background image is printed.

Stretched
If this option is checked, the background image is stretched according to the label's size.

Alignment
Allows you to define the alignment mode for label background picture (Left/Up, Center, Right/Bottom).

Rotation
Used to rotate the background picture by 0° (default setting), 90°, 180° or 270°.

Set document password
Allows you to protect a document.
The Document protection dialog box is displayed. If you want to protect the document from modifications and printing, enter a password in the Full control dialog box.

Refresh table lookup at print time
Enables you to update database at print time for table lookup fields.

Note: Depending on database drivers (ODBC or OLEDB) the database may be updated automatically.

Windows graphical emulation
Enables you to standardize printing of your labels irrespective of the selected printer (Native printers or Windows printers). The properties of graphic objects on your label will be compatible with your printer's settings.

Resolution independent WYSIWYG
When this option is selected, the line gap in the paragraph is consistent. The barcode size is reduced to avoid overlapping other objects.

Printing optimization
Allows you to select the printing optimization mode. It allows you to enable software or printer counter incrementation.

  • None: No optimization.

  • Native printers only: This mode is checked by default. The optimization concerns native printer only.

  • All printers: Optimization for Windows and native printers.


Label tab

Command: File > Page setup > Label

- or -

Right-click anywhere in the document > Click Page setup > Click the Label tab

Allows you to define document size and corner roundness, and determine the number of documents per row and per column.

Label size (mm) group

  • Width
    Used to define the width of the label.

  • Height
    Used to define the height of the label.

  • Corner roundness
    Used to define the corner roundness of the label.

Number of labels group

  • Per row
    Used to define the number of labels to be printed per row, in the case of multiple printing.

  • Per column
    Used to define the number of labels to be printed per column, in the case of multiple printing.

The Preview group

Allows you to preview the page configuration as it will appear when printed.

Media
This zone is displayed when you are connected to a native printer. It allows you to specify the type of medium on which you want to print.

  • With gap: Printable surfaces (labels are delimited by spaces).

  • Continuous: The print medium is continuous.

Note: Other types of media may be proposed according to the printer selected.

Stock tab

Page tab

Margins tab

What do you want to do?

Save a customized stock

Delete a customized stock


Label tab (Inkjet)

Command: File > Page setup > Click the Label tab

Allows you to define label size and corner roundness, and to determine the number of labels per row and per column.

The Label tab is divided into two zones: Size, Number with five fields to be completed.

Label size (mm) group

  • Width
    Allows label width to be adjusted.

  • Height
    Allows label height to be adjusted. This value must be contained within the print area; if this restriction is not respected, an error message is displayed.

  • Corner roundness
    Used to define the corner roundness of the label.

Number of labels group

  • Per row
    Used to define the number of labels to be printed per row, in the case of multiple printing.

  • Per column
    Used to define the number of labels to be printed per column, in the case of multiple printing.

The Preview group

Allows you to preview the page configuration as the page will appear when printed.

Stock tab

Page tab

Margins tab

What do you want to do?

To save a customized stock

Deleting a customized stock


Grid tab

Command: Tools > Options > Grid

The Grid tab allows you to define the grid scale to facilitate moving and positioning objects in the document.

When the grid is activated, all the objects in the document are automatically placed at the grid point to where you click. When using the keyboard to move objects, the scale is the same as that of the grid.

The Grid displays a list of predefined grid scales.

None
Allows objects to be moved without reference to the grid.

User-defined
Allows the grid scale to be adjusted by the user. An edit box allows you to enter the grid scale of your choice.

Note: The unit of measurement used for the grid scale is defined in the Display tab. The grid may be modified or removed at any time.

Document tab

Display tab

Default folders tab

Others tab

Printing tab

Wizards tab

Product mode

What do you want to do?

Modify the grid scale


Printing tab

Command: Tools > Options > Printing

This tab allows certain printing parameters to be defined.

Format
Allows you to define the view mode of the print dialog box.

Different formats available:

  • Direct: Allows a single label to be printed without displaying the Print dialog box.
    Command: File > Print.

  • Simple: Allows the Print dialog box to be viewed in simple mode, with the basic printing options.
    In this dialog box, the More button allows you to switch to Expanded mode.
    Command: File > Print > Set the values required > OK

  • Search in database: Allows you to display the Go to a record in a database dialog box.

  • Database query result: Allows you to display the Query result dialog box.

Note: When one of these two dialog box formats is enabled but the document is not connected to a database, the Simple dialog box is displayed when a print command is launched.

Others group

Update date during printing
When this box is checked, all dates in the document are updated and saved between each label for each series.

Note: This option disables optimization.

Hide Cancel Print dialog box
When this box is checked, the cancel print dialog box does not appear.
To cancel printing, click the printer icon on the Windows task bar.

Enable test printing
Allows test printing to be carried out from the print dialog box.

Do not log test printing
When this box is checked, the data and information concerning test printing is not saved in the log file.

Allow printing in evaluation mode
When this box is checked, printing is allowed when the software is open in evaluation mode.

In case of canceling, finish the current page
When this option is checked, the counters will continue processing until they reach the final value set when printing was launched. If this option is not checked, the counters will retain their initial value.

The print algorithm only uses the device's resolution
When this box is checked, the computer system will only use the printer's resolution.

Document tab

Display tab

Default folders tab

Grid tab

Others tab

Wizards tab

Product mode


Margins tab

Command: File > Page setup > Margins

Allows the margins and the distance between rows and columns to be determined.

The Margins group

Printer default
Uses the printer's margins. The default value is 0 if the printer does not have predefined margins.

Note: This option is only displayed if there is more than one label on the page.

Note: Certain native printers require a gap value. To define this value, use the upper margin. In this case, the page height must be equal to the height of the label plus the height of the gap. If the selected printer does not require a gap, the page height will be the height of the label.

Left
Allows the left-hand page margins to be defined.

Top
Allows the top page margins to be defined.

Stock tab

Label tab

Page tab

What do you want to do?

Save a customized stock

Delete a customized stock


Objects tab

Objects view

Command: > Objects

The Objects view displays the number of objects created by type, and their properties such as position, height and width. From this tab, you can select an object and change its position.

Note: The + and - symbols allow you to expand or collapse one tree level and display the list of objects available for each category.


Query definition dialog box Options tab

Command: Data source > Database > Create/Edit query > Options

The Options tab contains four options that allow you to modify connection parameters. The options you need must be validated before connection to a database.

Disable extended fetch option
This option deactivates the extended fetch option. Certain ODBC drivers (DB400 databases) do not work very well in extended fetch mode.

Retrieve information on errors only
By default, all message types (errors, warnings) are retrieved. By validating this option, only error messages are displayed.

The [image] button lets you view the result of the query in the Query result grid.

Sort

Database tab


Date data source dialog box - Options tab

Command: Data source > Date > Add > Options

Allows fixed or variable months, days, hours and minutes to be added to the current date. It also allows the date display language to be chosen.

The Date group
Displays the date template defined in the Date tab

Date offset group
Adds months, days, hours, or minutes to the current date; that is, the system date supplied by the computer.

  • Type
    Displays the list of types you can modify.

  • Value
    Displays the lists of values you can modify.

  • Unit
    Displays the lists of units you can modify (month, day, hour and minute).

Language
Allows the date display language to be chosen.

Include in the log file
Includes the date value in the printing log file.

Note: These functions will take effect during the next print job.

Date tab


Printing log file Options tab

Command: Tools > Log file > Options

Allows you to define the content and parameters of the printing log file.

Printing log file contents
Allows you to select the information you want to include in the printing log file.

Track each label
Allows each label to be recorded in the printing log file.

Date
Includes the date and time of printing in the printing log file.

Define...
Defines the date and time format.

Data sources group

Three options are available for including variables in the printing log file:

  • Selected: Only variables for which you specified "Include in the Printing log file" in their definition box will be included.

  • All: All variables contained in the document will be included in the printing log file.

  • None: No variables will be included in the printing log file.

File format group

This group of options allows the printing log file format to be defined.

  • Non-delimited text: The content of the printing log file is generated in table form with spaces as field separators. In this case, a display font must be chosen in which all characters are the same length.

  • Tab-delimited text: The content of the printing log file is generated with tabulations as field separators.

  • Comma-delimited text: The content of the printing log file is generated with commas as field separators.

File tab

What do you want to do?

Generating a printing log file

Displaying a printing log file


Page tab

Command: File > Page setup > Page

The Page tab allows you to create a new page format or select a standard page format.

Automatic sizing
Certain printers run by Windows, as well as all printers run by the application, allow you create customized page formats.

The Automatic sizing option automatically adjusts the page according to the label size, the number of labels, the margins, and the distance between labels. This option is available only for a customized page format.

It is possible to deactivate this option if you want to manually enter Height and Width.

Page size (mm)
According to your printer, the Page size function allows you to either select a predefined page format, or to determine a customized one.

Note: Only the formats available for the connected printer are listed. The page dimensions specified here are the ones that are used, not those defined in the Printer Settings dialog box. The settings defined in this dialog box update those in the Printer Settings dialog box.

Portrait
Allows vertical page orientation.

Landscape
Allows horizontal page orientation.

Stock tab

Label tab

Margins tab

What do you want to do?

Save a customized stock

Delete a customized stock


Paragraph tab

Command: | Double-click a Text object > Paragraph
 | - or-
 | Select a Text object from the Object list of the toolbar > Click [image] to display the properties dialog box > Select the Paragraph tab.

The Paragraph tab allows you to modify the properties of blocks of text.

Alignment
Allows you to align the selected text to the right, left, center, or as justified text.

Fit text to frame
Used to automatically set the size of the text inside the frame. Character size is automatically adjusted as you change the size of the frame.

Line spacing
Allows you to select the value of line spacing, expressed as a percentage of the font body height.

Word wrap
Allows you to create a paragraph in which the text is automatically cut into several lines according to the width attributed to the paragraph. This width can be modified. By preference, lines are cut between words, or at hyphens in the case of hyphenated words. Words that are longer than the line are cut into two.

The paragraph can contain variable zones that change length during printing, as well as several fonts of different heights.

Disable word hyphenation
Deactivates automatic hyphenation.

Fixed height, adjusted width
Used to adjust the size's font depending on the length of the text inside the frame.

General tab

Character tab

Shape settings tab

Data source tab

What do you want to do?

To modify text color

To modify text size

Modifying text alignment

Fitting text to the frame


Summary tab

Command: File > Properties > Summary

Allows you to enter the following information:

Title
The title you want to use when searching for this file. This title may be different from the filename.

Subject
The subject of the file. Use this option to group similar files so that it will then be possible to search for all files under the same subject.

Author
To modify the author's name, delete the exiting name and enter the new one.

Manager
Groups similar files so that it will then be possible to search for all files belonging to the same manager.

Company
Groups similar files so that it will then be possible to search for all files belonging to the same company.

Category
Groups similar files so that it will then be possible to search for all files belonging to the same category.

Keywords
Allows words to be entered that you want to use when searching for this file.

Comments
Allows comments to be entered that you want to use when searching for this file.

Save preview image
Saves an image of the first page of the file to be displayed as a preview in the Open dialog box.

Note: Choosing this option increases the file size.

Export to a file
Used to save the information in this tab in a text file.

General tab

Preview tab

Statistics tab


Output tab

Command: Data source > Formula > Add > Output

-or-

Data source > Form > Add > Output

-or-

Data source > Table lookups > Add > Output

-or-

Data source > Counter > Add > Output

-or-

Data source > Free > Add > Output

The Output tab lets you define display options for the formula, form, table lookup, counter, and free variables.

Maximum length
Allows you to define the maximum length of a variable.

Note: In the case of a Counter variable, this option does not appear because the maximum length is calculated automatically according to the reset value of the counter. For the other variables, the value is truncated when its value exceeds the maximum length indicated.

Prefix
Allows a character or character string to be added before the variable.

Suffix
Allows a character or character string to be added after the variable.

Output mask
This option is used to format the variable as you want it displayed.

Format data | Output mask | Display
012345678 | ***-**-**** | 012-34-5678
2125551212 | (***) ***-**** | (212) 555-1212
ABCDEFGHIJK | **** | ABCD

Display decimals
Used to format the variable if it is decimal.

  • Number of decimals
    Allows the number of decimals to be entered.

  • Decimal separator
    Allows a decimal separator to be entered.

  • Thousand separator
    Allows a thousand separator to be entered.

Pad with
Used to define the padding character to the left of the variable.

Up to X characters
Indicates the number of padding characters. This is calculated according to the maximum number of characters making up the maximum counter value. When the data source variable is a Form, this text box is available and allow you to enter the number of padding characters.

Example:
If your counter resets at 999, the maximum value displayed in the Pad up to X characters will be 3.
If the padding character is "0" and the Pad up to X characters value is "4", the value 12 will give "0012".

Include in the log file
Allows the variable to be included in the Printing logfile. This is fed by data and information sent to the printer.

Accumulate value
Used to store the value of the variable in a separate file. The value is added to the value already stored in the file. To select the cumul file, the [image] button provides access to the folder containing these files. The default folder is defined in the Default folders tab in the Options dialog box.

Input tab

Counter tab


Data source tab

Command: | Double-click an object > Data source tab
 | - or-
 | Select an object from the Object list of the toolbar > Click [image] to display the properties dialog box > Select the Data source tab.

This tab lets you:

  • View the data source associated with the object you have selected (a red arrow [image] shows you which one).

  • Create a variable or convert a fixed field into a variable and field and vice versa. The variable value thus created will be equal to the value of the fixed field and vice versa.

Fixed
Displays the fixed data and allows variable data to be converted to fixed data. The value of the fixed data will be that of the current record.

Note: You can modify the fixed data directly in the text box.

Variable
Changes fixed data into variable data.

The list of data sources is displayed when the Variable data option is activated.

Note: Click on the plus sign (+) next to a data source to display the variables.

New data source
The New data source button lets you create a new data source in order to link it to the selected object.

Options group
The Options group is used to define the folder that contains images in the case of variable data and their format.

Default folder
This option selects the folder defined in the Default folders tab of the Options dialog box in the Tools menu.

(Other folder)
Allows a folder other than the default to be selected.

Default format
Used to select the default format of the image to be imported.

Note: If the format of the image to be imported is not specified (in your database, for example, image names may have been entered without their extensions), the format specified here will be the one used.

General tab

Character tab

Paragraph tab

Shape settings tab

What do you want to do?

Creating a Counter variable

Creating a Date variable

Creating a Table lookup variable

Creating a Formula variable

Creating a Form variable


Data Sources tab

Data Sources view

Command: > Data sources

The Data Sources view displays the data sources and the number of variables associated. You can also add, remove or modify variable properties using the context menu.

Note: The + and - symbols allow you to expand or collapse one tree level and display the list of variables associated with each data source.


Statistics tab

Command: File > Properties > Statistics

Provides information on the nature of the document.

Created
Data and time the document was created.

Modified
Date and time the document was last saved.

Accessed
Date and time the document was last opened.

Printed
Date and time the document was last printed.

Document version
Indicates the software version which created the document.

Current Serialization Version
Indicates the software version, different from the origin of creation, used to change the label.

Revision number
Number of times the document has been saved.

Total editing time
Number of minutes the document has been open for modification since it was created.

Statistics
Statistics of the active document: name and value.

General tab

Summary tab

The Extended tab


Sort tab

Sort

Command: Data source > Database > Create/Edit query > Sort (Note: A database must be selected).

Allows the selected records to be sorted into alphabetical or numeric order, Ascending, or Descending.

Ascending order allows you to sort dates and times into chronological order, and descending sort them reverse chronological order.

Sort keys
Allows the sort to be defined according to the field(s) selected.

Note: It is possible to specify several sort keys. In this case, the sort respects the numeric order of the keys.

Sort order
Allows an ascending or descending sort order to be defined.

Note: The sort is only carried out on fields selected in the Database tab.

The [image] button lets you view the result of the query in the Query result grid.

Options tab

Database tab

What do you want to do?

Creating a query

Sorting the selected records


Maxicode options

You can create your Maxicode barcode using the Maxicode Wizard. This wizard guides you in all the steps for creating and controlling the validity of the barcode created.

  • Choose Object > Wizards > Maxicode Wizard from the menu.

Maxicode is a two-dimensional code able to encode almost a hundred characters in a square just one inch wide. Five different construction modes are available. The code structure depends on the construction mode used.

Construction mode

Modes 2 and 3
Required for symbologies used in the transport sector. Both refer to the addressee ZIP code, country code, and service category used. The remaining 84 characters are reserved for the rest of the encoded message.
Mode 2 is used for shipments to the United States. The ZIP code is thus composed of between 5 and 9 numeric characters.
Mode 3 is used for international shipments. The ZIP code is thus composed of six alphanumeric characters.

Mode 4
Reserves 93 characters for the encoded message.

Mode 5
Reserves 77 characters for the encoded message because the error correction level used is higher.

Mode 6
Used for programming barcode readers.

ZIP code
Allows the ZIP code to be entered.

Postal code (extension)
Used to enter the zip code extension.

Country code
Allows the country code to be entered.

Service category
Allows the service category to be entered.

Constructing a Maxicode variable in modes 2 and 3

If you want to create a variable Maxicode, the variable content must respect the following structure:
You must first define four Form data sources, named as follows:

  • ZipCode: Length of nine characters (completed with spaces if the length is less than nine characters.

  • CountryCode: Length of 3 characters.

  • ServiceClass: Length of 3 characters.

  • Data: Length of 84 characters.

To create a formula called Maxicode, the result of which is equal to the concatenation of the four previously defined variables: ZipCode&CountryCode&ServiceClass&Data

Special case: Using Maxicode in accordance with the MH.10.8 standard

In this case, Maxicode is composed of several data zones:

Field name | Description | Type
ZIP Code | Alphanumeric (6) or numeric (5 or 9) | Compulsory
ISO code of the country | Numeric (3) | Compulsory
Service type | Numeric (3) | Compulsory
Follow-up number | Alphanumeric (10) | Compulsory
UPS SCAC | UPSN | Compulsory
UPS account number | Alphanumeric (6) | Compulsory
Day of the week | Numeric (3) | Optional
Dispatch ID number | Alphanumeric (1 to 30) | Optional
Dispatch parcel (parcel x of x parcels) | Numeric (1 to 3)/(1 to 3) | Optional
Weight (kg) | Numeric (1 to 3) | Optional
Address validation (Y or N) | Alphabetic (1) | Optional
Recipient's address | Alphanumeric (1 to 35) | Optional
Town/city | Alphanumeric (1 to 20) | Optional
State | Alphabetic (2) | Optional


Context menu

Context menus display a list of commands related to the object you are currently working on.
To display a context menu, right-click the element.


To modify line width

You can change the line width of a Line, Rectangle, Circle or Polygon object.

  1. Click the Select Objects tool [image].

  2. Click the object using the right mouse button.

A context menu is displayed.

  3. Choose Properties...

The Properties dialog box is displayed, open at the Shape settings tab.

  4. Select or enter the width required in the Width (mm) drop-down list of the Border group.

  5. Click OK.

Note: The line width defined remains valid for creating subsequent lines or rectangles.


To modify text color

From the color palette:

  1. Select the desired text.

  2. Click the desired color in the color palette to apply that color to the text.

  3. Right-click on the desired color in the color palette to apply a background color.

From the Properties dialog box

  1. Select the text to be shown in color and double-click. The Properties dialog box is displayed.

  2. Select the desired color in the Characters tab.

  3. Click OK.


To modify text size

  1. Select the text to be modified.

  2. Click in the Size zone on the Text formatting toolbar.

- or -

In the Text dialog box, select a size (in points or millimeters) in the Height field.

  3. Click OK.


To modify the size of a shape or image

  1. Click the Select Objects [image] tool and then click the object.

  2. Click a handle and drag the mouse to obtain the desired dimensions while holding the button down.


Modifying text alignment

  1. Select the text to be modified.

  2. Click the desired text alignment button in the Text formatting toolbar.

- or -

In the Paragraph tab of the Text dialog box, select an option in the Alignment field.

  3. Click OK.

Note: The Justify alignment function only works with Windows fonts. If you choose this alignment mode, the last line of text needs a carriage return for it to appear justified. If this last line is very short, justified alignment will create significant spacing between the words in the last line of text.


To modify rectangle corner roundness

  1. Click the Select Objects [image] tool and then click the object.

A small green arrow is displayed above the rectangle.

  2. Click this arrow and drag the mouse to the right or left to obtain the desired corner roundness effect.


To modify the zoom factor

You can zoom in for a close-up view of your document, or zoom out for a more general view in less detail.

  1. Choose View > Zoom.

  2. Click the zoom factor to be applied or adjust it by typing in its value.

You also have the option of zooming in on a part of your document or an object:

  • Select the Zoom tool, then click on the area or object to be enlarged.

Hint: You can use the context menu by right-clicking the horizontal ruler.


Modifying image properties

  1. Select the image you want to modify.

  2. Right-click the object, then choose Properties in the context menu.

The Image dialog box is displayed.

  3. Select the settings you want to apply to the image:

To change the size of the image, enable one of the options in the Size group, then click OK.

To change the contrast or brightness, type or select a value, then click OK.

What do you want to do?

Adjusting variable image settings


Embedded objects

Once embedded, the object becomes an integral part of the destination file. When you double-click an embedded object, it opens the program in which the object was created (the source program). Any modifications made to the embedded object will be reflected in the destination file.


Linked objects

A linked object in the destination file is automatically updated when the source file is modified. A linked object is not an integral part of the destination file.


ODBC

Universal database connection interface (ODBC, Open Data Base Connectivity).

ODBC is a standard system of data sharing between databases and other programs. ODBC drivers use the SQL (Structured Query Language) standard to access data from sources other than the application.


Shared

The data source value is saved in a special file, external to the document, each time after printing. This value may be used by other documents.


PDF417 options

ECC - Security level
Establishes conformity with the quantity of data to be added, allowing initial data to be recovered in case of error. The higher the security level, the greater the chance of restoring the integrity of the original data.

Aspect ratio
Allows the ratio of barcode height and width to be defined. A ratio of two means that the symbol is twice as wide as it is high. The overall aspect of the barcode will match the specified aspect ratio only if the height of the module is twice that of the width.

Space correction (Height) and (Width)
Allows you to correct the horizontal and/or vertical barcode distortion caused by the ink diffusion of certain printers.

Recommended settings
If this option is checked, recommended settings are used.

Truncated mode
Eliminates the line position indicator from the symbol, causing it to use reduced-dimension start and stop characters. If the size of the symbology is optimized, however, reliable reading cannot be guaranteed.

Build mode
Allows the build mode of the barcode to be set, and the size of the symbol generated to be adjusted.

Three build modes are possible with PDF417:

  • Automatic sizing: The basic element determines the size of each cell. The number of rows and columns is calculated automatically.

  • Fixed size: The basic element determines the size of each cell. The number of rows and the number of columns can be fixed together or separately.

  • Automatic density: Allows the user to specify the actual dimensions of the code. The density of the matrix will be determined automatically by the amount of data to be encoded. The value of the element will have no effect on the size of the matrix.

  • Width (mm)
    Allows the width of a code cell to be set.

  • Height (mm)
    Allows the height of a code cell to be set.

Notes: If the number of rows or columns is left at zero, it will be set automatically.
These build modes depend on the printer.


ODBC Driver

An ODBC driver is a Dynamic Link Library (DLL) used by an application authorizing ODBC, enabling it to access a given data source. Each database management system, particularly SQL Server or dBase, requires its own driver.


To bring an object to the front or send it to the back

Objects can be superimposed over another. The last one created will be placed on top of the previously created objects.

Select the object you want to bring to the front or send to the back.

Click | To
 | Bring an object to the front
 | Send an object to the back

- or -

Command: Object > Bring to front or Object > Send to back.


Inkjet printers

The Page setup dialog box is composed of three tabs:

Stock tab

Label tab (Inkjet)

Margins tab


For Windows TM or native printers

For Windows or native printers

Command: File > Page setup

Stock tab

The Stock tab allows you to create the Type and Name of a new stock, or select an existing stock.

This tab is divided into three sections: Type, Name and Comment. It also contains a zone in which a brief description of the stock configuration is displayed.

Type
Allows stocks to be filed by category. You can save a new stock of an existing type, or create a new one.

Name
Once you have chosen a stock type, you have the option of selecting an existing stock, or creating a new one of this type.

Background
Lets you select a background image for your label.

Comment
It may prove useful to add a comment to the stock that you have just created or modified. The white frame entitled Comment enables you to enter text of up to 150 characters.

Settings...
Lets you access the printer settings dialog box directly.

Note: The Printer Settings dialog box allows you to modify resolution, speed, and so on, but does not allow you to set the customized page setup. Only the page format defined in the Page setup dialog box will be used.

Label tab

Page tab

Margins tab

See: Defining a document background

What do you want to do?

To save a customized stock

Deleting a customized stock


Renaming an object

Each object created is named automatically. When the object is selected, its name is displayed in the Object toolbar.

  1. Select the object to be renamed.

  2. Enter the new name in the text box on the Object toolbar.

- or -

  1. Select the object in the Objects view.

  2. Press F2.

  3. Enter the new object name.


Specifying record selection criteria

Specifying criteria involves telling the application the specific records you want to extract from the external database.

Having selected the data source and entered the necessary information in the Database tab of the Query definition dialog box:

  1. Add a line by clicking on [image].

  2. Select the field the condition in the Field column refers to.

  3. Select the operator.

  4. Enter the value or the condition for the SQL direct operator.

Note: You can link several conditions by using the AND or OR operators.

What do you want to do?

Creating a query


To delete a password

  1. Choose Tools > Set password.

  2. Enter you current password.

  3. Click on Change.

The Password dialog box changes, and two new text boxes appear. The Current password box displays your current password.

  4. Click on OK without entering a password in the New password box.

Note: If you use the User Manager module, all functions related to the password are prohibited.


2 of 5 symbolizations

The 2 of 5 barcode structure is one of the simplest industrial barcodes modulated by width. There are four types of 2 of 5 code: Interleaved, Industrial, Standard, and Matrix.

These four codes have the following features in common:

- two wide elements out of five for coding each character;

- a numeric character set;

- unlimited length.


Special input syntax

Entering data for barcodes with character sets that include the ASCII character set requires special syntax (Code 128, Code 39, etc.).

Data coding

Input in clear

All check characters must be entered in clear, between brackets {}. These are non-printable ASCII codes and internal Code 128 characters.

{NUL} {HT} {DC2} {ESC}
 {SHIFT}
{SOH} {LF} {DC3} {FS} {CODE A}
{STX} {VT} {DC4} {GS} {CODE B}
{ETX} {FF} {NAK} {RS} {CODE C}
{EOT} {CR} {SYN} {US} {FNC1}
{ENQ} {SO} {ETB} {DEL} {FNC2}
{ACK} {SI} {CAN} {FNC3}
{BEL} {DLE} {EM} {FNC4}
{BS} {DC1} {SUB } {DEL}

Coding by @

Code 128 check characters may also be introduced by means of the @ character.

SHIFT: @S
CODE A: @A
CODE B: @B
CODE C: @C
FNC1: @1
FNC2: @2
FNC3: @3
FNC4: @4
DEL: @D

Entering the ASCII code

It is also possible to enter the ASCII value of the character to be inserted directly after a backslash \that is, \nnn, where nnn representing the decimal value of the character's three-figure ASCII code.

The { \ and @ check characters must be repeated in order to be recognized.

Example:
The string AB@@CD{{EFG\\ will be interpreted in the following way: AB@CD{EFG\


Table

Group of data related to a given subject, stored in records (rows) and fields (columns).


Table of Code 128 character sets

Set A | Set B | Set C | Set A | Set B | Set C | Set A | Set B | Set C
space | space | 00 | C | C | 35 | ACK | f | 70
! | ! |  | D | D | 36 | BEL | g | 71
" | " |  | E | E | 37 | BS | h | 72
# | # |  | F | F | 38 | HT | i | 73
$ | $ |  | G | G | 39 | LF | j | 74
% | % |  | H | H | 40 | VT | k | 75
& | & |  | I | I | 41 | FF | l | 76
' | ' |  | J | J | 42 | CR | m | 77
( | ( | 08 | K | K | 43 | SO | n | 78
) | ) | 09 | L | L | 44 | SI | o | 79
 |  |  | M | M | 45 | DLE | p | 80
+ | + | 11 | N | N | 46 | DC1 |  |
0 | 0 | 12 | O | O | 47 | DC2 | r | 82
- | - | 13 | P | P | 48 | DC3 | s | 83
. | . | 14 | Q | Q | 49 | DC4 | t | 84
/ | / | 15 | R | R | 50 | NAK | u | 85
0 | 0 | 16 | S | S | 51 | SYN |  |
 |  | 17 | T | T | 52 | ETB | w | 87
 | 2 | 18 | U | U | 53 | CAN | x | 88
 | 3 | 19 | V | V | 54 | EM | y | 89
 | 4 | 20 | W | W | 55 | SUB | z | 90
 | 5 | 21 | X | X | 56 | ESC | { | 91
 | 6 | 22 | Y | Y | 57 | FS | | | 92
 | 7 | 23 | Z | Z | 58 | GS | } | 93
 | 8 | 24 | [ | [ | 59 | RS | ~ | 94
 | 9 | 25 | \ | \ | 60 | US | DEL | 95
: | : | 26 | ] | ] | 61 | FNC3 | FNC3 | 96
; | ; | 27 | ^ |  | 62 | FNC2 | FNC2 | 97
< | < | 28 | _ |  | 63 | Shift | Shift | 98
= | = | 29 | NUL | ` | 64 | CodeC | CodeC | 99
> | > | 30 | SOH | a | 65 | CodeB | CodeB | CodeB
? | ? | 31 | STX | b | 66 | FNC4 | FNC4 | CodeA
@ | @ | 32 | ETX | c | 67 | FNC1 | FNC1 | FNC1
A | A | 33 | EOT | d | 68 |  |  |
B | B | 34 | ENQ | e | 69 |  |  |


Copying all as an image

This command allows you to copy the whole label as an image to the clipboard. You can paste this image into another application.

  1. Choose Edit > Copy all as an image.

  2. In the Export document dialog box, define the export options.

  3. Click OK.

Border
Used to apply a border to export labels.

Size percent
Used to define the percentage of reduction or enlargement to be applied to the label before export.

Rotation degree
Used to set the orientation of the label before export.

Reduction algorithm
Used to select the type of color reduction in the label before export.

Color palette
Used to select a color palette.

Include non-printable objects
Allows you to include non-printable objects on your label.


A condition

A condition is a comparison between a field and a constant.


Using a password

Using a password restricts the software to loading and printing documents.

A password may contain letters, numbers, spaces and symbols, but must not exceed eight characters.

Note: if you use the User Manager module, all functions related to the password are prohibited.


Variable

A variable is a non-physical object, the value of which may vary.


Customizing the work environment

Your software offers a number of options for customizing your work environment.

Options include the choice of interface language, unit of measurement, dialog box display font, working folders, and currency conversion rate.


Data formating

Data formating tab allows you to define the settings if you want to report on multiple records.

Use format value with key value
Allows the variable value with its formatting (suffix, prefix, etc.) to be used as the key value.

Field separator string
Indicates which string will be used to separate fields if the query report contains more than one field.

Record separator string
Indicates which string will be used to separate records if the query report contains more than one record.

Relevant records
Indicates the maximum number of records that should be returned by the query (default is 1, value 0 means all records).

Note: If the data does not fit on the first page, you can generate multiple labels at print time. Check Manage multiple pages option in the ListField tab, then the ListField will automatically generate the required number of labels.

Defining Data formating properties:

  1. Connect a database.

  2. Create a Table Lookup.

  3. In the Data formating tab, enter the Field separator string, the Record separator string and the relevant records.

    A preview is displayed.

Note: The result can be displayed in a ListField.


Defining a parameterized query

Query Builder lets you create a parameterized query where the value of the parameter is held in a variable.

Note: You must have created a variable beforehand.

  1. Drag and drop the table on which your query is to be carried out.

  2. Select the field(s) to which the criterion or criteria is/are to apply.

  3. In the Criterion column or in the SQL-format edit field, specify the variable to be used as the object of a search criterion.

    Example: To look for the value of the variable Var0 which you created beforehand:

  • In SQL:

    SELECT [Table].*

    FROM [Table]

    WHERE [Table].Field = APPLICATION.DOCUMENT.Var0

  • Criterion column
    = APPLICATION.DOCUMENT.Var0

  4. Click [image] to display the result of your query.


TPL file:

Template


UFO file: Universal File Object

UFO file:

Universal File Object


ULD file: Universal Label Document

ULD is an XML format for the definition of labels.


Installing OLEDB data links

  1. Choose Tools > OLEDB Administrator

The OLEDB Administration dialog box is displayed.

  2. Click New.

  3. Select the data and follow the instructions.


ISBT 128

The ISBT-128 information standard is developed, maintained and distributed by the ICCBBA organization. The ISBT-128 barcode is used for the identification, labelling and processing of human blood, tissues and organ products across international borders and disparate healthcare systems. The ISBT-128 provides globally unique donation identification for blood, tissue and cellular therapy products.

The ISBT-128 is based on the Code 128 with a Mod 103 check digit.

ISBT-128 Data Structure
The ISBT-128 data structures define how information is to be identified and electronically presented, providing a standard reference that allows transfusion and transplantation information to be encoded electronically. The data structure portion of an ISBT-128 barcode refers to the data identifier and data content to be included in a barcode (it does not include the start and stop codes, the Mod 103 check digit, or any specified control character).

When you select ISBT-128 as the barcode type on the barcode tab, the program displays a Structure drop-down list of all available data structure options &endash; simply select the desired data structure and it will be set up for you automatically by the software.

Keyboard Entry Check Character (K)
A Keyboard Entry Check Character (K), used to ensure accurate keyboard entry when scanning is not possible, is mandatory with long data structures and optional with shorter data structures. The Check Character (K) is not part of the data content string, but is calculated from it using the Mod 37-2 checksum method. The Check Character (K) is added to the human readable and is used to verify keyboard entry.


Character tab

Command: | Double-click a Text object
 | - or-
 | Select a text object from the Object list in the toolbar > Click [image] to display the properties dialog box > Select the Character tab.

Allows the default Text object properties to be defined.

The font group

  • Printer
    Displays the list of fonts resident on the printer.

  • Graphic
    Displays the list of graphic fonts, that is the fonts installed on your system.

Note: There is often a wider choice of graphic fonts than printer fonts, but printing them graphic fonts is slower.
The Font downloader allows TrueType fonts to be downloaded onto your printer. These must first be installed and available in Windows.
Only printers capable of receiving downloadable fonts can be selected in the Font downloader. Downloading is quick and simple thanks to a tool integrated into the labeling software. To access this tool's user interface, select the download command from the Tools menu. You can also start the application from the Windows Start menu. For more information, consult the accompanying electronic help files.

Note: The substituted fonts are marked with a red asterisk in the font list of the Character tab in the Properties dialog box, or in the font list of the menu toolbar.

Style
Allows the available style properties to be selected (bold, italic, underline).

Note: When a particular style is not available, it is impossible to select it.

Unit
Allows character heights to be defined in points, millimeters or inches. Units in millimeters or inches must be defined in advance in the Display tab.

Size group

  • Height
    Corresponds to the height of the smallest rectangle able to contain all the characters in the chosen font, including capital letters and letters with downstrokes.

Note: The Height of this rectangle is therefore more important than that of an ordinary character.

The Height list displays the character heights available in the selected font.

The sizes displayed in this list are an extract of the sizes actually available. TrueType fonts, for example, can be of any size, from the smallest to the largest.

To obtain a value not displayed in the list, enter it in the Height text box situated at the lower right of the dialog box.

Certain printer fonts only display one height in the list, but which may be multiplied. Use the Height text box to multiply the height of the font.

  • Width
    Character width is expressed as a percentage:
    - the 100% value, used by default, gives characters the most natural appearance.
    - a value of 50% has the effect of reducing the default value by half.
    - a value of 200% has the effect of doubling the default value.

Subset
Displays the font character sets.

The Color group

  • Foreground - Character
    Lets you select a color to apply to the characters in your text object.

  • Background- Shading
    Lets you select a color to apply to the shading in your text object.

General tab

Shape settings tab

Paragraph tab

Data source tab

What do you want to do?

To modify text color

To modify text size

Fitting text to the frame

Substituting font


Color Field tab

Command: Double-click on a Color Field object

Font
Provides access to the Font dialog box, where all character font options can be set.

Text
Used to enter or modify the contents of the selected text.

Data source
Used to display and select the data source to which the document is connected.

Alignment
Used to define the position of the color field within the background shape.

Outline
Used to display an outline.

Color
Used to define the color of the outline.

Width
Used to define the width of this outline.


List Field tab

Command: Double-click on a List Field object

Font
The [image] button provides access to the Font dialog box, where all character font options can be set.

Text
Used to enter or modify the contents of the selected extended object. Word-wrapping inside the cell is possible using the sequence <BR>.

Data source
Used to display and select the data source to which the document is connected.

Text color
Lets you select the text color.

Number of vertical blocks
Used to define the number of blocks required.

Page break options group

  • Keep positions together
    Used to activate the Column drop-down list, to control position.

  • Position control column
    Used to define a column as the point from which controls will take place.

  • Minimum number of lines on a new page
    Used to define the minimum number of lines on a new page, when a print job requires several pages.

Control characters group

  • Column separator
    Used to define the character that marks a change of column.

  • Line separator
    Used to define the character that marks a change of line in a cell.

  • Tab
    Used to define the character that marks a tab (\t, \n...) in a cell.

Note: To add a line in the table, you must use one the following control characters: Crlf (Carriage Return - Line Feed) or \n

Line separator group

  • Style
    Used to define the style of the border separating each line.

  • Width (mm)
    Used to define the width of the border separating each line.

  • Color
    Used to define the color of the border separating each line.

Line height and margins group

  • Height
    Used to define the height of the list field lines.

  • Margin (1st):
    Used to define the margin between the top of the list field and the start of the text.

  • Margin: (mm)
    Used to define the margin between each list field line.


Rich Text Field tab

Command: Double-click on an RTF text object.

Font
The [image] button provides access to the Font dialog box, where all character font options can be set.

Note: the font only applies if a data source is selected.

Data source
This drop-down list is used to display and select the data source to which the document is connected.

Vector rendering
Used to activate the vector rendering.

Edit text...
This button provides access to the RTF TextEditor dialog box.

General tab

Shape settings tab


Product mode

Command: Tools > Options

The Product mode tab is used to chose a product range when your software is running with a DEMO licence or in EVALUATION or TRIAL mode.

Note: The Product mode tab is disabled when your software has been activated or when you have a hardware key.


List Field Columns tab

Command: Double-click on a List Field object > List Field Columns

Preview table
Used to view the settings defined for the list field columns.

Add
Allows you to add a column in the list field at each click.

Delete
Allows you to delete a column in the list field at each click.

Move up
Allows the settings defined for the selected column to be moved up the preview table.

Move down
Allows the settings defined for the selected column to be moved down the preview table.

Width (%)
Used to define the width percentage of the selected column, in relation to the total number of list field columns.
The total width percentage of columns cannot exceed 100%.

Tab
When a tab has been inserted in the list field text, the Tab drop-down list lets you define its size.

Ind. left (mm)
Used to define the minimum spacing between the left-hand edge of the selected column and its contents.

Ind. right (mm)
Used to define the minimum spacing between the right-hand edge of the selected column and its contents.

Line style
Used to define the style of the border line between the selected column and the one to its right.

Line width
Used to define the width of the border line between the selected column and the one to its right.

Line color
Used to define the color of the border line between the selected column and the one to its right.

Alignment group
Used to align the selected text, depending on the option chosen: Left, Center, Right.


Color Definition tab

Command: Double-click on color field object > Color Definition

File
The [image] button provides access to a dialog box that allows you to browse for a color definition file. These files have the extension: *.ccf
This dialog box allows you to create a new *.ccf file.

Procedure:

  1. In the Select color definition file dialog box, enter a name in the File Name field and click OK.

  2. Double-click on the new color field object created.

  3. In the Properties dialog box, click on the Color Definition tab.

  4. Define the different options and click OK.

Add
Allows new color code matching to be created.

Delete
Allows selected color code matching to be deleted.

Key
Allows you to define the character combination that corresponds to a color code.
For example, when the color field data starts with 'ABC', this means that this color field will use the settings of the 'ABC' color definition key.

Text
Allows the color of the text to be defined.

Background
Allows the color of the background to be defined.

Line
Allows the color of the line to be defined.

Double
Provides a duplicate of the text entered. This duplicate text is placed after the initial text and aligned to the right of the space reserved for the color field.

Strikeout
Allows color field data to be separated when the Double option is also enabled.
Provides access to the options:

  • Strikeout width
    This drop-down list lets you define the width of the strikeout separating the text from its duplicate.

  • Strikeout color
    This drop-down list lets you define the color of the strikeout separating the text from its duplicate.


Shape settings tab

Since the pattern rendering is not WYSIWIG, it allows you to preview the pattern used in the object property (border, background, text outline) as it would appear in the print version.

Resolution
X axis (dpi): changes the selected pattern resolution along the X axis
Y axis (dpi): change the selected pattern resolution along the Y axis

Preview
Select a pattern
Use the preview to get a glimpse of the effect that a modification may have on the resolution when printing.

Note: The pattern selected in the Preview zone is to be strictly regarded as an example, only. In the Resolution zone, the selected DPI resolutions for the X and Y axis will apply only to the patterns used at the object level.

Shape settings tab

Command: | Double-click an object > Shape settings
 | - or-
 | Select an object from the Object list of the toolbar > Click [image] to display the properties dialog box > Select the Shape settings tab.

Allows the properties of object shapes, colors, and patterns to be defined.

Shape group

Used to define the shape of an object's background.

Select a shape type in the list.

  • % x axis and y axis
    Used to define the corner roundness when the Round rectangle is selected.

Background group

  • Color
    Used to define the background color for the object selected.

  • Internal margin
    Used to define a margin between the edge of the shape and the background color.

Border group

Used to define the properties of borders for the object selected.

  • Color
    Used to define the background color for the object selected.

  • Dash style
    Used to define the dash style of the shape's outline.

  • Dash cap
    Used to define the shape of the dash cap.

  • Width (mm)
    Used to define the width of the outline, whether it is continuous or dashed.

  • Outline
    Allows you to display only the outline of the defined border.

Resolution

General tab

Character tab

Paragraph tab

Data source tab


Form tab

Command: Data source > Forms > Add > Form tab

Prompt
Allows a user message to be entered that will appear in the left-hand column when the Form is displayed.

Minimum length
Allows a minimum length to be set. This means that the entry will not be validated during printing if you have not entered a sufficient number of characters.

Input mask
Input mask is a way of controlling manual input to the Form. Each character entered with the keyboard should correspond to a character in the format string.

Defining the format

Format characters | Characters entered
# | Numeric (0-9)
@ | Alphabetic characters (a-z, A-Z)
! | Punctuation
* | Any printable character
\ | Allows the character following ' \' to be displayed

It is also possible to insert separator characters into the format string, which will be included in the input mask.

Note: These format characters appear in the form to facilitate input, but will not appear in the output.

Example:

Format data | Input format | Form display | Printout
012345678 | ###-##-#### | 012-34-5678 | 012345678
012-34-5678 | ###-##-#### | 012-34-5678 | 012345678
2125551212 | (###) ###-#### | (212) 555-1212 | 2125551212
212-5555-1212 | (###) ###*#### | (212) 555-1212 | 212555-1212
Feb-1995 | @@@,#### | Feb,1995 | Feb1995
1234 | ##\*## | 12*34 | 1234

Mandatory field
Indicates that a value must be entered on the form. If no value has been entered, the entry will not be validated during printing.

Pick list
In the Form, displays a list of values that facilitate entering the variable. You can choose one of the values suggested without having to enter it using the keyboard. The list field displays the lists of shared values proposed, if applicable, or allows you to select the Local option if you want the values to be applied to this variable only.

The [image] button opens the Pick list dialog box, which allows you to enter or modify the pick list linked to the variable.

Force data to come from the list
This option makes it mandatory to use a value from the list. If this option is not enabled, a new value can be entered or it can be selected from the list.


General tab

Command: Double-click an object > General

Name
Used to name each object independently.

Position and size group

  • X and Y coordinates
    Allows the horizontal and vertical position of the object to be defined.

  • Width and Height
    Allow the size of the object to be modified.

  • Initial size
    Allows the initial image size to be restored. This check box is displayed if the image has been modified.

Rotation group
Used to select an angle of rotation around the center of the object (0°, 90°, 180° or 270°).

Option group

  • Printable
    Used to define the selected object as printable.

  • Lock
    Used to define the object as modifiable.

  • Allow superimposing
    Used to authorize the superimposing of two objects.

Note: This option is not checked by default if you use GS1 norm.

  • Send as graphic
    Used to send an object as graphic (the result will be the same as with a Windows printer).

  • Manage multiple pages (option available for ListField)
    Used to generate multiple labels at print time if the data does not fit on the first page. This option is set to false by default for backward compatibility.

Anchor point
Used to select the object's anchor point. The anchor point is the point from which the coordinates are determined.

Margins
Used to define a fixed margin between the object and its border (except for shape objects).

Character tab

Paragraph tab

Shape settings tab

Data source tab


Stock tab

Command: File > Page setup

The Stock tab allows you to select the Type and Name of existing stock or create a new stock tab.

This tab is divided into three sections: Type, Name and Comment. It also contains a zone in which a brief description of the stock configuration is displayed.

Type
Allows stock to be filed by category. You can save a new stock of an existing type, or create a new one.

Name
Once you have chosen a stock type, you have the option of selecting an existing stock, or creating a new stock of this type.

Background
Allows you to select an Enhanced Meta File (EMF). An EMF represents the drawing of the label using the dimensions defined in the meta file.

Comment
It may prove useful to add a comment to the stock that you have just created or modified. The white frame entitled Comment enables you to enter a text of up to 150 characters.

Settings...
Lets you access the printer settings dialog box directly.

Save
Allows you to save customized stock.

Remove
Allows you to delete customized stock.

Note: The printer settings dialog box allows you to modify resolution, speed, and so on, but does not allow you to set the customized page setup. Only the page format defined in the Page setup dialog box will be used.

Label tab

Page tab

Margins tab

What do you want to do?

Save a customized stock

Delete a customized stock


Text settings tab

Command: Double-click a TextArt object

Font
The [image] button provides access to the Font dialog box, where all character font options can be set.

Text
Used to enter or modify the contents of the selected TextArt.

Data source
Used to display and select the data source to which the document is connected.

Fill
Checked by default, this box lets you choose the color or pattern to fill the selected TextArt.

Outline
When checked, this box lets you choose the outline color or pattern for the selected TextArt.
You can also choose the outline width by selecting a value in the Width drop-down list.

Shadow
When checked, this box lets you choose the color of the selected TextArt's shadow from the Color list.
You can also choose the size of the gap that separates the shadow from the initial text, by selecting a value from the Width drop-down list.

Bend text to shape
When this box is checked, the text follows the shape of the border (ellipse, rounded rectangle, etc) chosen in the Shape settings tab. It also provides access to additional options:

  • Start angle
    This drop-down list lets you define a starting point in the TextArt text, defined at an angle of 360°.

  • Sweep angle
    This drop-down list lets you define the sweep angle at which the text can be displayed.

Alignment
Used to define the horizontal and vertical alignment characteristics of the TextArt in its allocated space (Top, Middle, or Bottom).

Breaking
Used to define where text breaks should occur when the text has to adapt to the shape.

Char spacing
Used to define the spacing between characters. Selecting the Customized option activates the Customize list, which lets you define specific character spacing on a scale of 20 to 200. The default setting (100) corresponds to standard spacing. During customizing, spacing will be proportional to the number selected. For instance, at 200 the spacing corresponds to approximately one character; at 20, the characters will overlap.

Custom
User the select the spacing between characters. This option is available only if Custom is selected in the Char spacing field.

Rotated characters
Used to rotate TextArt characters counter-clockwise by 90°.


The Document Protection dialog box

Command: File > Properties... > Extended tab > Set document password

This dialog box lets you protect a document from modifications. You can protect the document from all users and only authorize access for the purpose of printing the document.

Full control group
Allows the document to be protected from modifications, by using a password.

Password
Allows your password to be entered.

Confirmation
Confirms the entry of your password.

Print only group
Authorizes access through a password only for the purpose of printing the document.

Password
Allows your password to be entered.

Confirmation
Confirms the entry of your password.

Note: On opening a protected document, if the user does not enter a password, or types the wrong password into the Password dialog box, an empty document is loaded.


Counter dialog box

Command: Data source > Counter > Add
See all options for Create a data source.

Counter tab

Output tab


Form data source dialog box

Command: Data source > Form > Add
See all options for Create a data source.

Allows you to define the properties of a data source belonging to the Form data source.

Input tab

Form tab

Output tab

Counter tab


RTF TextEditor dialog box

Command: Double-click on an RTF text object.

Used to enter the contents of the selected RTF text field.

Toolbar
Offers the standard tools and functions, such as:

  • Cut, copy, paste, and cancel buttons

  • The drop-down list of available fonts

  • The drop-down list of font sizes

  • Bold text, italics, underline, and strikeout buttons

  • Normal, superscript, and subscript button
    This button is used to put selected text in superscript or subscript. By default, text is in a normal position.
    Having selected the relevant text, click on the button once to put it in superscript or twice to put it in subscript.

  • The font color button
    Select the relevant text and click the button once to display the selection menu, then click the desired color.

  • Left, center, right text alignment buttons

  • The bullets button

Input field
Allows you to enter the text you want and to make various style selections.


Export/Copy dialog box

Command: File > Export > To an image file

or Edit > Copy all as an image

Used to export a document to a file or to the clipboard. Two different commands can be used to access this dialog box, depending on the type of export required.

Border
Used to apply a border to export labels.

Size percent
Used to define the percentage of reduction or enlargement to be applied to the label before export.

Rotation degree
Used to set the orientation of the label before export.

Reduction
Used to select the type of color reduction in the label before export.

Color palette
Used to select a color palette.

Include non-printable objects
Allows you to include non-printable objects on your label.

File name
Used to enter the export file's name and location. This option is only available in Export to an image file mode.
Image Export format

What do you want to do?

Copying all as an image

Export to an image file


Download document from Internet addresses dialog box

The Download document from Internet addresses (FTP) dialog box

Command: File > Import > From FTP...

This dialog box is used to download a document from FTP sites and allows you to share documents between different sites.

Address (URL, FTP or server name)
Used to select a predefined Internet address (FTP). Whenever you select an address, the program tries to connect to this address.

Add/Modify
Used to create or modify FTP address in the Add/Delete FTP Sites dialog box.

The list of documents and folders on the FTP site is displayed in the window if the connection is established. Otherwise, an error message is displayed.

Preview
Used to view the document if it was saved with the Save preview image option enabled.

What do you want to do?

Importing a document from FTP


Shared data sources Management dialog box

Command: Tools > Shared data sources Management > Counter

Command: Tools > Shared data sources Management > Form

Command: Tools > Shared data sources Management > Free

Command: Tools > Shared data sources Management > List

If you want to use a data source in other documents, you must create a shared data source or declare the value of the data source as shared. You can share data source values for Form, Free, or Counter data sources. This dialog box lets you create, modify or delete shared data source.

The [image] button is used to add a new shared data source.

The [image] button is used to delete the selected data source.

To modify a data source, double-click in the Name column if you want to change its name, or in the Value column if you want to change its value.

What do you want to do?

Creating a shared data source


Patterns dialog box

Used to define the options for creating pattern hatching.

Line
Used to select the line type

Width
Used to select the line width

Angle (Deg)
Used to set the sweep angle of the pattern hatching in the workspace

Spacing
Used to set the spacing between two lines

Cross-hatching
Used to create a cross-hatching pattern


Printer dialog box

Command: File > Select printer

Allows you to select a printer before creating a document.

You have the choice between two sets of printers:

  • Printers run by Windows TM

  • Printers run by the application (native, thermal transfer, inkjet and other types. In the list, these printers are indicated by an icon.

Settings...
Gives access to a printer settings dialog box. This settings dialog box is specific to each type of machine.

COM...
Gives access to the COMX port parameters dialog box.

Note: Under Windows Vista, this button is disabled if the software has not been launched using '' Run as administrator'' option. It is still possible to modify COM settings from the control panel.

Remove
Removes a printer from the list.

Add
Gives access to the list of printers available with the software. These are listed in the Add printer dialog box.

Port
Used to change the printer port. This function is only available for printers controlled by the application. For printers controlled by Windows, you must change the port in the Control Panel of Microsoft Windows.

Fonts...
Provides access to the Substitution font dialog box.

What do you want to do?

Select a printer

To set up a printer

Add a printer


Pick list dialog box - Shared

Pick list dialog box

Command: Data source > Form > Add

In the drop-down Pick list, select Local and then click on the search button.

A list of values simplifies data entry on the Form by displaying a list of values.

The Shared option is used to save the list of values in an external file so it can be used by other Form variables in the same document or other documents.

To declare a Shared list, you must give it a name by entering it in the List name field. This field lists the names of external fields that already exist.

is used to add a new value.

is used to delete the selected value.

is used to change the order of the values.

Selection as default
Automatically pre-selects the defined value when displaying the form during printing.

To create a list of local values

  1. Click on [image] and type a value in the Values window.

  2. Start over as many times as you like.

  3. Click on OK.


Pick list dialog box - Local

Pick list dialog box

Command: Tools > Shared data sources Management > List

The Shared option is used to save the list of values in an external file so it can be used by other variables in the same document or other documents.

To define a Shared list, you must give it a name by entering it in the List name field. This field lists the names of external fields that already exist.

The [image] button is used to add a new value.

The [image] button is used to delete the selected value.

The [image] [image] button is used to change the order of the values.

Selection as default
Automatically pre-selects the defined value when displaying the form during printing.

To create a list of values

  1. Click [image] and type a value in the Values window.

  2. Enter as many values as necessary.

  3. Click OK.


Objects order dialog box

Command: Objects > Order

Allows document objects to be listed in the order in which they will be sent to stand-alone printers.


Form customization dialog box

Command: | View > Form customization
 | - or -
 | Right click > Customize form
 | - or -
 | Double-click the background of the window represented in the form view

Allows you to customize the properties of your form.

Font name
Defines the font used in the form. To change it, click ...

Width
Lets you adjust the width of the Form dialog box.

Height
Lets you adjust the height of the Form dialog box.

Color gradient (from color - to color)
Lets you select the colors for the Form dialog box.

Entering data items one by one
Lets you enter data items one by one. This option can be useful when reading the output from a bar code reader, for example.

Display form when printing
Triggers automatic display of the form at the time of printing. Three options are available:

  • No: The form is not displayed;

  • For each label: The form is displayed at each label in the print series;

  • For each series: The form is displayed once at the beginning of each print series.


Object properties dialog box

Command: Click on the object, then right-click > Properties

Used to define the default properties of any type of object.

General tab

Character tab

Paragraph tab

Shapes tab

Data source tab


Image selection dialog box

Command: Select the image import tool > click in the document.

Lets you insert an image from a file or from the gallery.

You can insert images or company logos to perfect the layout of your label. The Browse for a file tab allows you to select an image file to be inserted. Many formats can be imported. These formats are listed in the Type list in the Browse for a file tab.

Gallery tab

Your software also includes a gallery with images classified by category. It contains drawings, symbols and signs that you can use in your labels.

To insert an image from the gallery

  1. In the Gallery tab, select a category from the list.

  2. Click an image in the selected category and confirm to insert this image in your label.


Aztec code and Aztec Mesa options

Symbology Host
Used to list symbologies that can be used as hosts. Possible symbologies include Code 39, Code 93, Code 128, Interleaved 2/5, Interleaved 2/5 with barrier, and EAN/Jan-13.

Symmetry configuration
Defines two graphic configurations: one-sided or two-sided. Data symbols for an Aztec Mesa code can be either attached at the top of the host symbol or split between the top and bottom of the host symbol.

Include reader initialization symbol
Provides configuration information to the reader.

Include barrier symbol
Adds a divider line between sections 1D and 2D.

Element width
Allows the width of a code cell to be set.

Error correction
Used to select the correction level.

Symbols
Allows files of data to be represented logically and continually up to 26.

Optional ID
The optional message ID field is useful to assure that all symbols scanned comprise parts of the same message. The message is any number of data characters starting and ending with a space character, and must be the same for all symbols which comprise the same message.


Pharmacode options

Type
Used to indicate the number of rows. The Pharmacode code can have a single line (1D) or a maximum of two lines.

Flip vertically
Used to flip the barcode vertically.

Direction of reading
The Pharmacode does not have a specific character to determine the start or end of the code.


VeriCode options

EDAC (Error Detection And Correction)
VeriCode® has error detection and correction. This option is used to correctly decode the VeriCode even if it has been damaged (up to 25%). If the VeriCode cannot be read, an "Unread" message is returned and it is impossible to obtain a partial or incorrect reading.

Element width (dots)
Lets you select the element width.

Compression
Used to indicate the compression type.

Auto size (smallest size)
Used to automatically size to the minimum size so that entered data can be encoded.

Defined size
Used to indicate a specific size.


MicroPDF417 options

Code 128 Emulation
Transmits the symbol’s data as if it were encoded in a Code 128 symbol. Options include:

  • Emulation off: No emulation (default setting).

  • Linked: Linear symbology printed below the MicroPDF symbol is linked to the data of the MicroPDF symbol. The reader will not transmit the data unless the linear symbol is also found and decoded within the scanner’s field of view.

  • Unlinked: Linear symbology is not linked to the data in the MicroPDF symbol.

  • C0: Data is transmitted exactly as encoded.

  • C2: The first two digits or single alpha character of the data represents an Application Indicator followed by an implied FNC1 character.

Disable Macro Character Substitution
Disables the means of abbreviating an industry-specific header and trailer in one symbol character, which reduces the number of symbol characters needed to encode data in a symbol using certain structured formats.

Space correction (Height) and (Width)
Allows you to correct the horizontal and/or vertical barcode distortion caused by the ink diffusion of certain printers.

Element height
Allows the height of a code cell to be set.

Element width
Allows the width of a code cell to be set.

Use recommend settings
This option allows an adequate security level and module height to be defined, according to the value of the code.

Construction mode
Allows the build mode of the barcode to be set, and the size of the symbol generated to be adjusted.

Three build modes are possible with PDF417:

  • Automatic sizing: The basic element determines the size of each cell. The number of rows and columns is calculated automatically.

  • Set size: The basic element determines the size of each cell. The number of rows and the number of columns can be fixed together or separately.

  • Automatic density: Allows the user to specify the actual dimensions of the code. The density of the matrix will be determined automatically by the amount of data to be encoded. The value of the element will have no effect on the size of the matrix.


TLC39 options

Ratio
Allows the ratio of narrow bars to wide bars to be adjusted. This value must be between 2 and 3.5.

Height
Used to determine the height of the code bars.

Model
Used to select the number of lines and columns permitted.

Element height (dots)
Allows the height of a code cell to be set.

Element width (dots)
Allows the width of a code cell to be set.

Space correction (Height) and (Width)
Allows you to correct the horizontal and/or vertical barcode distortion caused by the ink diffusion of certain printers.


UPS MaxiCode options

Construction mode

Modes 2 and 3
Required for symbologies used in the transport sector. Both refer to the addressee ZIP code, country code, and service category used. The remaining 84 characters are reserved for the rest of the encoded message.
Mode 2 is used for shipments to the United States. The ZIP code is thus composed of between 5 and 9 numeric characters.
Mode 3 is used for international shipments. The ZIP code is thus composed of six alphanumeric characters.

Mode 4
Reserves 93 characters for the encoded message.

Mode 5
Reserves 77 characters for the encoded message because the error correction level used is higher.

Mode 6
Used for programming barcode readers.

ZIP code
Allows the ZIP code to be entered.

Postal code (extension)
Used to enter the zip code extension.

Country code
Allows the country code to be entered.

Service category
Allows the service category to be entered.


More option in the general tab

More option

Allows certain printing parameters to be defined.

Other group

Start at label
Used to select the label from which you want to start printing.

Empty pages
Used to define the number of pages to be left empty after printing.

Adjust origin group

Horizontally
Used to define the label's starting point on the horizontal axis.

Vertically
Used to define the label's starting point on the vertical axis.

Database Loops
Allows you to print selected records several times (depending on the value as you may have noticed).


Object Order

This box shows you a list of all objects available on your label and it allows you to place/move them in a specific order by selecting an object and moving it up or down the list by using the arrows.

This feature is particularly useful when needing to send the label objects to the printer in a specific order.


Input tab

Command: Right-click the Form variable VarX > Properties > Input

The Input tab allows you to set up the data entry criteria for a Free or Form variable.

Name
Indicates the name of the variable and lets you modify it.

Value
You must first check whether the current variable value is linked to the document exclusively, or shared by several documents.

Type

  • Local: The value is internal to the label. This is the normal mode of operation.

  • Shared: The value is saved in a special file, external to the label, each time after printing. This means that the value may be used in other documents.

  • From a file: Used to retrieve the value of the variable from a text file. To select the file, the [image] button lets you access the folder containing these files. The default folder is defined in the Default folders tab in the Options dialog box.

    • Clear after printing
      This option deletes the value or resets the value of a counter to blank or zero.

    • Update file after printing
      The content of the file is updated with the current value after printing.

  • Port Watch
    Port Watch variables allow the program to get data for a label’s fields from external devices (scales, scanners, etc.). See Port Watch chapter for more informations.

    Note: Counter tab is disabled when Port Watch variable is selected. In fact, Port Watch variable is reevaluated every time.

Note: These options above are only displayed when a Free variable is created.

Delete spaces
Automatically eliminates all spaces encountered before and after the variable value.

Note: When the length of the value entered is less than the minimal length defined, an error message will appear when printing is launched.

Restore after printing
Whether Local or Shared, the value is suggested each time before printing. The value of this variable may be modified (with the Form, for example), but will always be reset to its initial value after printing.

Note: The copy and paste shortcut key commands can be used in this box.

Counter tab

Output tab


Composite and RSS symbol options

The Composite symbology consists of a linear symbol associated with a 2D composite element.

Type
Allows you to select the required code type.

Space correction (width and height)
Allows you to correct the horizontal and/or vertical barcode distortion caused by the ink diffusion of certain printers.

Element width
Allows you to set the width of the code cell.

Linear Height (element)
Allows the linear height to be defined.

Separator row height
Allows you to define the height of the separator lines between the linear part and the 2D part of the barcode.

Segments per row
Used to define the maximum number of segments per row. The data will be printed on multiple rows. This option is available only for the RSS extended code.


Print options

Allows certain printing parameters to be defined.

Format
Allows you to define the view mode of the print dialog box.

Different formats available:

  • Direct: Allows a single label to be printed without displaying the Print dialog box.
    Command: File > Print.

  • Simple: Allows the Print dialog box to be viewed in simple mode, with the basic printing options.
    In this dialog box, the More button allows you to switch to Expanded mode.
    Command: File > Print > Set the values required > OK

  • Search in database: Allows you to display the Go to a record in a database dialog box.

  • Database query result: Allows you to display the Query result dialog box.

Note: When one of these two dialog box formats is enabled but the document is not connected to a database, the Simple dialog box is displayed when a print command is launched.

Others group

  • Update date during printing
    When this box is checked, the date the document was last printed is updated and saved.

  • Hide the Cancel Print dialog box
    When this box is checked, the cancel print dialog box does not appear.
    To cancel printing, click the printer icon on the Windows Taskbar.

  • Enable test printing
    Allows test printing to be carried out from the Printing dialog box.

  • Do not log test printing
    When this box is checked, the data and information concerning test printing will not be saved in the log file.

  • Allow printing in evaluation mode
    When this box is checked, printing is allowed when the software is open in evaluation mode.

  • In case of cancellation, finish the current page
    When this box is checked, printing continues to the end of the current page if the print job is canceled. If this option is not enabled, printing stops immediately.

  • The print algorithm only uses the device's resolution
    When this box is checked, the computer system will only use the printer's resolution.


Printing using the form

Now that the Form looks the way you want, we will launch printing.

  1. Go to File > Print... or click or press the F6 key.

  2. Enter ''2'' in the Labels field.

  3. Launch printing.
    The form is displayed, and you are invited to enter the data to be printed.

  4. Enter ''Smith'' and ''51'', for example, then click OK.
    Once the first label is printed, the form is displayed again.

  5. Enter ''Mullang'' and ''52'', for example, then click OK.

Note: The Form is displayed for each label contained in the series. If you choose the For each series option, the Form will only be displayed once, when printing of the label series is launched.


Searching for a value in the records

  1. To access the Query result grid, click the [image] button in the Defining a query dialog box.

- or -

Click the [image] button on the Merge database browser toolbar.

- or -

Choose Data source > Database > View the query resulting data.

  2. In the Search list, select the field in which you want to carry out the search.

  3. Type the value in the Data to search for field.

Click | To
 | Search any part of the data field.
 | Search for the first record.
 | Search for the previous record.
 | Search for the next record.
 | Search for the last record.


RFTag Dialog Box

Note: the RFID is available only if your license covers the RFID .

Allows you to program the blocks for your radio frequency label. It is displayed automatically after setting up your radio label or by selecting the RFTag programming command from the context menu.

The dialog box title bar displays the type of electronic chip selected.

Blocks tab

Each row in the table represents a block. The size of the block depends on the RFTag and may extend to 4, 8, 12 or more bytes.

Type
Specifies the type for each block.

Value
Used to manually enter a fixed value in the selected format (ASCII or Hexadecimal)

Data source
Allows you to select variable data. To select existing variable data, simply select it from the list.
The number of blocks occupied by a variable depends on its defined maximum length.

The Block range dialog box indicates the number of blocks occupied by the selected data. To access this box, right-click an element and select Block attribute distribution.
The Block range dialog box is used to replicate the data to the range of blocks or columns selected.

Access
Used to provide access to the data in read or write mode.

Format
Used to define the input format for the data (ASCII or Hexadecimal).

Locked
Used to permanently lock the block. The data is saved to the chip and can no longer be modified or updated.

Test
Indicates the number of attempts in writing or reading the chip. This option can be identical for all blocks or unique for each block.

Warning: if the RFTag type is changed in the Page setup dialog box, previously programmed data will be lost.


RFTag Tab

Command: File > Page setup > RFTag (To access this tab, you must first select an RFTag compatible printer.)

Allows you to define the type of electronic chip and the settings for a radio frequency label.

Note: the RFID is available only if your license covers the RFID .

Model
Allows you to select the type of electronic chip.

Note: The types of chips used depend on the selected printer.

The properties of the RFTag vary based on the model of electronic chip selected.

Top
Specifies the vertical placement of the RFTag on the label.

Left
Specifies the horizontal placement of the RFTag on the label.

Height
Specifies the height of the RFTag.

Width
Specifies the width of the RFTag.

RFTag identifier
Used to read the RFTag identifier (equivalent to a unique serial number) and assign this value to a Free or Form source data type.

Image name
Used to insert an image.

Brightness and contrast of the image
Used to define the brightness of the image.

Reserved blocks
Indicates the number of read-only blocks containing manufacturer's information.

Note: The number of blocks and the number of reserved blocks depend on the type of chip selected.

Class
Used to select a sub-category of the RFTag EPC.


Substituting font

See: Substitution font dialog box


Supported image formats

Image Import Formats

Autocad

Support for Autocad files up to version 2010.

BMP

Windows Bitmap

All 1 bit, 4, 8, and 24-bit bi-level, gray scale, and color, uncompressed BMP and OS/2 Bitmap images are supported.

DIB

Device Independent Bitmap

CGM

Computer Graphics Metafile

DXF

CAD Format

Data Exchange File, a two-dimensional graphics file format supported by virtually all PC based CAD products.

2 Dimensional version 10 and 11 DXF files are supported.

EMF

Enhanced Windows Metafile

FMF

FaxMan images

EPS

Encapsulated PostScript Format

EPS is the graphics file format used by the PostScript language, usually implies that the file contains a bit-mapped representation of the graphics for display purposes.

Level1 (b/w & grayscale, to 8 bit)) Encapsulated postscript files with and without display images are supported. If the EPS file doesn’t contain a TIFF or Windows Metafile display image, ONLY the filename of the EPS image will be displayed.

FPX

FlashPix format

FlashPix is a format designed with the Internet in mind. Developed by Kodak, this format is intended to transfer and display high definition images quickly across the Web.

IMG

Graphical Environment Manager Format

GEM raster is the native storage format for the Graphical Environment Manager, developed and marketed by Digital Research.

GIF

Graphics Interchange Format

Supports animated, interlaced and non-interlaced GIF files. Though we will load and save multipage GIF files, we do not read (or write/preserve) animation information like timing, transparency, and offset values.
The LZW,Compression used in GIF files is supported.

plt, hpgl, hgl, hg, prn, spl, hpgl2

Hewlett-Packard

JPG

Joint Photographic Experts Group

All JPEG files in compliance with the JFIF standard are supported. With version 7, progressive JPG images are supported. Full support for both loading and saving 8 bit grayscale jpeg images. Loads some jpeg images that do not fully conform to the JFIF specification.

PCD

Kodak Photo CD

PCX
DCX

PC Paintbrush format from ZSoft Corporation

PCX and DCX are graphics file formats for graphics programs running on PCs.

Supported Image types:
- Monochrome
- 16 color
- 256 color
- 24-bit color

PNG

Portable Network Graphics

Supports reading standard and interlaced monochrome, 16 color, 256 color, and 24 bit images PNG images.

PSD

Photoshop Adobe

RLE

Run Length Encoded

SVG, SVGZ

Scalable Vector Graphics

TGA

Truevision Advanced Raster Graphics Adapter

TrueVision Targa file, used in paint, graphics, and imaging applications.

All 1, 4, 8, and 24 bit images are supported. Versions 1 & 2 of the file format are supported although compressed images in V 1.00 format may take longer to display than Version 2 images.

TIF

Tagged Image File Format

Supported Compression Types:
- Uncompressed
- Packbits
- Modified Huffman encoding (b/w)
- CCITT Group 3 1D (b/w)
- CCITT Group 4 (2D) (b/w)

Not supported Type:
-LZW,Compression.

Supported Color Formats
- Monochrome
- 256 color
- Grayscale
- 24-bit color
- CMYK

WMF

Windows Metafile Format

Only metafiles which conform to the Aldus Placeable Metafile Format, with a maximum of 256 colors, are supported.

WPG

Word Perfect Graphic